diff -urN c/google/actions/sdk/v2/BUILD.bazel d/google/actions/sdk/v2/BUILD.bazel
--- c/google/actions/sdk/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/actions/sdk/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,61 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "sdk_proto",
+    srcs = [
+        "account_linking.proto",
+        "account_linking_secret.proto",
+        "action.proto",
+        "actions_sdk.proto",
+        "actions_testing.proto",
+        "config_file.proto",
+        "data_file.proto",
+        "event_logs.proto",
+        "files.proto",
+        "localized_settings.proto",
+        "manifest.proto",
+        "release_channel.proto",
+        "settings.proto",
+        "surface.proto",
+        "theme_customization.proto",
+        "validation_results.proto",
+        "version.proto",
+        "webhook.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/actions/sdk/v2/conversation:conversation_proto",
+        "//google/actions/sdk/v2/conversation/prompt:conversation_proto",
+        "//google/actions/sdk/v2/conversation/prompt/content:conversation_proto",
+        "//google/actions/sdk/v2/interactionmodel:interactionmodel_proto",
+        "//google/actions/sdk/v2/interactionmodel/prompt:prompt_proto",
+        "//google/actions/sdk/v2/interactionmodel/type:type_proto",
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "sdk_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/actions/sdk/v2",
+    proto = ":sdk_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/actions/sdk/v2/conversation:conversation_go_proto",
+        "//google/actions/sdk/v2/conversation/prompt:conversation_go_proto",
+        "//google/actions/sdk/v2/conversation/prompt/content:conversation_go_proto",
+        "//google/actions/sdk/v2/interactionmodel:interactionmodel_go_proto",
+        "//google/actions/sdk/v2/interactionmodel/prompt:prompt_go_proto",
+        "//google/actions/sdk/v2/interactionmodel/type:type_go_proto",
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/actions/sdk/v2/conversation/BUILD.bazel d/google/actions/sdk/v2/conversation/BUILD.bazel
--- c/google/actions/sdk/v2/conversation/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/actions/sdk/v2/conversation/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,23 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "conversation_proto",
+    srcs = [
+        "intent.proto",
+        "scene.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/actions/sdk/v2/conversation/prompt:conversation_proto",
+        "@com_google_protobuf//:struct_proto",
+    ],
+)
+
+go_proto_library(
+    name = "conversation_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/actions/sdk/v2/conversation",
+    proto = ":conversation_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/actions/sdk/v2/conversation/prompt:conversation_go_proto"],
+)
diff -urN c/google/actions/sdk/v2/conversation/prompt/BUILD.bazel d/google/actions/sdk/v2/conversation/prompt/BUILD.bazel
--- c/google/actions/sdk/v2/conversation/prompt/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/actions/sdk/v2/conversation/prompt/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "conversation_proto",
+    srcs = [
+        "prompt.proto",
+        "simple.proto",
+        "suggestion.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = ["//google/actions/sdk/v2/conversation/prompt/content:conversation_proto"],
+)
+
+go_proto_library(
+    name = "conversation_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/actions/sdk/v2/conversation",
+    proto = ":conversation_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/actions/sdk/v2/conversation/prompt/content:conversation_go_proto"],
+)
diff -urN c/google/actions/sdk/v2/conversation/prompt/content/BUILD.bazel d/google/actions/sdk/v2/conversation/prompt/content/BUILD.bazel
--- c/google/actions/sdk/v2/conversation/prompt/content/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/actions/sdk/v2/conversation/prompt/content/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "conversation_proto",
+    srcs = [
+        "canvas.proto",
+        "card.proto",
+        "collection.proto",
+        "content.proto",
+        "image.proto",
+        "link.proto",
+        "list.proto",
+        "media.proto",
+        "table.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:struct_proto",
+    ],
+)
+
+go_proto_library(
+    name = "conversation_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/actions/sdk/v2/conversation",
+    proto = ":conversation_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/actions/sdk/v2/interactionmodel/BUILD.bazel d/google/actions/sdk/v2/interactionmodel/BUILD.bazel
--- c/google/actions/sdk/v2/interactionmodel/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/actions/sdk/v2/interactionmodel/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,35 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "interactionmodel_proto",
+    srcs = [
+        "conditional_event.proto",
+        "entity_set.proto",
+        "event_handler.proto",
+        "global_intent_event.proto",
+        "intent.proto",
+        "intent_event.proto",
+        "scene.proto",
+        "slot.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/actions/sdk/v2/interactionmodel/prompt:prompt_proto",
+        "//google/actions/sdk/v2/interactionmodel/type:type_proto",
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:struct_proto",
+    ],
+)
+
+go_proto_library(
+    name = "interactionmodel_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/actions/sdk/v2/interactionmodel",
+    proto = ":interactionmodel_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/actions/sdk/v2/interactionmodel/prompt:prompt_go_proto",
+        "//google/actions/sdk/v2/interactionmodel/type:type_go_proto",
+        "//google/api:annotations_go_proto",
+    ],
+)
diff -urN c/google/actions/sdk/v2/interactionmodel/prompt/BUILD.bazel d/google/actions/sdk/v2/interactionmodel/prompt/BUILD.bazel
--- c/google/actions/sdk/v2/interactionmodel/prompt/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/actions/sdk/v2/interactionmodel/prompt/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "prompt_proto",
+    srcs = [
+        "static_prompt.proto",
+        "static_simple_prompt.proto",
+        "suggestion.proto",
+        "surface_capabilities.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/actions/sdk/v2/interactionmodel/prompt/content:prompt_proto",
+        "//google/api:annotations_proto",
+    ],
+)
+
+go_proto_library(
+    name = "prompt_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/actions/sdk/v2/interactionmodel/prompt",
+    proto = ":prompt_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/actions/sdk/v2/interactionmodel/prompt/content:prompt_go_proto",
+        "//google/api:annotations_go_proto",
+    ],
+)
diff -urN c/google/actions/sdk/v2/interactionmodel/prompt/content/BUILD.bazel d/google/actions/sdk/v2/interactionmodel/prompt/content/BUILD.bazel
--- c/google/actions/sdk/v2/interactionmodel/prompt/content/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/actions/sdk/v2/interactionmodel/prompt/content/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "prompt_proto",
+    srcs = [
+        "static_canvas_prompt.proto",
+        "static_card_prompt.proto",
+        "static_collection_browse_prompt.proto",
+        "static_collection_prompt.proto",
+        "static_content_prompt.proto",
+        "static_image_prompt.proto",
+        "static_link_prompt.proto",
+        "static_list_prompt.proto",
+        "static_media_prompt.proto",
+        "static_table_prompt.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:struct_proto",
+    ],
+)
+
+go_proto_library(
+    name = "prompt_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/actions/sdk/v2/interactionmodel/prompt",
+    proto = ":prompt_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/actions/sdk/v2/interactionmodel/type/BUILD.bazel d/google/actions/sdk/v2/interactionmodel/type/BUILD.bazel
--- c/google/actions/sdk/v2/interactionmodel/type/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/actions/sdk/v2/interactionmodel/type/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,24 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "type_proto",
+    srcs = [
+        "class_reference.proto",
+        "entity_display.proto",
+        "free_text_type.proto",
+        "regular_expression_type.proto",
+        "synonym_type.proto",
+        "type.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "type_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/actions/sdk/v2/interactionmodel/type",
+    proto = ":type_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/actions/type/BUILD.bazel d/google/actions/type/BUILD.bazel
--- c/google/actions/type/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/actions/type/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "date_range_proto",
+    srcs = ["date_range.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/type:date_proto"],
+)
+
+proto_library(
+    name = "date_time_range_proto",
+    srcs = ["datetime_range.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/type:datetime_proto"],
+)
+
+go_proto_library(
+    name = "date_range_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/date_range",
+    proto = ":date_range_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/type:date_go_proto"],
+)
+
+go_proto_library(
+    name = "date_time_range_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/date_time_range",
+    proto = ":date_time_range_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/type:datetime_go_proto"],
+)
diff -urN c/google/ads/admob/v1/BUILD.bazel d/google/ads/admob/v1/BUILD.bazel
--- c/google/ads/admob/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/admob/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "admob_proto",
+    srcs = [
+        "admob_api.proto",
+        "admob_resources.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:date_proto",
+    ],
+)
+
+go_proto_library(
+    name = "admob_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/ads/admob/v1",
+    proto = ":admob_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:date_go_proto",
+    ],
+)
diff -urN c/google/ads/googleads/v10/common/BUILD.bazel d/google/ads/googleads/v10/common/BUILD.bazel
--- c/google/ads/googleads/v10/common/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/googleads/v10/common/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,59 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "common_proto",
+    srcs = [
+        "ad_asset.proto",
+        "ad_type_infos.proto",
+        "asset_policy.proto",
+        "asset_types.proto",
+        "asset_usage.proto",
+        "audiences.proto",
+        "bidding.proto",
+        "click_location.proto",
+        "criteria.proto",
+        "criterion_category_availability.proto",
+        "custom_parameter.proto",
+        "customizer_value.proto",
+        "dates.proto",
+        "explorer_auto_optimizer_setting.proto",
+        "extensions.proto",
+        "feed_common.proto",
+        "feed_item_set_filter_type_infos.proto",
+        "final_app_url.proto",
+        "frequency_cap.proto",
+        "keyword_plan_common.proto",
+        "matching_function.proto",
+        "metric_goal.proto",
+        "metrics.proto",
+        "offline_user_data.proto",
+        "policy.proto",
+        "policy_summary.proto",
+        "real_time_bidding_setting.proto",
+        "segments.proto",
+        "simulation.proto",
+        "tag_snippet.proto",
+        "targeting_setting.proto",
+        "text_label.proto",
+        "url_collection.proto",
+        "user_lists.proto",
+        "value.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v10/enums:enums_proto",
+        "//google/api:annotations_proto",
+    ],
+)
+
+go_proto_library(
+    name = "common_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/ads/googleads/v10/common",
+    proto = ":common_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v10/enums:enums_go_proto",
+        "//google/api:annotations_go_proto",
+    ],
+)
diff -urN c/google/ads/googleads/v10/enums/BUILD.bazel d/google/ads/googleads/v10/enums/BUILD.bazel
--- c/google/ads/googleads/v10/enums/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/googleads/v10/enums/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,310 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "enums_proto",
+    srcs = [
+        "access_invitation_status.proto",
+        "access_reason.proto",
+        "access_role.proto",
+        "account_budget_proposal_status.proto",
+        "account_budget_proposal_type.proto",
+        "account_budget_status.proto",
+        "account_link_status.proto",
+        "ad_customizer_placeholder_field.proto",
+        "ad_destination_type.proto",
+        "ad_group_ad_rotation_mode.proto",
+        "ad_group_ad_status.proto",
+        "ad_group_criterion_approval_status.proto",
+        "ad_group_criterion_status.proto",
+        "ad_group_status.proto",
+        "ad_group_type.proto",
+        "ad_network_type.proto",
+        "ad_serving_optimization_status.proto",
+        "ad_strength.proto",
+        "ad_type.proto",
+        "advertising_channel_sub_type.proto",
+        "advertising_channel_type.proto",
+        "affiliate_location_feed_relationship_type.proto",
+        "affiliate_location_placeholder_field.proto",
+        "age_range_type.proto",
+        "app_campaign_app_store.proto",
+        "app_campaign_bidding_strategy_goal_type.proto",
+        "app_payment_model_type.proto",
+        "app_placeholder_field.proto",
+        "app_store.proto",
+        "app_url_operating_system_type.proto",
+        "asset_field_type.proto",
+        "asset_group_status.proto",
+        "asset_link_status.proto",
+        "asset_performance_label.proto",
+        "asset_set_asset_status.proto",
+        "asset_set_link_status.proto",
+        "asset_set_status.proto",
+        "asset_set_type.proto",
+        "asset_type.proto",
+        "async_action_status.proto",
+        "attribution_model.proto",
+        "audience_status.proto",
+        "batch_job_status.proto",
+        "bid_modifier_source.proto",
+        "bidding_source.proto",
+        "bidding_strategy_status.proto",
+        "bidding_strategy_type.proto",
+        "billing_setup_status.proto",
+        "brand_safety_suitability.proto",
+        "budget_campaign_association_status.proto",
+        "budget_delivery_method.proto",
+        "budget_period.proto",
+        "budget_status.proto",
+        "budget_type.proto",
+        "call_conversion_reporting_state.proto",
+        "call_placeholder_field.proto",
+        "call_to_action_type.proto",
+        "call_tracking_display_location.proto",
+        "call_type.proto",
+        "callout_placeholder_field.proto",
+        "campaign_criterion_status.proto",
+        "campaign_draft_status.proto",
+        "campaign_experiment_status.proto",
+        "campaign_experiment_traffic_split_type.proto",
+        "campaign_experiment_type.proto",
+        "campaign_group_status.proto",
+        "campaign_serving_status.proto",
+        "campaign_shared_set_status.proto",
+        "campaign_status.proto",
+        "change_client_type.proto",
+        "change_event_resource_type.proto",
+        "change_status_operation.proto",
+        "change_status_resource_type.proto",
+        "click_type.proto",
+        "combined_audience_status.proto",
+        "content_label_type.proto",
+        "conversion_action_category.proto",
+        "conversion_action_counting_type.proto",
+        "conversion_action_status.proto",
+        "conversion_action_type.proto",
+        "conversion_adjustment_type.proto",
+        "conversion_attribution_event_type.proto",
+        "conversion_custom_variable_status.proto",
+        "conversion_environment_enum.proto",
+        "conversion_lag_bucket.proto",
+        "conversion_or_adjustment_lag_bucket.proto",
+        "conversion_origin.proto",
+        "conversion_tracking_status_enum.proto",
+        "conversion_value_rule_primary_dimension.proto",
+        "conversion_value_rule_set_status.proto",
+        "conversion_value_rule_status.proto",
+        "criterion_category_channel_availability_mode.proto",
+        "criterion_category_locale_availability_mode.proto",
+        "criterion_system_serving_status.proto",
+        "criterion_type.proto",
+        "custom_audience_member_type.proto",
+        "custom_audience_status.proto",
+        "custom_audience_type.proto",
+        "custom_conversion_goal_status.proto",
+        "custom_interest_member_type.proto",
+        "custom_interest_status.proto",
+        "custom_interest_type.proto",
+        "custom_placeholder_field.proto",
+        "customer_match_upload_key_type.proto",
+        "customer_pay_per_conversion_eligibility_failure_reason.proto",
+        "customer_status.proto",
+        "customizer_attribute_status.proto",
+        "customizer_attribute_type.proto",
+        "customizer_value_status.proto",
+        "data_driven_model_status.proto",
+        "day_of_week.proto",
+        "device.proto",
+        "display_ad_format_setting.proto",
+        "display_upload_product_type.proto",
+        "distance_bucket.proto",
+        "dsa_page_feed_criterion_field.proto",
+        "education_placeholder_field.proto",
+        "experiment_metric.proto",
+        "experiment_metric_direction.proto",
+        "experiment_status.proto",
+        "experiment_type.proto",
+        "extension_setting_device.proto",
+        "extension_type.proto",
+        "external_conversion_source.proto",
+        "feed_attribute_type.proto",
+        "feed_item_quality_approval_status.proto",
+        "feed_item_quality_disapproval_reason.proto",
+        "feed_item_set_status.proto",
+        "feed_item_set_string_filter_type.proto",
+        "feed_item_status.proto",
+        "feed_item_target_device.proto",
+        "feed_item_target_status.proto",
+        "feed_item_target_type.proto",
+        "feed_item_validation_status.proto",
+        "feed_link_status.proto",
+        "feed_mapping_criterion_type.proto",
+        "feed_mapping_status.proto",
+        "feed_origin.proto",
+        "feed_status.proto",
+        "flight_placeholder_field.proto",
+        "frequency_cap_event_type.proto",
+        "frequency_cap_level.proto",
+        "frequency_cap_time_unit.proto",
+        "gender_type.proto",
+        "geo_target_constant_status.proto",
+        "geo_targeting_restriction.proto",
+        "geo_targeting_type.proto",
+        "goal_config_level.proto",
+        "google_ads_field_category.proto",
+        "google_ads_field_data_type.proto",
+        "google_voice_call_status.proto",
+        "hotel_date_selection_type.proto",
+        "hotel_placeholder_field.proto",
+        "hotel_price_bucket.proto",
+        "hotel_rate_type.proto",
+        "hotel_reconciliation_status.proto",
+        "image_placeholder_field.proto",
+        "income_range_type.proto",
+        "interaction_event_type.proto",
+        "interaction_type.proto",
+        "invoice_type.proto",
+        "job_placeholder_field.proto",
+        "keyword_match_type.proto",
+        "keyword_plan_aggregate_metric_type.proto",
+        "keyword_plan_competition_level.proto",
+        "keyword_plan_concept_group_type.proto",
+        "keyword_plan_forecast_interval.proto",
+        "keyword_plan_keyword_annotation.proto",
+        "keyword_plan_network.proto",
+        "label_status.proto",
+        "lead_form_call_to_action_type.proto",
+        "lead_form_desired_intent.proto",
+        "lead_form_field_user_input_type.proto",
+        "lead_form_post_submit_call_to_action_type.proto",
+        "legacy_app_install_ad_app_store.proto",
+        "linked_account_type.proto",
+        "listing_group_filter_bidding_category_level.proto",
+        "listing_group_filter_custom_attribute_index.proto",
+        "listing_group_filter_product_channel.proto",
+        "listing_group_filter_product_condition.proto",
+        "listing_group_filter_product_type_level.proto",
+        "listing_group_filter_type_enum.proto",
+        "listing_group_filter_vertical.proto",
+        "listing_group_type.proto",
+        "local_placeholder_field.proto",
+        "location_extension_targeting_criterion_field.proto",
+        "location_group_radius_units.proto",
+        "location_placeholder_field.proto",
+        "location_source_type.proto",
+        "manager_link_status.proto",
+        "matching_function_context_type.proto",
+        "matching_function_operator.proto",
+        "media_type.proto",
+        "merchant_center_link_status.proto",
+        "message_placeholder_field.proto",
+        "mime_type.proto",
+        "minute_of_hour.proto",
+        "mobile_app_vendor.proto",
+        "mobile_device_type.proto",
+        "month_of_year.proto",
+        "negative_geo_target_type.proto",
+        "offline_user_data_job_failure_reason.proto",
+        "offline_user_data_job_match_rate_range.proto",
+        "offline_user_data_job_status.proto",
+        "offline_user_data_job_type.proto",
+        "operating_system_version_operator_type.proto",
+        "optimization_goal_type.proto",
+        "parental_status_type.proto",
+        "payment_mode.proto",
+        "placeholder_type.proto",
+        "placement_type.proto",
+        "policy_approval_status.proto",
+        "policy_review_status.proto",
+        "policy_topic_entry_type.proto",
+        "policy_topic_evidence_destination_mismatch_url_type.proto",
+        "policy_topic_evidence_destination_not_working_device.proto",
+        "policy_topic_evidence_destination_not_working_dns_error_type.proto",
+        "positive_geo_target_type.proto",
+        "preferred_content_type.proto",
+        "price_extension_price_qualifier.proto",
+        "price_extension_price_unit.proto",
+        "price_extension_type.proto",
+        "price_placeholder_field.proto",
+        "product_bidding_category_level.proto",
+        "product_bidding_category_status.proto",
+        "product_channel.proto",
+        "product_channel_exclusivity.proto",
+        "product_condition.proto",
+        "product_custom_attribute_index.proto",
+        "product_type_level.proto",
+        "promotion_extension_discount_modifier.proto",
+        "promotion_extension_occasion.proto",
+        "promotion_placeholder_field.proto",
+        "proximity_radius_units.proto",
+        "quality_score_bucket.proto",
+        "reach_plan_ad_length.proto",
+        "reach_plan_age_range.proto",
+        "reach_plan_network.proto",
+        "real_estate_placeholder_field.proto",
+        "recommendation_type.proto",
+        "resource_change_operation.proto",
+        "resource_limit_type.proto",
+        "response_content_type.proto",
+        "search_engine_results_page_type.proto",
+        "search_term_match_type.proto",
+        "search_term_targeting_status.proto",
+        "seasonality_event_scope.proto",
+        "seasonality_event_status.proto",
+        "served_asset_field_type.proto",
+        "shared_set_status.proto",
+        "shared_set_type.proto",
+        "simulation_modification_method.proto",
+        "simulation_type.proto",
+        "sitelink_placeholder_field.proto",
+        "sk_ad_network_ad_event_type.proto",
+        "sk_ad_network_attribution_credit.proto",
+        "sk_ad_network_user_type.proto",
+        "slot.proto",
+        "spending_limit_type.proto",
+        "structured_snippet_placeholder_field.proto",
+        "summary_row_setting.proto",
+        "system_managed_entity_source.proto",
+        "target_cpa_opt_in_recommendation_goal.proto",
+        "target_impression_share_location.proto",
+        "targeting_dimension.proto",
+        "time_type.proto",
+        "tracking_code_page_format.proto",
+        "tracking_code_type.proto",
+        "travel_placeholder_field.proto",
+        "user_identifier_source.proto",
+        "user_interest_taxonomy_type.proto",
+        "user_list_access_status.proto",
+        "user_list_closing_reason.proto",
+        "user_list_combined_rule_operator.proto",
+        "user_list_crm_data_source_type.proto",
+        "user_list_date_rule_item_operator.proto",
+        "user_list_logical_rule_operator.proto",
+        "user_list_membership_status.proto",
+        "user_list_number_rule_item_operator.proto",
+        "user_list_prepopulation_status.proto",
+        "user_list_rule_type.proto",
+        "user_list_size_range.proto",
+        "user_list_string_rule_item_operator.proto",
+        "user_list_type.proto",
+        "value_rule_device_type.proto",
+        "value_rule_geo_location_match_type.proto",
+        "value_rule_operation.proto",
+        "value_rule_set_attachment_type.proto",
+        "value_rule_set_dimension.proto",
+        "vanity_pharma_display_url_mode.proto",
+        "vanity_pharma_text.proto",
+        "video_thumbnail.proto",
+        "webpage_condition_operand.proto",
+        "webpage_condition_operator.proto",
+    ],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "enums_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/ads/googleads/v10/enums",
+    proto = ":enums_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/ads/googleads/v10/errors/BUILD.bazel d/google/ads/googleads/v10/errors/BUILD.bazel
--- c/google/ads/googleads/v10/errors/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/googleads/v10/errors/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,165 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "errors_proto",
+    srcs = [
+        "access_invitation_error.proto",
+        "account_budget_proposal_error.proto",
+        "account_link_error.proto",
+        "ad_customizer_error.proto",
+        "ad_error.proto",
+        "ad_group_ad_error.proto",
+        "ad_group_bid_modifier_error.proto",
+        "ad_group_criterion_customizer_error.proto",
+        "ad_group_criterion_error.proto",
+        "ad_group_customizer_error.proto",
+        "ad_group_error.proto",
+        "ad_group_feed_error.proto",
+        "ad_parameter_error.proto",
+        "ad_sharing_error.proto",
+        "adx_error.proto",
+        "asset_error.proto",
+        "asset_group_asset_error.proto",
+        "asset_group_error.proto",
+        "asset_group_listing_group_filter_error.proto",
+        "asset_link_error.proto",
+        "asset_set_asset_error.proto",
+        "asset_set_error.proto",
+        "asset_set_link_error.proto",
+        "audience_error.proto",
+        "authentication_error.proto",
+        "authorization_error.proto",
+        "batch_job_error.proto",
+        "bidding_error.proto",
+        "bidding_strategy_error.proto",
+        "billing_setup_error.proto",
+        "campaign_budget_error.proto",
+        "campaign_conversion_goal_error.proto",
+        "campaign_criterion_error.proto",
+        "campaign_customizer_error.proto",
+        "campaign_draft_error.proto",
+        "campaign_error.proto",
+        "campaign_experiment_error.proto",
+        "campaign_feed_error.proto",
+        "campaign_shared_set_error.proto",
+        "change_event_error.proto",
+        "change_status_error.proto",
+        "collection_size_error.proto",
+        "context_error.proto",
+        "conversion_action_error.proto",
+        "conversion_adjustment_upload_error.proto",
+        "conversion_custom_variable_error.proto",
+        "conversion_goal_campaign_config_error.proto",
+        "conversion_upload_error.proto",
+        "conversion_value_rule_error.proto",
+        "conversion_value_rule_set_error.proto",
+        "country_code_error.proto",
+        "criterion_error.proto",
+        "currency_code_error.proto",
+        "custom_audience_error.proto",
+        "custom_conversion_goal_error.proto",
+        "custom_interest_error.proto",
+        "customer_client_link_error.proto",
+        "customer_customizer_error.proto",
+        "customer_error.proto",
+        "customer_feed_error.proto",
+        "customer_manager_link_error.proto",
+        "customer_user_access_error.proto",
+        "customizer_attribute_error.proto",
+        "database_error.proto",
+        "date_error.proto",
+        "date_range_error.proto",
+        "distinct_error.proto",
+        "enum_error.proto",
+        "errors.proto",
+        "experiment_arm_error.proto",
+        "experiment_error.proto",
+        "extension_feed_item_error.proto",
+        "extension_setting_error.proto",
+        "feed_attribute_reference_error.proto",
+        "feed_error.proto",
+        "feed_item_error.proto",
+        "feed_item_set_error.proto",
+        "feed_item_set_link_error.proto",
+        "feed_item_target_error.proto",
+        "feed_item_validation_error.proto",
+        "feed_mapping_error.proto",
+        "field_error.proto",
+        "field_mask_error.proto",
+        "function_error.proto",
+        "function_parsing_error.proto",
+        "geo_target_constant_suggestion_error.proto",
+        "header_error.proto",
+        "id_error.proto",
+        "image_error.proto",
+        "internal_error.proto",
+        "invoice_error.proto",
+        "keyword_plan_ad_group_error.proto",
+        "keyword_plan_ad_group_keyword_error.proto",
+        "keyword_plan_campaign_error.proto",
+        "keyword_plan_campaign_keyword_error.proto",
+        "keyword_plan_error.proto",
+        "keyword_plan_idea_error.proto",
+        "label_error.proto",
+        "language_code_error.proto",
+        "list_operation_error.proto",
+        "manager_link_error.proto",
+        "media_bundle_error.proto",
+        "media_file_error.proto",
+        "media_upload_error.proto",
+        "merchant_center_error.proto",
+        "multiplier_error.proto",
+        "mutate_error.proto",
+        "new_resource_creation_error.proto",
+        "not_allowlisted_error.proto",
+        "not_empty_error.proto",
+        "null_error.proto",
+        "offline_user_data_job_error.proto",
+        "operation_access_denied_error.proto",
+        "operator_error.proto",
+        "partial_failure_error.proto",
+        "payments_account_error.proto",
+        "policy_finding_error.proto",
+        "policy_validation_parameter_error.proto",
+        "policy_violation_error.proto",
+        "query_error.proto",
+        "quota_error.proto",
+        "range_error.proto",
+        "reach_plan_error.proto",
+        "recommendation_error.proto",
+        "region_code_error.proto",
+        "request_error.proto",
+        "resource_access_denied_error.proto",
+        "resource_count_limit_exceeded_error.proto",
+        "setting_error.proto",
+        "shared_criterion_error.proto",
+        "shared_set_error.proto",
+        "size_limit_error.proto",
+        "string_format_error.proto",
+        "string_length_error.proto",
+        "third_party_app_analytics_link_error.proto",
+        "time_zone_error.proto",
+        "url_field_error.proto",
+        "user_data_error.proto",
+        "user_list_error.proto",
+        "youtube_video_registration_error.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v10/common:common_proto",
+        "//google/ads/googleads/v10/enums:enums_proto",
+        "@com_google_protobuf//:duration_proto",
+    ],
+)
+
+go_proto_library(
+    name = "errors_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/ads/googleads/v10/errors",
+    proto = ":errors_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v10/common:common_go_proto",
+        "//google/ads/googleads/v10/enums:enums_go_proto",
+    ],
+)
diff -urN c/google/ads/googleads/v10/resources/BUILD.bazel d/google/ads/googleads/v10/resources/BUILD.bazel
--- c/google/ads/googleads/v10/resources/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/googleads/v10/resources/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,185 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "resources_proto",
+    srcs = [
+        "accessible_bidding_strategy.proto",
+        "account_budget.proto",
+        "account_budget_proposal.proto",
+        "account_link.proto",
+        "ad.proto",
+        "ad_group.proto",
+        "ad_group_ad.proto",
+        "ad_group_ad_asset_combination_view.proto",
+        "ad_group_ad_asset_view.proto",
+        "ad_group_ad_label.proto",
+        "ad_group_asset.proto",
+        "ad_group_audience_view.proto",
+        "ad_group_bid_modifier.proto",
+        "ad_group_criterion.proto",
+        "ad_group_criterion_customizer.proto",
+        "ad_group_criterion_label.proto",
+        "ad_group_criterion_simulation.proto",
+        "ad_group_customizer.proto",
+        "ad_group_extension_setting.proto",
+        "ad_group_feed.proto",
+        "ad_group_label.proto",
+        "ad_group_simulation.proto",
+        "ad_parameter.proto",
+        "ad_schedule_view.proto",
+        "age_range_view.proto",
+        "asset.proto",
+        "asset_field_type_view.proto",
+        "asset_group.proto",
+        "asset_group_asset.proto",
+        "asset_group_listing_group_filter.proto",
+        "asset_group_product_group_view.proto",
+        "asset_group_signal.proto",
+        "asset_set.proto",
+        "asset_set_asset.proto",
+        "audience.proto",
+        "batch_job.proto",
+        "bidding_data_exclusion.proto",
+        "bidding_seasonality_adjustment.proto",
+        "bidding_strategy.proto",
+        "bidding_strategy_simulation.proto",
+        "billing_setup.proto",
+        "call_view.proto",
+        "campaign.proto",
+        "campaign_asset.proto",
+        "campaign_asset_set.proto",
+        "campaign_audience_view.proto",
+        "campaign_bid_modifier.proto",
+        "campaign_budget.proto",
+        "campaign_conversion_goal.proto",
+        "campaign_criterion.proto",
+        "campaign_criterion_simulation.proto",
+        "campaign_customizer.proto",
+        "campaign_draft.proto",
+        "campaign_experiment.proto",
+        "campaign_extension_setting.proto",
+        "campaign_feed.proto",
+        "campaign_group.proto",
+        "campaign_label.proto",
+        "campaign_shared_set.proto",
+        "campaign_simulation.proto",
+        "carrier_constant.proto",
+        "change_event.proto",
+        "change_status.proto",
+        "click_view.proto",
+        "combined_audience.proto",
+        "conversion_action.proto",
+        "conversion_custom_variable.proto",
+        "conversion_goal_campaign_config.proto",
+        "conversion_value_rule.proto",
+        "conversion_value_rule_set.proto",
+        "currency_constant.proto",
+        "custom_audience.proto",
+        "custom_conversion_goal.proto",
+        "custom_interest.proto",
+        "customer.proto",
+        "customer_asset.proto",
+        "customer_client.proto",
+        "customer_client_link.proto",
+        "customer_conversion_goal.proto",
+        "customer_customizer.proto",
+        "customer_extension_setting.proto",
+        "customer_feed.proto",
+        "customer_label.proto",
+        "customer_manager_link.proto",
+        "customer_negative_criterion.proto",
+        "customer_user_access.proto",
+        "customer_user_access_invitation.proto",
+        "customizer_attribute.proto",
+        "detail_placement_view.proto",
+        "detailed_demographic.proto",
+        "display_keyword_view.proto",
+        "distance_view.proto",
+        "domain_category.proto",
+        "dynamic_search_ads_search_term_view.proto",
+        "expanded_landing_page_view.proto",
+        "experiment.proto",
+        "experiment_arm.proto",
+        "extension_feed_item.proto",
+        "feed.proto",
+        "feed_item.proto",
+        "feed_item_set.proto",
+        "feed_item_set_link.proto",
+        "feed_item_target.proto",
+        "feed_mapping.proto",
+        "feed_placeholder_view.proto",
+        "gender_view.proto",
+        "geo_target_constant.proto",
+        "geographic_view.proto",
+        "google_ads_field.proto",
+        "group_placement_view.proto",
+        "hotel_group_view.proto",
+        "hotel_performance_view.proto",
+        "hotel_reconciliation.proto",
+        "income_range_view.proto",
+        "invoice.proto",
+        "keyword_plan.proto",
+        "keyword_plan_ad_group.proto",
+        "keyword_plan_ad_group_keyword.proto",
+        "keyword_plan_campaign.proto",
+        "keyword_plan_campaign_keyword.proto",
+        "keyword_theme_constant.proto",
+        "keyword_view.proto",
+        "label.proto",
+        "landing_page_view.proto",
+        "language_constant.proto",
+        "lead_form_submission_data.proto",
+        "life_event.proto",
+        "location_view.proto",
+        "managed_placement_view.proto",
+        "media_file.proto",
+        "merchant_center_link.proto",
+        "mobile_app_category_constant.proto",
+        "mobile_device_constant.proto",
+        "offline_user_data_job.proto",
+        "operating_system_version_constant.proto",
+        "paid_organic_search_term_view.proto",
+        "parental_status_view.proto",
+        "payments_account.proto",
+        "product_bidding_category_constant.proto",
+        "product_group_view.proto",
+        "recommendation.proto",
+        "remarketing_action.proto",
+        "search_term_view.proto",
+        "shared_criterion.proto",
+        "shared_set.proto",
+        "shopping_performance_view.proto",
+        "smart_campaign_search_term_view.proto",
+        "smart_campaign_setting.proto",
+        "third_party_app_analytics_link.proto",
+        "topic_constant.proto",
+        "topic_view.proto",
+        "user_interest.proto",
+        "user_list.proto",
+        "user_location_view.proto",
+        "video.proto",
+        "webpage_view.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v10/common:common_proto",
+        "//google/ads/googleads/v10/enums:enums_proto",
+        "//google/ads/googleads/v10/errors:errors_proto",
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "resources_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/ads/googleads/v10/resources",
+    proto = ":resources_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v10/common:common_go_proto",
+        "//google/ads/googleads/v10/enums:enums_go_proto",
+        "//google/ads/googleads/v10/errors:errors_go_proto",
+        "//google/api:annotations_go_proto",
+    ],
+)
diff -urN c/google/ads/googleads/v10/services/BUILD.bazel d/google/ads/googleads/v10/services/BUILD.bazel
--- c/google/ads/googleads/v10/services/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/googleads/v10/services/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,137 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "services_proto",
+    srcs = [
+        "account_budget_proposal_service.proto",
+        "account_link_service.proto",
+        "ad_group_ad_label_service.proto",
+        "ad_group_ad_service.proto",
+        "ad_group_asset_service.proto",
+        "ad_group_bid_modifier_service.proto",
+        "ad_group_criterion_customizer_service.proto",
+        "ad_group_criterion_label_service.proto",
+        "ad_group_criterion_service.proto",
+        "ad_group_customizer_service.proto",
+        "ad_group_extension_setting_service.proto",
+        "ad_group_feed_service.proto",
+        "ad_group_label_service.proto",
+        "ad_group_service.proto",
+        "ad_parameter_service.proto",
+        "ad_service.proto",
+        "asset_group_asset_service.proto",
+        "asset_group_listing_group_filter_service.proto",
+        "asset_group_service.proto",
+        "asset_group_signal_service.proto",
+        "asset_service.proto",
+        "asset_set_asset_service.proto",
+        "asset_set_service.proto",
+        "audience_service.proto",
+        "batch_job_service.proto",
+        "bidding_data_exclusion_service.proto",
+        "bidding_seasonality_adjustment_service.proto",
+        "bidding_strategy_service.proto",
+        "billing_setup_service.proto",
+        "campaign_asset_service.proto",
+        "campaign_asset_set_service.proto",
+        "campaign_bid_modifier_service.proto",
+        "campaign_budget_service.proto",
+        "campaign_conversion_goal_service.proto",
+        "campaign_criterion_service.proto",
+        "campaign_customizer_service.proto",
+        "campaign_draft_service.proto",
+        "campaign_experiment_service.proto",
+        "campaign_extension_setting_service.proto",
+        "campaign_feed_service.proto",
+        "campaign_group_service.proto",
+        "campaign_label_service.proto",
+        "campaign_service.proto",
+        "campaign_shared_set_service.proto",
+        "conversion_action_service.proto",
+        "conversion_adjustment_upload_service.proto",
+        "conversion_custom_variable_service.proto",
+        "conversion_goal_campaign_config_service.proto",
+        "conversion_upload_service.proto",
+        "conversion_value_rule_service.proto",
+        "conversion_value_rule_set_service.proto",
+        "custom_audience_service.proto",
+        "custom_conversion_goal_service.proto",
+        "custom_interest_service.proto",
+        "customer_asset_service.proto",
+        "customer_client_link_service.proto",
+        "customer_conversion_goal_service.proto",
+        "customer_customizer_service.proto",
+        "customer_extension_setting_service.proto",
+        "customer_feed_service.proto",
+        "customer_label_service.proto",
+        "customer_manager_link_service.proto",
+        "customer_negative_criterion_service.proto",
+        "customer_service.proto",
+        "customer_user_access_invitation_service.proto",
+        "customer_user_access_service.proto",
+        "customizer_attribute_service.proto",
+        "experiment_arm_service.proto",
+        "experiment_service.proto",
+        "extension_feed_item_service.proto",
+        "feed_item_service.proto",
+        "feed_item_set_link_service.proto",
+        "feed_item_set_service.proto",
+        "feed_item_target_service.proto",
+        "feed_mapping_service.proto",
+        "feed_service.proto",
+        "geo_target_constant_service.proto",
+        "google_ads_field_service.proto",
+        "google_ads_service.proto",
+        "invoice_service.proto",
+        "keyword_plan_ad_group_keyword_service.proto",
+        "keyword_plan_ad_group_service.proto",
+        "keyword_plan_campaign_keyword_service.proto",
+        "keyword_plan_campaign_service.proto",
+        "keyword_plan_idea_service.proto",
+        "keyword_plan_service.proto",
+        "keyword_theme_constant_service.proto",
+        "label_service.proto",
+        "media_file_service.proto",
+        "merchant_center_link_service.proto",
+        "offline_user_data_job_service.proto",
+        "payments_account_service.proto",
+        "reach_plan_service.proto",
+        "recommendation_service.proto",
+        "remarketing_action_service.proto",
+        "shared_criterion_service.proto",
+        "shared_set_service.proto",
+        "smart_campaign_setting_service.proto",
+        "smart_campaign_suggest_service.proto",
+        "third_party_app_analytics_link_service.proto",
+        "user_data_service.proto",
+        "user_list_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v10/common:common_proto",
+        "//google/ads/googleads/v10/enums:enums_proto",
+        "//google/ads/googleads/v10/resources:resources_proto",
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "services_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/ads/googleads/v10/services",
+    proto = ":services_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v10/common:common_go_proto",
+        "//google/ads/googleads/v10/enums:enums_go_proto",
+        "//google/ads/googleads/v10/resources:resources_go_proto",
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/ads/googleads/v11/common/BUILD.bazel d/google/ads/googleads/v11/common/BUILD.bazel
--- c/google/ads/googleads/v11/common/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/googleads/v11/common/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,59 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "common_proto",
+    srcs = [
+        "ad_asset.proto",
+        "ad_type_infos.proto",
+        "asset_policy.proto",
+        "asset_types.proto",
+        "asset_usage.proto",
+        "audiences.proto",
+        "bidding.proto",
+        "click_location.proto",
+        "criteria.proto",
+        "criterion_category_availability.proto",
+        "custom_parameter.proto",
+        "customizer_value.proto",
+        "dates.proto",
+        "explorer_auto_optimizer_setting.proto",
+        "extensions.proto",
+        "feed_common.proto",
+        "feed_item_set_filter_type_infos.proto",
+        "final_app_url.proto",
+        "frequency_cap.proto",
+        "keyword_plan_common.proto",
+        "matching_function.proto",
+        "metric_goal.proto",
+        "metrics.proto",
+        "offline_user_data.proto",
+        "policy.proto",
+        "policy_summary.proto",
+        "real_time_bidding_setting.proto",
+        "segments.proto",
+        "simulation.proto",
+        "tag_snippet.proto",
+        "targeting_setting.proto",
+        "text_label.proto",
+        "url_collection.proto",
+        "user_lists.proto",
+        "value.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v11/enums:enums_proto",
+        "//google/api:annotations_proto",
+    ],
+)
+
+go_proto_library(
+    name = "common_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/ads/googleads/v11/common",
+    proto = ":common_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v11/enums:enums_go_proto",
+        "//google/api:annotations_go_proto",
+    ],
+)
diff -urN c/google/ads/googleads/v11/enums/BUILD.bazel d/google/ads/googleads/v11/enums/BUILD.bazel
--- c/google/ads/googleads/v11/enums/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/googleads/v11/enums/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,315 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "enums_proto",
+    srcs = [
+        "access_invitation_status.proto",
+        "access_reason.proto",
+        "access_role.proto",
+        "account_budget_proposal_status.proto",
+        "account_budget_proposal_type.proto",
+        "account_budget_status.proto",
+        "account_link_status.proto",
+        "ad_customizer_placeholder_field.proto",
+        "ad_destination_type.proto",
+        "ad_group_ad_rotation_mode.proto",
+        "ad_group_ad_status.proto",
+        "ad_group_criterion_approval_status.proto",
+        "ad_group_criterion_status.proto",
+        "ad_group_status.proto",
+        "ad_group_type.proto",
+        "ad_network_type.proto",
+        "ad_serving_optimization_status.proto",
+        "ad_strength.proto",
+        "ad_type.proto",
+        "advertising_channel_sub_type.proto",
+        "advertising_channel_type.proto",
+        "affiliate_location_feed_relationship_type.proto",
+        "affiliate_location_placeholder_field.proto",
+        "age_range_type.proto",
+        "app_campaign_app_store.proto",
+        "app_campaign_bidding_strategy_goal_type.proto",
+        "app_payment_model_type.proto",
+        "app_placeholder_field.proto",
+        "app_store.proto",
+        "app_url_operating_system_type.proto",
+        "asset_field_type.proto",
+        "asset_group_status.proto",
+        "asset_link_status.proto",
+        "asset_performance_label.proto",
+        "asset_set_asset_status.proto",
+        "asset_set_link_status.proto",
+        "asset_set_status.proto",
+        "asset_set_type.proto",
+        "asset_source.proto",
+        "asset_type.proto",
+        "async_action_status.proto",
+        "attribution_model.proto",
+        "audience_insights_dimension.proto",
+        "audience_status.proto",
+        "batch_job_status.proto",
+        "bid_modifier_source.proto",
+        "bidding_source.proto",
+        "bidding_strategy_status.proto",
+        "bidding_strategy_system_status.proto",
+        "bidding_strategy_type.proto",
+        "billing_setup_status.proto",
+        "brand_safety_suitability.proto",
+        "budget_campaign_association_status.proto",
+        "budget_delivery_method.proto",
+        "budget_period.proto",
+        "budget_status.proto",
+        "budget_type.proto",
+        "call_conversion_reporting_state.proto",
+        "call_placeholder_field.proto",
+        "call_to_action_type.proto",
+        "call_tracking_display_location.proto",
+        "call_type.proto",
+        "callout_placeholder_field.proto",
+        "campaign_criterion_status.proto",
+        "campaign_draft_status.proto",
+        "campaign_experiment_status.proto",
+        "campaign_experiment_traffic_split_type.proto",
+        "campaign_experiment_type.proto",
+        "campaign_group_status.proto",
+        "campaign_serving_status.proto",
+        "campaign_shared_set_status.proto",
+        "campaign_status.proto",
+        "change_client_type.proto",
+        "change_event_resource_type.proto",
+        "change_status_operation.proto",
+        "change_status_resource_type.proto",
+        "click_type.proto",
+        "combined_audience_status.proto",
+        "content_label_type.proto",
+        "conversion_action_category.proto",
+        "conversion_action_counting_type.proto",
+        "conversion_action_status.proto",
+        "conversion_action_type.proto",
+        "conversion_adjustment_type.proto",
+        "conversion_attribution_event_type.proto",
+        "conversion_custom_variable_status.proto",
+        "conversion_environment_enum.proto",
+        "conversion_lag_bucket.proto",
+        "conversion_or_adjustment_lag_bucket.proto",
+        "conversion_origin.proto",
+        "conversion_tracking_status_enum.proto",
+        "conversion_value_rule_primary_dimension.proto",
+        "conversion_value_rule_set_status.proto",
+        "conversion_value_rule_status.proto",
+        "criterion_category_channel_availability_mode.proto",
+        "criterion_category_locale_availability_mode.proto",
+        "criterion_system_serving_status.proto",
+        "criterion_type.proto",
+        "custom_audience_member_type.proto",
+        "custom_audience_status.proto",
+        "custom_audience_type.proto",
+        "custom_conversion_goal_status.proto",
+        "custom_interest_member_type.proto",
+        "custom_interest_status.proto",
+        "custom_interest_type.proto",
+        "custom_placeholder_field.proto",
+        "customer_match_upload_key_type.proto",
+        "customer_pay_per_conversion_eligibility_failure_reason.proto",
+        "customer_status.proto",
+        "customizer_attribute_status.proto",
+        "customizer_attribute_type.proto",
+        "customizer_value_status.proto",
+        "data_driven_model_status.proto",
+        "day_of_week.proto",
+        "device.proto",
+        "display_ad_format_setting.proto",
+        "display_upload_product_type.proto",
+        "distance_bucket.proto",
+        "dsa_page_feed_criterion_field.proto",
+        "education_placeholder_field.proto",
+        "experiment_metric.proto",
+        "experiment_metric_direction.proto",
+        "experiment_status.proto",
+        "experiment_type.proto",
+        "extension_setting_device.proto",
+        "extension_type.proto",
+        "external_conversion_source.proto",
+        "feed_attribute_type.proto",
+        "feed_item_quality_approval_status.proto",
+        "feed_item_quality_disapproval_reason.proto",
+        "feed_item_set_status.proto",
+        "feed_item_set_string_filter_type.proto",
+        "feed_item_status.proto",
+        "feed_item_target_device.proto",
+        "feed_item_target_status.proto",
+        "feed_item_target_type.proto",
+        "feed_item_validation_status.proto",
+        "feed_link_status.proto",
+        "feed_mapping_criterion_type.proto",
+        "feed_mapping_status.proto",
+        "feed_origin.proto",
+        "feed_status.proto",
+        "flight_placeholder_field.proto",
+        "frequency_cap_event_type.proto",
+        "frequency_cap_level.proto",
+        "frequency_cap_time_unit.proto",
+        "gender_type.proto",
+        "geo_target_constant_status.proto",
+        "geo_targeting_restriction.proto",
+        "geo_targeting_type.proto",
+        "goal_config_level.proto",
+        "google_ads_field_category.proto",
+        "google_ads_field_data_type.proto",
+        "google_voice_call_status.proto",
+        "hotel_date_selection_type.proto",
+        "hotel_placeholder_field.proto",
+        "hotel_price_bucket.proto",
+        "hotel_rate_type.proto",
+        "hotel_reconciliation_status.proto",
+        "image_placeholder_field.proto",
+        "income_range_type.proto",
+        "interaction_event_type.proto",
+        "interaction_type.proto",
+        "invoice_type.proto",
+        "job_placeholder_field.proto",
+        "keyword_match_type.proto",
+        "keyword_plan_aggregate_metric_type.proto",
+        "keyword_plan_competition_level.proto",
+        "keyword_plan_concept_group_type.proto",
+        "keyword_plan_forecast_interval.proto",
+        "keyword_plan_keyword_annotation.proto",
+        "keyword_plan_network.proto",
+        "label_status.proto",
+        "lead_form_call_to_action_type.proto",
+        "lead_form_desired_intent.proto",
+        "lead_form_field_user_input_type.proto",
+        "lead_form_post_submit_call_to_action_type.proto",
+        "legacy_app_install_ad_app_store.proto",
+        "linked_account_type.proto",
+        "listing_group_filter_bidding_category_level.proto",
+        "listing_group_filter_custom_attribute_index.proto",
+        "listing_group_filter_product_channel.proto",
+        "listing_group_filter_product_condition.proto",
+        "listing_group_filter_product_type_level.proto",
+        "listing_group_filter_type_enum.proto",
+        "listing_group_filter_vertical.proto",
+        "listing_group_type.proto",
+        "local_placeholder_field.proto",
+        "location_extension_targeting_criterion_field.proto",
+        "location_group_radius_units.proto",
+        "location_placeholder_field.proto",
+        "location_source_type.proto",
+        "manager_link_status.proto",
+        "matching_function_context_type.proto",
+        "matching_function_operator.proto",
+        "media_type.proto",
+        "merchant_center_link_status.proto",
+        "message_placeholder_field.proto",
+        "mime_type.proto",
+        "minute_of_hour.proto",
+        "mobile_app_vendor.proto",
+        "mobile_device_type.proto",
+        "month_of_year.proto",
+        "negative_geo_target_type.proto",
+        "offline_user_data_job_failure_reason.proto",
+        "offline_user_data_job_match_rate_range.proto",
+        "offline_user_data_job_status.proto",
+        "offline_user_data_job_type.proto",
+        "operating_system_version_operator_type.proto",
+        "optimization_goal_type.proto",
+        "parental_status_type.proto",
+        "payment_mode.proto",
+        "performance_max_upgrade_status.proto",
+        "placeholder_type.proto",
+        "placement_type.proto",
+        "policy_approval_status.proto",
+        "policy_review_status.proto",
+        "policy_topic_entry_type.proto",
+        "policy_topic_evidence_destination_mismatch_url_type.proto",
+        "policy_topic_evidence_destination_not_working_device.proto",
+        "policy_topic_evidence_destination_not_working_dns_error_type.proto",
+        "positive_geo_target_type.proto",
+        "preferred_content_type.proto",
+        "price_extension_price_qualifier.proto",
+        "price_extension_price_unit.proto",
+        "price_extension_type.proto",
+        "price_placeholder_field.proto",
+        "product_bidding_category_level.proto",
+        "product_bidding_category_status.proto",
+        "product_channel.proto",
+        "product_channel_exclusivity.proto",
+        "product_condition.proto",
+        "product_custom_attribute_index.proto",
+        "product_type_level.proto",
+        "promotion_extension_discount_modifier.proto",
+        "promotion_extension_occasion.proto",
+        "promotion_placeholder_field.proto",
+        "proximity_radius_units.proto",
+        "quality_score_bucket.proto",
+        "reach_plan_ad_length.proto",
+        "reach_plan_age_range.proto",
+        "reach_plan_network.proto",
+        "real_estate_placeholder_field.proto",
+        "recommendation_type.proto",
+        "resource_change_operation.proto",
+        "resource_limit_type.proto",
+        "response_content_type.proto",
+        "search_engine_results_page_type.proto",
+        "search_term_match_type.proto",
+        "search_term_targeting_status.proto",
+        "seasonality_event_scope.proto",
+        "seasonality_event_status.proto",
+        "served_asset_field_type.proto",
+        "shared_set_status.proto",
+        "shared_set_type.proto",
+        "simulation_modification_method.proto",
+        "simulation_type.proto",
+        "sitelink_placeholder_field.proto",
+        "sk_ad_network_ad_event_type.proto",
+        "sk_ad_network_attribution_credit.proto",
+        "sk_ad_network_user_type.proto",
+        "slot.proto",
+        "spending_limit_type.proto",
+        "structured_snippet_placeholder_field.proto",
+        "summary_row_setting.proto",
+        "system_managed_entity_source.proto",
+        "target_cpa_opt_in_recommendation_goal.proto",
+        "target_impression_share_location.proto",
+        "targeting_dimension.proto",
+        "time_type.proto",
+        "tracking_code_page_format.proto",
+        "tracking_code_type.proto",
+        "travel_placeholder_field.proto",
+        "user_identifier_source.proto",
+        "user_interest_taxonomy_type.proto",
+        "user_list_access_status.proto",
+        "user_list_closing_reason.proto",
+        "user_list_combined_rule_operator.proto",
+        "user_list_crm_data_source_type.proto",
+        "user_list_date_rule_item_operator.proto",
+        "user_list_flexible_rule_operator.proto",
+        "user_list_logical_rule_operator.proto",
+        "user_list_membership_status.proto",
+        "user_list_number_rule_item_operator.proto",
+        "user_list_prepopulation_status.proto",
+        "user_list_rule_type.proto",
+        "user_list_size_range.proto",
+        "user_list_string_rule_item_operator.proto",
+        "user_list_type.proto",
+        "value_rule_device_type.proto",
+        "value_rule_geo_location_match_type.proto",
+        "value_rule_operation.proto",
+        "value_rule_set_attachment_type.proto",
+        "value_rule_set_dimension.proto",
+        "vanity_pharma_display_url_mode.proto",
+        "vanity_pharma_text.proto",
+        "video_thumbnail.proto",
+        "webpage_condition_operand.proto",
+        "webpage_condition_operator.proto",
+    ],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "enums_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/ads/googleads/v11/enums",
+    proto = ":enums_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/ads/googleads/v11/errors/BUILD.bazel d/google/ads/googleads/v11/errors/BUILD.bazel
--- c/google/ads/googleads/v11/errors/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/googleads/v11/errors/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,166 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "errors_proto",
+    srcs = [
+        "access_invitation_error.proto",
+        "account_budget_proposal_error.proto",
+        "account_link_error.proto",
+        "ad_customizer_error.proto",
+        "ad_error.proto",
+        "ad_group_ad_error.proto",
+        "ad_group_bid_modifier_error.proto",
+        "ad_group_criterion_customizer_error.proto",
+        "ad_group_criterion_error.proto",
+        "ad_group_customizer_error.proto",
+        "ad_group_error.proto",
+        "ad_group_feed_error.proto",
+        "ad_parameter_error.proto",
+        "ad_sharing_error.proto",
+        "adx_error.proto",
+        "asset_error.proto",
+        "asset_group_asset_error.proto",
+        "asset_group_error.proto",
+        "asset_group_listing_group_filter_error.proto",
+        "asset_link_error.proto",
+        "asset_set_asset_error.proto",
+        "asset_set_error.proto",
+        "asset_set_link_error.proto",
+        "audience_error.proto",
+        "audience_insights_error.proto",
+        "authentication_error.proto",
+        "authorization_error.proto",
+        "batch_job_error.proto",
+        "bidding_error.proto",
+        "bidding_strategy_error.proto",
+        "billing_setup_error.proto",
+        "campaign_budget_error.proto",
+        "campaign_conversion_goal_error.proto",
+        "campaign_criterion_error.proto",
+        "campaign_customizer_error.proto",
+        "campaign_draft_error.proto",
+        "campaign_error.proto",
+        "campaign_experiment_error.proto",
+        "campaign_feed_error.proto",
+        "campaign_shared_set_error.proto",
+        "change_event_error.proto",
+        "change_status_error.proto",
+        "collection_size_error.proto",
+        "context_error.proto",
+        "conversion_action_error.proto",
+        "conversion_adjustment_upload_error.proto",
+        "conversion_custom_variable_error.proto",
+        "conversion_goal_campaign_config_error.proto",
+        "conversion_upload_error.proto",
+        "conversion_value_rule_error.proto",
+        "conversion_value_rule_set_error.proto",
+        "country_code_error.proto",
+        "criterion_error.proto",
+        "currency_code_error.proto",
+        "custom_audience_error.proto",
+        "custom_conversion_goal_error.proto",
+        "custom_interest_error.proto",
+        "customer_client_link_error.proto",
+        "customer_customizer_error.proto",
+        "customer_error.proto",
+        "customer_feed_error.proto",
+        "customer_manager_link_error.proto",
+        "customer_user_access_error.proto",
+        "customizer_attribute_error.proto",
+        "database_error.proto",
+        "date_error.proto",
+        "date_range_error.proto",
+        "distinct_error.proto",
+        "enum_error.proto",
+        "errors.proto",
+        "experiment_arm_error.proto",
+        "experiment_error.proto",
+        "extension_feed_item_error.proto",
+        "extension_setting_error.proto",
+        "feed_attribute_reference_error.proto",
+        "feed_error.proto",
+        "feed_item_error.proto",
+        "feed_item_set_error.proto",
+        "feed_item_set_link_error.proto",
+        "feed_item_target_error.proto",
+        "feed_item_validation_error.proto",
+        "feed_mapping_error.proto",
+        "field_error.proto",
+        "field_mask_error.proto",
+        "function_error.proto",
+        "function_parsing_error.proto",
+        "geo_target_constant_suggestion_error.proto",
+        "header_error.proto",
+        "id_error.proto",
+        "image_error.proto",
+        "internal_error.proto",
+        "invoice_error.proto",
+        "keyword_plan_ad_group_error.proto",
+        "keyword_plan_ad_group_keyword_error.proto",
+        "keyword_plan_campaign_error.proto",
+        "keyword_plan_campaign_keyword_error.proto",
+        "keyword_plan_error.proto",
+        "keyword_plan_idea_error.proto",
+        "label_error.proto",
+        "language_code_error.proto",
+        "list_operation_error.proto",
+        "manager_link_error.proto",
+        "media_bundle_error.proto",
+        "media_file_error.proto",
+        "media_upload_error.proto",
+        "merchant_center_error.proto",
+        "multiplier_error.proto",
+        "mutate_error.proto",
+        "new_resource_creation_error.proto",
+        "not_allowlisted_error.proto",
+        "not_empty_error.proto",
+        "null_error.proto",
+        "offline_user_data_job_error.proto",
+        "operation_access_denied_error.proto",
+        "operator_error.proto",
+        "partial_failure_error.proto",
+        "payments_account_error.proto",
+        "policy_finding_error.proto",
+        "policy_validation_parameter_error.proto",
+        "policy_violation_error.proto",
+        "query_error.proto",
+        "quota_error.proto",
+        "range_error.proto",
+        "reach_plan_error.proto",
+        "recommendation_error.proto",
+        "region_code_error.proto",
+        "request_error.proto",
+        "resource_access_denied_error.proto",
+        "resource_count_limit_exceeded_error.proto",
+        "setting_error.proto",
+        "shared_criterion_error.proto",
+        "shared_set_error.proto",
+        "size_limit_error.proto",
+        "string_format_error.proto",
+        "string_length_error.proto",
+        "third_party_app_analytics_link_error.proto",
+        "time_zone_error.proto",
+        "url_field_error.proto",
+        "user_data_error.proto",
+        "user_list_error.proto",
+        "youtube_video_registration_error.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v11/common:common_proto",
+        "//google/ads/googleads/v11/enums:enums_proto",
+        "@com_google_protobuf//:duration_proto",
+    ],
+)
+
+go_proto_library(
+    name = "errors_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/ads/googleads/v11/errors",
+    proto = ":errors_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v11/common:common_go_proto",
+        "//google/ads/googleads/v11/enums:enums_go_proto",
+    ],
+)
diff -urN c/google/ads/googleads/v11/resources/BUILD.bazel d/google/ads/googleads/v11/resources/BUILD.bazel
--- c/google/ads/googleads/v11/resources/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/googleads/v11/resources/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,185 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "resources_proto",
+    srcs = [
+        "accessible_bidding_strategy.proto",
+        "account_budget.proto",
+        "account_budget_proposal.proto",
+        "account_link.proto",
+        "ad.proto",
+        "ad_group.proto",
+        "ad_group_ad.proto",
+        "ad_group_ad_asset_combination_view.proto",
+        "ad_group_ad_asset_view.proto",
+        "ad_group_ad_label.proto",
+        "ad_group_asset.proto",
+        "ad_group_audience_view.proto",
+        "ad_group_bid_modifier.proto",
+        "ad_group_criterion.proto",
+        "ad_group_criterion_customizer.proto",
+        "ad_group_criterion_label.proto",
+        "ad_group_criterion_simulation.proto",
+        "ad_group_customizer.proto",
+        "ad_group_extension_setting.proto",
+        "ad_group_feed.proto",
+        "ad_group_label.proto",
+        "ad_group_simulation.proto",
+        "ad_parameter.proto",
+        "ad_schedule_view.proto",
+        "age_range_view.proto",
+        "asset.proto",
+        "asset_field_type_view.proto",
+        "asset_group.proto",
+        "asset_group_asset.proto",
+        "asset_group_listing_group_filter.proto",
+        "asset_group_product_group_view.proto",
+        "asset_group_signal.proto",
+        "asset_set.proto",
+        "asset_set_asset.proto",
+        "audience.proto",
+        "batch_job.proto",
+        "bidding_data_exclusion.proto",
+        "bidding_seasonality_adjustment.proto",
+        "bidding_strategy.proto",
+        "bidding_strategy_simulation.proto",
+        "billing_setup.proto",
+        "call_view.proto",
+        "campaign.proto",
+        "campaign_asset.proto",
+        "campaign_asset_set.proto",
+        "campaign_audience_view.proto",
+        "campaign_bid_modifier.proto",
+        "campaign_budget.proto",
+        "campaign_conversion_goal.proto",
+        "campaign_criterion.proto",
+        "campaign_criterion_simulation.proto",
+        "campaign_customizer.proto",
+        "campaign_draft.proto",
+        "campaign_experiment.proto",
+        "campaign_extension_setting.proto",
+        "campaign_feed.proto",
+        "campaign_group.proto",
+        "campaign_label.proto",
+        "campaign_shared_set.proto",
+        "campaign_simulation.proto",
+        "carrier_constant.proto",
+        "change_event.proto",
+        "change_status.proto",
+        "click_view.proto",
+        "combined_audience.proto",
+        "conversion_action.proto",
+        "conversion_custom_variable.proto",
+        "conversion_goal_campaign_config.proto",
+        "conversion_value_rule.proto",
+        "conversion_value_rule_set.proto",
+        "currency_constant.proto",
+        "custom_audience.proto",
+        "custom_conversion_goal.proto",
+        "custom_interest.proto",
+        "customer.proto",
+        "customer_asset.proto",
+        "customer_client.proto",
+        "customer_client_link.proto",
+        "customer_conversion_goal.proto",
+        "customer_customizer.proto",
+        "customer_extension_setting.proto",
+        "customer_feed.proto",
+        "customer_label.proto",
+        "customer_manager_link.proto",
+        "customer_negative_criterion.proto",
+        "customer_user_access.proto",
+        "customer_user_access_invitation.proto",
+        "customizer_attribute.proto",
+        "detail_placement_view.proto",
+        "detailed_demographic.proto",
+        "display_keyword_view.proto",
+        "distance_view.proto",
+        "domain_category.proto",
+        "dynamic_search_ads_search_term_view.proto",
+        "expanded_landing_page_view.proto",
+        "experiment.proto",
+        "experiment_arm.proto",
+        "extension_feed_item.proto",
+        "feed.proto",
+        "feed_item.proto",
+        "feed_item_set.proto",
+        "feed_item_set_link.proto",
+        "feed_item_target.proto",
+        "feed_mapping.proto",
+        "feed_placeholder_view.proto",
+        "gender_view.proto",
+        "geo_target_constant.proto",
+        "geographic_view.proto",
+        "google_ads_field.proto",
+        "group_placement_view.proto",
+        "hotel_group_view.proto",
+        "hotel_performance_view.proto",
+        "hotel_reconciliation.proto",
+        "income_range_view.proto",
+        "invoice.proto",
+        "keyword_plan.proto",
+        "keyword_plan_ad_group.proto",
+        "keyword_plan_ad_group_keyword.proto",
+        "keyword_plan_campaign.proto",
+        "keyword_plan_campaign_keyword.proto",
+        "keyword_theme_constant.proto",
+        "keyword_view.proto",
+        "label.proto",
+        "landing_page_view.proto",
+        "language_constant.proto",
+        "lead_form_submission_data.proto",
+        "life_event.proto",
+        "location_view.proto",
+        "managed_placement_view.proto",
+        "media_file.proto",
+        "merchant_center_link.proto",
+        "mobile_app_category_constant.proto",
+        "mobile_device_constant.proto",
+        "offline_user_data_job.proto",
+        "operating_system_version_constant.proto",
+        "paid_organic_search_term_view.proto",
+        "parental_status_view.proto",
+        "payments_account.proto",
+        "product_bidding_category_constant.proto",
+        "product_group_view.proto",
+        "recommendation.proto",
+        "remarketing_action.proto",
+        "search_term_view.proto",
+        "shared_criterion.proto",
+        "shared_set.proto",
+        "shopping_performance_view.proto",
+        "smart_campaign_search_term_view.proto",
+        "smart_campaign_setting.proto",
+        "third_party_app_analytics_link.proto",
+        "topic_constant.proto",
+        "topic_view.proto",
+        "user_interest.proto",
+        "user_list.proto",
+        "user_location_view.proto",
+        "video.proto",
+        "webpage_view.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v11/common:common_proto",
+        "//google/ads/googleads/v11/enums:enums_proto",
+        "//google/ads/googleads/v11/errors:errors_proto",
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "resources_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/ads/googleads/v11/resources",
+    proto = ":resources_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v11/common:common_go_proto",
+        "//google/ads/googleads/v11/enums:enums_go_proto",
+        "//google/ads/googleads/v11/errors:errors_go_proto",
+        "//google/api:annotations_go_proto",
+    ],
+)
diff -urN c/google/ads/googleads/v11/services/BUILD.bazel d/google/ads/googleads/v11/services/BUILD.bazel
--- c/google/ads/googleads/v11/services/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/googleads/v11/services/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,138 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "services_proto",
+    srcs = [
+        "account_budget_proposal_service.proto",
+        "account_link_service.proto",
+        "ad_group_ad_label_service.proto",
+        "ad_group_ad_service.proto",
+        "ad_group_asset_service.proto",
+        "ad_group_bid_modifier_service.proto",
+        "ad_group_criterion_customizer_service.proto",
+        "ad_group_criterion_label_service.proto",
+        "ad_group_criterion_service.proto",
+        "ad_group_customizer_service.proto",
+        "ad_group_extension_setting_service.proto",
+        "ad_group_feed_service.proto",
+        "ad_group_label_service.proto",
+        "ad_group_service.proto",
+        "ad_parameter_service.proto",
+        "ad_service.proto",
+        "asset_group_asset_service.proto",
+        "asset_group_listing_group_filter_service.proto",
+        "asset_group_service.proto",
+        "asset_group_signal_service.proto",
+        "asset_service.proto",
+        "asset_set_asset_service.proto",
+        "asset_set_service.proto",
+        "audience_insights_service.proto",
+        "audience_service.proto",
+        "batch_job_service.proto",
+        "bidding_data_exclusion_service.proto",
+        "bidding_seasonality_adjustment_service.proto",
+        "bidding_strategy_service.proto",
+        "billing_setup_service.proto",
+        "campaign_asset_service.proto",
+        "campaign_asset_set_service.proto",
+        "campaign_bid_modifier_service.proto",
+        "campaign_budget_service.proto",
+        "campaign_conversion_goal_service.proto",
+        "campaign_criterion_service.proto",
+        "campaign_customizer_service.proto",
+        "campaign_draft_service.proto",
+        "campaign_experiment_service.proto",
+        "campaign_extension_setting_service.proto",
+        "campaign_feed_service.proto",
+        "campaign_group_service.proto",
+        "campaign_label_service.proto",
+        "campaign_service.proto",
+        "campaign_shared_set_service.proto",
+        "conversion_action_service.proto",
+        "conversion_adjustment_upload_service.proto",
+        "conversion_custom_variable_service.proto",
+        "conversion_goal_campaign_config_service.proto",
+        "conversion_upload_service.proto",
+        "conversion_value_rule_service.proto",
+        "conversion_value_rule_set_service.proto",
+        "custom_audience_service.proto",
+        "custom_conversion_goal_service.proto",
+        "custom_interest_service.proto",
+        "customer_asset_service.proto",
+        "customer_client_link_service.proto",
+        "customer_conversion_goal_service.proto",
+        "customer_customizer_service.proto",
+        "customer_extension_setting_service.proto",
+        "customer_feed_service.proto",
+        "customer_label_service.proto",
+        "customer_manager_link_service.proto",
+        "customer_negative_criterion_service.proto",
+        "customer_service.proto",
+        "customer_user_access_invitation_service.proto",
+        "customer_user_access_service.proto",
+        "customizer_attribute_service.proto",
+        "experiment_arm_service.proto",
+        "experiment_service.proto",
+        "extension_feed_item_service.proto",
+        "feed_item_service.proto",
+        "feed_item_set_link_service.proto",
+        "feed_item_set_service.proto",
+        "feed_item_target_service.proto",
+        "feed_mapping_service.proto",
+        "feed_service.proto",
+        "geo_target_constant_service.proto",
+        "google_ads_field_service.proto",
+        "google_ads_service.proto",
+        "invoice_service.proto",
+        "keyword_plan_ad_group_keyword_service.proto",
+        "keyword_plan_ad_group_service.proto",
+        "keyword_plan_campaign_keyword_service.proto",
+        "keyword_plan_campaign_service.proto",
+        "keyword_plan_idea_service.proto",
+        "keyword_plan_service.proto",
+        "keyword_theme_constant_service.proto",
+        "label_service.proto",
+        "media_file_service.proto",
+        "merchant_center_link_service.proto",
+        "offline_user_data_job_service.proto",
+        "payments_account_service.proto",
+        "reach_plan_service.proto",
+        "recommendation_service.proto",
+        "remarketing_action_service.proto",
+        "shared_criterion_service.proto",
+        "shared_set_service.proto",
+        "smart_campaign_setting_service.proto",
+        "smart_campaign_suggest_service.proto",
+        "third_party_app_analytics_link_service.proto",
+        "user_data_service.proto",
+        "user_list_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v11/common:common_proto",
+        "//google/ads/googleads/v11/enums:enums_proto",
+        "//google/ads/googleads/v11/resources:resources_proto",
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "services_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/ads/googleads/v11/services",
+    proto = ":services_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v11/common:common_go_proto",
+        "//google/ads/googleads/v11/enums:enums_go_proto",
+        "//google/ads/googleads/v11/resources:resources_go_proto",
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/ads/googleads/v12/common/BUILD.bazel d/google/ads/googleads/v12/common/BUILD.bazel
--- c/google/ads/googleads/v12/common/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/googleads/v12/common/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,60 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "common_proto",
+    srcs = [
+        "ad_asset.proto",
+        "ad_type_infos.proto",
+        "asset_policy.proto",
+        "asset_set_types.proto",
+        "asset_types.proto",
+        "asset_usage.proto",
+        "audiences.proto",
+        "bidding.proto",
+        "click_location.proto",
+        "criteria.proto",
+        "criterion_category_availability.proto",
+        "custom_parameter.proto",
+        "customizer_value.proto",
+        "dates.proto",
+        "explorer_auto_optimizer_setting.proto",
+        "extensions.proto",
+        "feed_common.proto",
+        "feed_item_set_filter_type_infos.proto",
+        "final_app_url.proto",
+        "frequency_cap.proto",
+        "keyword_plan_common.proto",
+        "matching_function.proto",
+        "metric_goal.proto",
+        "metrics.proto",
+        "offline_user_data.proto",
+        "policy.proto",
+        "policy_summary.proto",
+        "real_time_bidding_setting.proto",
+        "segments.proto",
+        "simulation.proto",
+        "tag_snippet.proto",
+        "targeting_setting.proto",
+        "text_label.proto",
+        "url_collection.proto",
+        "user_lists.proto",
+        "value.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v12/enums:enums_proto",
+        "//google/api:annotations_proto",
+    ],
+)
+
+go_proto_library(
+    name = "common_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/ads/googleads/v12/common",
+    proto = ":common_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v12/enums:enums_go_proto",
+        "//google/api:annotations_go_proto",
+    ],
+)
diff -urN c/google/ads/googleads/v12/enums/BUILD.bazel d/google/ads/googleads/v12/enums/BUILD.bazel
--- c/google/ads/googleads/v12/enums/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/googleads/v12/enums/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,317 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "enums_proto",
+    srcs = [
+        "access_invitation_status.proto",
+        "access_reason.proto",
+        "access_role.proto",
+        "account_budget_proposal_status.proto",
+        "account_budget_proposal_type.proto",
+        "account_budget_status.proto",
+        "account_link_status.proto",
+        "ad_customizer_placeholder_field.proto",
+        "ad_destination_type.proto",
+        "ad_group_ad_rotation_mode.proto",
+        "ad_group_ad_status.proto",
+        "ad_group_criterion_approval_status.proto",
+        "ad_group_criterion_status.proto",
+        "ad_group_status.proto",
+        "ad_group_type.proto",
+        "ad_network_type.proto",
+        "ad_serving_optimization_status.proto",
+        "ad_strength.proto",
+        "ad_type.proto",
+        "advertising_channel_sub_type.proto",
+        "advertising_channel_type.proto",
+        "affiliate_location_feed_relationship_type.proto",
+        "affiliate_location_placeholder_field.proto",
+        "age_range_type.proto",
+        "app_campaign_app_store.proto",
+        "app_campaign_bidding_strategy_goal_type.proto",
+        "app_payment_model_type.proto",
+        "app_placeholder_field.proto",
+        "app_store.proto",
+        "app_url_operating_system_type.proto",
+        "asset_field_type.proto",
+        "asset_group_status.proto",
+        "asset_link_status.proto",
+        "asset_performance_label.proto",
+        "asset_set_asset_status.proto",
+        "asset_set_link_status.proto",
+        "asset_set_status.proto",
+        "asset_set_type.proto",
+        "asset_source.proto",
+        "asset_type.proto",
+        "async_action_status.proto",
+        "attribution_model.proto",
+        "audience_insights_dimension.proto",
+        "audience_status.proto",
+        "batch_job_status.proto",
+        "bid_modifier_source.proto",
+        "bidding_source.proto",
+        "bidding_strategy_status.proto",
+        "bidding_strategy_system_status.proto",
+        "bidding_strategy_type.proto",
+        "billing_setup_status.proto",
+        "brand_safety_suitability.proto",
+        "budget_campaign_association_status.proto",
+        "budget_delivery_method.proto",
+        "budget_period.proto",
+        "budget_status.proto",
+        "budget_type.proto",
+        "call_conversion_reporting_state.proto",
+        "call_placeholder_field.proto",
+        "call_to_action_type.proto",
+        "call_tracking_display_location.proto",
+        "call_type.proto",
+        "callout_placeholder_field.proto",
+        "campaign_criterion_status.proto",
+        "campaign_draft_status.proto",
+        "campaign_experiment_type.proto",
+        "campaign_group_status.proto",
+        "campaign_primary_status.proto",
+        "campaign_primary_status_reason.proto",
+        "campaign_serving_status.proto",
+        "campaign_shared_set_status.proto",
+        "campaign_status.proto",
+        "chain_relationship_type.proto",
+        "change_client_type.proto",
+        "change_event_resource_type.proto",
+        "change_status_operation.proto",
+        "change_status_resource_type.proto",
+        "click_type.proto",
+        "combined_audience_status.proto",
+        "content_label_type.proto",
+        "conversion_action_category.proto",
+        "conversion_action_counting_type.proto",
+        "conversion_action_status.proto",
+        "conversion_action_type.proto",
+        "conversion_adjustment_type.proto",
+        "conversion_attribution_event_type.proto",
+        "conversion_custom_variable_status.proto",
+        "conversion_environment_enum.proto",
+        "conversion_lag_bucket.proto",
+        "conversion_or_adjustment_lag_bucket.proto",
+        "conversion_origin.proto",
+        "conversion_tracking_status_enum.proto",
+        "conversion_value_rule_primary_dimension.proto",
+        "conversion_value_rule_set_status.proto",
+        "conversion_value_rule_status.proto",
+        "criterion_category_channel_availability_mode.proto",
+        "criterion_category_locale_availability_mode.proto",
+        "criterion_system_serving_status.proto",
+        "criterion_type.proto",
+        "custom_audience_member_type.proto",
+        "custom_audience_status.proto",
+        "custom_audience_type.proto",
+        "custom_conversion_goal_status.proto",
+        "custom_interest_member_type.proto",
+        "custom_interest_status.proto",
+        "custom_interest_type.proto",
+        "custom_placeholder_field.proto",
+        "customer_match_upload_key_type.proto",
+        "customer_pay_per_conversion_eligibility_failure_reason.proto",
+        "customer_status.proto",
+        "customizer_attribute_status.proto",
+        "customizer_attribute_type.proto",
+        "customizer_value_status.proto",
+        "data_driven_model_status.proto",
+        "day_of_week.proto",
+        "device.proto",
+        "display_ad_format_setting.proto",
+        "display_upload_product_type.proto",
+        "distance_bucket.proto",
+        "dsa_page_feed_criterion_field.proto",
+        "education_placeholder_field.proto",
+        "experiment_metric.proto",
+        "experiment_metric_direction.proto",
+        "experiment_status.proto",
+        "experiment_type.proto",
+        "extension_setting_device.proto",
+        "extension_type.proto",
+        "external_conversion_source.proto",
+        "feed_attribute_type.proto",
+        "feed_item_quality_approval_status.proto",
+        "feed_item_quality_disapproval_reason.proto",
+        "feed_item_set_status.proto",
+        "feed_item_set_string_filter_type.proto",
+        "feed_item_status.proto",
+        "feed_item_target_device.proto",
+        "feed_item_target_status.proto",
+        "feed_item_target_type.proto",
+        "feed_item_validation_status.proto",
+        "feed_link_status.proto",
+        "feed_mapping_criterion_type.proto",
+        "feed_mapping_status.proto",
+        "feed_origin.proto",
+        "feed_status.proto",
+        "flight_placeholder_field.proto",
+        "frequency_cap_event_type.proto",
+        "frequency_cap_level.proto",
+        "frequency_cap_time_unit.proto",
+        "gender_type.proto",
+        "geo_target_constant_status.proto",
+        "geo_targeting_restriction.proto",
+        "geo_targeting_type.proto",
+        "goal_config_level.proto",
+        "google_ads_field_category.proto",
+        "google_ads_field_data_type.proto",
+        "google_voice_call_status.proto",
+        "hotel_date_selection_type.proto",
+        "hotel_placeholder_field.proto",
+        "hotel_price_bucket.proto",
+        "hotel_rate_type.proto",
+        "hotel_reconciliation_status.proto",
+        "image_placeholder_field.proto",
+        "income_range_type.proto",
+        "interaction_event_type.proto",
+        "interaction_type.proto",
+        "invoice_type.proto",
+        "job_placeholder_field.proto",
+        "keyword_match_type.proto",
+        "keyword_plan_aggregate_metric_type.proto",
+        "keyword_plan_competition_level.proto",
+        "keyword_plan_concept_group_type.proto",
+        "keyword_plan_forecast_interval.proto",
+        "keyword_plan_keyword_annotation.proto",
+        "keyword_plan_network.proto",
+        "label_status.proto",
+        "lead_form_call_to_action_type.proto",
+        "lead_form_desired_intent.proto",
+        "lead_form_field_user_input_type.proto",
+        "lead_form_post_submit_call_to_action_type.proto",
+        "legacy_app_install_ad_app_store.proto",
+        "linked_account_type.proto",
+        "listing_group_filter_bidding_category_level.proto",
+        "listing_group_filter_custom_attribute_index.proto",
+        "listing_group_filter_product_channel.proto",
+        "listing_group_filter_product_condition.proto",
+        "listing_group_filter_product_type_level.proto",
+        "listing_group_filter_type_enum.proto",
+        "listing_group_filter_vertical.proto",
+        "listing_group_type.proto",
+        "local_placeholder_field.proto",
+        "location_extension_targeting_criterion_field.proto",
+        "location_group_radius_units.proto",
+        "location_ownership_type.proto",
+        "location_placeholder_field.proto",
+        "location_source_type.proto",
+        "location_string_filter_type.proto",
+        "manager_link_status.proto",
+        "matching_function_context_type.proto",
+        "matching_function_operator.proto",
+        "media_type.proto",
+        "merchant_center_link_status.proto",
+        "message_placeholder_field.proto",
+        "mime_type.proto",
+        "minute_of_hour.proto",
+        "mobile_app_vendor.proto",
+        "mobile_device_type.proto",
+        "month_of_year.proto",
+        "negative_geo_target_type.proto",
+        "offline_user_data_job_failure_reason.proto",
+        "offline_user_data_job_match_rate_range.proto",
+        "offline_user_data_job_status.proto",
+        "offline_user_data_job_type.proto",
+        "operating_system_version_operator_type.proto",
+        "optimization_goal_type.proto",
+        "parental_status_type.proto",
+        "payment_mode.proto",
+        "performance_max_upgrade_status.proto",
+        "placeholder_type.proto",
+        "placement_type.proto",
+        "policy_approval_status.proto",
+        "policy_review_status.proto",
+        "policy_topic_entry_type.proto",
+        "policy_topic_evidence_destination_mismatch_url_type.proto",
+        "policy_topic_evidence_destination_not_working_device.proto",
+        "policy_topic_evidence_destination_not_working_dns_error_type.proto",
+        "positive_geo_target_type.proto",
+        "preferred_content_type.proto",
+        "price_extension_price_qualifier.proto",
+        "price_extension_price_unit.proto",
+        "price_extension_type.proto",
+        "price_placeholder_field.proto",
+        "product_bidding_category_level.proto",
+        "product_bidding_category_status.proto",
+        "product_channel.proto",
+        "product_channel_exclusivity.proto",
+        "product_condition.proto",
+        "product_custom_attribute_index.proto",
+        "product_type_level.proto",
+        "promotion_extension_discount_modifier.proto",
+        "promotion_extension_occasion.proto",
+        "promotion_placeholder_field.proto",
+        "proximity_radius_units.proto",
+        "quality_score_bucket.proto",
+        "reach_plan_age_range.proto",
+        "reach_plan_network.proto",
+        "real_estate_placeholder_field.proto",
+        "recommendation_type.proto",
+        "resource_change_operation.proto",
+        "resource_limit_type.proto",
+        "response_content_type.proto",
+        "search_engine_results_page_type.proto",
+        "search_term_match_type.proto",
+        "search_term_targeting_status.proto",
+        "seasonality_event_scope.proto",
+        "seasonality_event_status.proto",
+        "served_asset_field_type.proto",
+        "shared_set_status.proto",
+        "shared_set_type.proto",
+        "simulation_modification_method.proto",
+        "simulation_type.proto",
+        "sitelink_placeholder_field.proto",
+        "sk_ad_network_ad_event_type.proto",
+        "sk_ad_network_attribution_credit.proto",
+        "sk_ad_network_user_type.proto",
+        "slot.proto",
+        "spending_limit_type.proto",
+        "structured_snippet_placeholder_field.proto",
+        "summary_row_setting.proto",
+        "system_managed_entity_source.proto",
+        "target_cpa_opt_in_recommendation_goal.proto",
+        "target_impression_share_location.proto",
+        "targeting_dimension.proto",
+        "time_type.proto",
+        "tracking_code_page_format.proto",
+        "tracking_code_type.proto",
+        "travel_placeholder_field.proto",
+        "user_identifier_source.proto",
+        "user_interest_taxonomy_type.proto",
+        "user_list_access_status.proto",
+        "user_list_closing_reason.proto",
+        "user_list_combined_rule_operator.proto",
+        "user_list_crm_data_source_type.proto",
+        "user_list_date_rule_item_operator.proto",
+        "user_list_flexible_rule_operator.proto",
+        "user_list_logical_rule_operator.proto",
+        "user_list_membership_status.proto",
+        "user_list_number_rule_item_operator.proto",
+        "user_list_prepopulation_status.proto",
+        "user_list_rule_type.proto",
+        "user_list_size_range.proto",
+        "user_list_string_rule_item_operator.proto",
+        "user_list_type.proto",
+        "value_rule_device_type.proto",
+        "value_rule_geo_location_match_type.proto",
+        "value_rule_operation.proto",
+        "value_rule_set_attachment_type.proto",
+        "value_rule_set_dimension.proto",
+        "vanity_pharma_display_url_mode.proto",
+        "vanity_pharma_text.proto",
+        "video_thumbnail.proto",
+        "webpage_condition_operand.proto",
+        "webpage_condition_operator.proto",
+    ],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "enums_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/ads/googleads/v12/enums",
+    proto = ":enums_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/ads/googleads/v12/errors/BUILD.bazel d/google/ads/googleads/v12/errors/BUILD.bazel
--- c/google/ads/googleads/v12/errors/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/googleads/v12/errors/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,167 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "errors_proto",
+    srcs = [
+        "access_invitation_error.proto",
+        "account_budget_proposal_error.proto",
+        "account_link_error.proto",
+        "ad_customizer_error.proto",
+        "ad_error.proto",
+        "ad_group_ad_error.proto",
+        "ad_group_bid_modifier_error.proto",
+        "ad_group_criterion_customizer_error.proto",
+        "ad_group_criterion_error.proto",
+        "ad_group_customizer_error.proto",
+        "ad_group_error.proto",
+        "ad_group_feed_error.proto",
+        "ad_parameter_error.proto",
+        "ad_sharing_error.proto",
+        "adx_error.proto",
+        "asset_error.proto",
+        "asset_group_asset_error.proto",
+        "asset_group_error.proto",
+        "asset_group_listing_group_filter_error.proto",
+        "asset_link_error.proto",
+        "asset_set_asset_error.proto",
+        "asset_set_error.proto",
+        "asset_set_link_error.proto",
+        "audience_error.proto",
+        "audience_insights_error.proto",
+        "authentication_error.proto",
+        "authorization_error.proto",
+        "batch_job_error.proto",
+        "bidding_error.proto",
+        "bidding_strategy_error.proto",
+        "billing_setup_error.proto",
+        "campaign_budget_error.proto",
+        "campaign_conversion_goal_error.proto",
+        "campaign_criterion_error.proto",
+        "campaign_customizer_error.proto",
+        "campaign_draft_error.proto",
+        "campaign_error.proto",
+        "campaign_experiment_error.proto",
+        "campaign_feed_error.proto",
+        "campaign_shared_set_error.proto",
+        "change_event_error.proto",
+        "change_status_error.proto",
+        "collection_size_error.proto",
+        "context_error.proto",
+        "conversion_action_error.proto",
+        "conversion_adjustment_upload_error.proto",
+        "conversion_custom_variable_error.proto",
+        "conversion_goal_campaign_config_error.proto",
+        "conversion_upload_error.proto",
+        "conversion_value_rule_error.proto",
+        "conversion_value_rule_set_error.proto",
+        "country_code_error.proto",
+        "criterion_error.proto",
+        "currency_code_error.proto",
+        "custom_audience_error.proto",
+        "custom_conversion_goal_error.proto",
+        "custom_interest_error.proto",
+        "customer_client_link_error.proto",
+        "customer_customizer_error.proto",
+        "customer_error.proto",
+        "customer_feed_error.proto",
+        "customer_manager_link_error.proto",
+        "customer_user_access_error.proto",
+        "customizer_attribute_error.proto",
+        "database_error.proto",
+        "date_error.proto",
+        "date_range_error.proto",
+        "distinct_error.proto",
+        "enum_error.proto",
+        "errors.proto",
+        "experiment_arm_error.proto",
+        "experiment_error.proto",
+        "extension_feed_item_error.proto",
+        "extension_setting_error.proto",
+        "feed_attribute_reference_error.proto",
+        "feed_error.proto",
+        "feed_item_error.proto",
+        "feed_item_set_error.proto",
+        "feed_item_set_link_error.proto",
+        "feed_item_target_error.proto",
+        "feed_item_validation_error.proto",
+        "feed_mapping_error.proto",
+        "field_error.proto",
+        "field_mask_error.proto",
+        "function_error.proto",
+        "function_parsing_error.proto",
+        "geo_target_constant_suggestion_error.proto",
+        "header_error.proto",
+        "id_error.proto",
+        "image_error.proto",
+        "internal_error.proto",
+        "invoice_error.proto",
+        "keyword_plan_ad_group_error.proto",
+        "keyword_plan_ad_group_keyword_error.proto",
+        "keyword_plan_campaign_error.proto",
+        "keyword_plan_campaign_keyword_error.proto",
+        "keyword_plan_error.proto",
+        "keyword_plan_idea_error.proto",
+        "label_error.proto",
+        "language_code_error.proto",
+        "list_operation_error.proto",
+        "manager_link_error.proto",
+        "media_bundle_error.proto",
+        "media_file_error.proto",
+        "media_upload_error.proto",
+        "merchant_center_error.proto",
+        "multiplier_error.proto",
+        "mutate_error.proto",
+        "new_resource_creation_error.proto",
+        "not_allowlisted_error.proto",
+        "not_empty_error.proto",
+        "null_error.proto",
+        "offline_user_data_job_error.proto",
+        "operation_access_denied_error.proto",
+        "operator_error.proto",
+        "partial_failure_error.proto",
+        "payments_account_error.proto",
+        "policy_finding_error.proto",
+        "policy_validation_parameter_error.proto",
+        "policy_violation_error.proto",
+        "query_error.proto",
+        "quota_error.proto",
+        "range_error.proto",
+        "reach_plan_error.proto",
+        "recommendation_error.proto",
+        "region_code_error.proto",
+        "request_error.proto",
+        "resource_access_denied_error.proto",
+        "resource_count_limit_exceeded_error.proto",
+        "setting_error.proto",
+        "shared_criterion_error.proto",
+        "shared_set_error.proto",
+        "size_limit_error.proto",
+        "smart_campaign_error.proto",
+        "string_format_error.proto",
+        "string_length_error.proto",
+        "third_party_app_analytics_link_error.proto",
+        "time_zone_error.proto",
+        "url_field_error.proto",
+        "user_data_error.proto",
+        "user_list_error.proto",
+        "youtube_video_registration_error.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v12/common:common_proto",
+        "//google/ads/googleads/v12/enums:enums_proto",
+        "@com_google_protobuf//:duration_proto",
+    ],
+)
+
+go_proto_library(
+    name = "errors_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/ads/googleads/v12/errors",
+    proto = ":errors_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v12/common:common_go_proto",
+        "//google/ads/googleads/v12/enums:enums_go_proto",
+    ],
+)
diff -urN c/google/ads/googleads/v12/resources/BUILD.bazel d/google/ads/googleads/v12/resources/BUILD.bazel
--- c/google/ads/googleads/v12/resources/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/googleads/v12/resources/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,188 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "resources_proto",
+    srcs = [
+        "accessible_bidding_strategy.proto",
+        "account_budget.proto",
+        "account_budget_proposal.proto",
+        "account_link.proto",
+        "ad.proto",
+        "ad_group.proto",
+        "ad_group_ad.proto",
+        "ad_group_ad_asset_combination_view.proto",
+        "ad_group_ad_asset_view.proto",
+        "ad_group_ad_label.proto",
+        "ad_group_asset.proto",
+        "ad_group_asset_set.proto",
+        "ad_group_audience_view.proto",
+        "ad_group_bid_modifier.proto",
+        "ad_group_criterion.proto",
+        "ad_group_criterion_customizer.proto",
+        "ad_group_criterion_label.proto",
+        "ad_group_criterion_simulation.proto",
+        "ad_group_customizer.proto",
+        "ad_group_extension_setting.proto",
+        "ad_group_feed.proto",
+        "ad_group_label.proto",
+        "ad_group_simulation.proto",
+        "ad_parameter.proto",
+        "ad_schedule_view.proto",
+        "age_range_view.proto",
+        "asset.proto",
+        "asset_field_type_view.proto",
+        "asset_group.proto",
+        "asset_group_asset.proto",
+        "asset_group_listing_group_filter.proto",
+        "asset_group_product_group_view.proto",
+        "asset_group_signal.proto",
+        "asset_set.proto",
+        "asset_set_asset.proto",
+        "asset_set_type_view.proto",
+        "audience.proto",
+        "batch_job.proto",
+        "bidding_data_exclusion.proto",
+        "bidding_seasonality_adjustment.proto",
+        "bidding_strategy.proto",
+        "bidding_strategy_simulation.proto",
+        "billing_setup.proto",
+        "call_view.proto",
+        "campaign.proto",
+        "campaign_asset.proto",
+        "campaign_asset_set.proto",
+        "campaign_audience_view.proto",
+        "campaign_bid_modifier.proto",
+        "campaign_budget.proto",
+        "campaign_conversion_goal.proto",
+        "campaign_criterion.proto",
+        "campaign_criterion_simulation.proto",
+        "campaign_customizer.proto",
+        "campaign_draft.proto",
+        "campaign_extension_setting.proto",
+        "campaign_feed.proto",
+        "campaign_group.proto",
+        "campaign_label.proto",
+        "campaign_shared_set.proto",
+        "campaign_simulation.proto",
+        "carrier_constant.proto",
+        "change_event.proto",
+        "change_status.proto",
+        "click_view.proto",
+        "combined_audience.proto",
+        "conversion_action.proto",
+        "conversion_custom_variable.proto",
+        "conversion_goal_campaign_config.proto",
+        "conversion_value_rule.proto",
+        "conversion_value_rule_set.proto",
+        "currency_constant.proto",
+        "custom_audience.proto",
+        "custom_conversion_goal.proto",
+        "custom_interest.proto",
+        "customer.proto",
+        "customer_asset.proto",
+        "customer_asset_set.proto",
+        "customer_client.proto",
+        "customer_client_link.proto",
+        "customer_conversion_goal.proto",
+        "customer_customizer.proto",
+        "customer_extension_setting.proto",
+        "customer_feed.proto",
+        "customer_label.proto",
+        "customer_manager_link.proto",
+        "customer_negative_criterion.proto",
+        "customer_user_access.proto",
+        "customer_user_access_invitation.proto",
+        "customizer_attribute.proto",
+        "detail_placement_view.proto",
+        "detailed_demographic.proto",
+        "display_keyword_view.proto",
+        "distance_view.proto",
+        "domain_category.proto",
+        "dynamic_search_ads_search_term_view.proto",
+        "expanded_landing_page_view.proto",
+        "experiment.proto",
+        "experiment_arm.proto",
+        "extension_feed_item.proto",
+        "feed.proto",
+        "feed_item.proto",
+        "feed_item_set.proto",
+        "feed_item_set_link.proto",
+        "feed_item_target.proto",
+        "feed_mapping.proto",
+        "feed_placeholder_view.proto",
+        "gender_view.proto",
+        "geo_target_constant.proto",
+        "geographic_view.proto",
+        "google_ads_field.proto",
+        "group_placement_view.proto",
+        "hotel_group_view.proto",
+        "hotel_performance_view.proto",
+        "hotel_reconciliation.proto",
+        "income_range_view.proto",
+        "invoice.proto",
+        "keyword_plan.proto",
+        "keyword_plan_ad_group.proto",
+        "keyword_plan_ad_group_keyword.proto",
+        "keyword_plan_campaign.proto",
+        "keyword_plan_campaign_keyword.proto",
+        "keyword_theme_constant.proto",
+        "keyword_view.proto",
+        "label.proto",
+        "landing_page_view.proto",
+        "language_constant.proto",
+        "lead_form_submission_data.proto",
+        "life_event.proto",
+        "location_view.proto",
+        "managed_placement_view.proto",
+        "media_file.proto",
+        "merchant_center_link.proto",
+        "mobile_app_category_constant.proto",
+        "mobile_device_constant.proto",
+        "offline_user_data_job.proto",
+        "operating_system_version_constant.proto",
+        "paid_organic_search_term_view.proto",
+        "parental_status_view.proto",
+        "payments_account.proto",
+        "per_store_view.proto",
+        "product_bidding_category_constant.proto",
+        "product_group_view.proto",
+        "recommendation.proto",
+        "remarketing_action.proto",
+        "search_term_view.proto",
+        "shared_criterion.proto",
+        "shared_set.proto",
+        "shopping_performance_view.proto",
+        "smart_campaign_search_term_view.proto",
+        "smart_campaign_setting.proto",
+        "third_party_app_analytics_link.proto",
+        "topic_constant.proto",
+        "topic_view.proto",
+        "user_interest.proto",
+        "user_list.proto",
+        "user_location_view.proto",
+        "video.proto",
+        "webpage_view.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v12/common:common_proto",
+        "//google/ads/googleads/v12/enums:enums_proto",
+        "//google/ads/googleads/v12/errors:errors_proto",
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "resources_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/ads/googleads/v12/resources",
+    proto = ":resources_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v12/common:common_go_proto",
+        "//google/ads/googleads/v12/enums:enums_go_proto",
+        "//google/ads/googleads/v12/errors:errors_go_proto",
+        "//google/api:annotations_go_proto",
+    ],
+)
diff -urN c/google/ads/googleads/v12/services/BUILD.bazel d/google/ads/googleads/v12/services/BUILD.bazel
--- c/google/ads/googleads/v12/services/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/googleads/v12/services/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,139 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "services_proto",
+    srcs = [
+        "account_budget_proposal_service.proto",
+        "account_link_service.proto",
+        "ad_group_ad_label_service.proto",
+        "ad_group_ad_service.proto",
+        "ad_group_asset_service.proto",
+        "ad_group_asset_set_service.proto",
+        "ad_group_bid_modifier_service.proto",
+        "ad_group_criterion_customizer_service.proto",
+        "ad_group_criterion_label_service.proto",
+        "ad_group_criterion_service.proto",
+        "ad_group_customizer_service.proto",
+        "ad_group_extension_setting_service.proto",
+        "ad_group_feed_service.proto",
+        "ad_group_label_service.proto",
+        "ad_group_service.proto",
+        "ad_parameter_service.proto",
+        "ad_service.proto",
+        "asset_group_asset_service.proto",
+        "asset_group_listing_group_filter_service.proto",
+        "asset_group_service.proto",
+        "asset_group_signal_service.proto",
+        "asset_service.proto",
+        "asset_set_asset_service.proto",
+        "asset_set_service.proto",
+        "audience_insights_service.proto",
+        "audience_service.proto",
+        "batch_job_service.proto",
+        "bidding_data_exclusion_service.proto",
+        "bidding_seasonality_adjustment_service.proto",
+        "bidding_strategy_service.proto",
+        "billing_setup_service.proto",
+        "campaign_asset_service.proto",
+        "campaign_asset_set_service.proto",
+        "campaign_bid_modifier_service.proto",
+        "campaign_budget_service.proto",
+        "campaign_conversion_goal_service.proto",
+        "campaign_criterion_service.proto",
+        "campaign_customizer_service.proto",
+        "campaign_draft_service.proto",
+        "campaign_extension_setting_service.proto",
+        "campaign_feed_service.proto",
+        "campaign_group_service.proto",
+        "campaign_label_service.proto",
+        "campaign_service.proto",
+        "campaign_shared_set_service.proto",
+        "conversion_action_service.proto",
+        "conversion_adjustment_upload_service.proto",
+        "conversion_custom_variable_service.proto",
+        "conversion_goal_campaign_config_service.proto",
+        "conversion_upload_service.proto",
+        "conversion_value_rule_service.proto",
+        "conversion_value_rule_set_service.proto",
+        "custom_audience_service.proto",
+        "custom_conversion_goal_service.proto",
+        "custom_interest_service.proto",
+        "customer_asset_service.proto",
+        "customer_asset_set_service.proto",
+        "customer_client_link_service.proto",
+        "customer_conversion_goal_service.proto",
+        "customer_customizer_service.proto",
+        "customer_extension_setting_service.proto",
+        "customer_feed_service.proto",
+        "customer_label_service.proto",
+        "customer_manager_link_service.proto",
+        "customer_negative_criterion_service.proto",
+        "customer_service.proto",
+        "customer_user_access_invitation_service.proto",
+        "customer_user_access_service.proto",
+        "customizer_attribute_service.proto",
+        "experiment_arm_service.proto",
+        "experiment_service.proto",
+        "extension_feed_item_service.proto",
+        "feed_item_service.proto",
+        "feed_item_set_link_service.proto",
+        "feed_item_set_service.proto",
+        "feed_item_target_service.proto",
+        "feed_mapping_service.proto",
+        "feed_service.proto",
+        "geo_target_constant_service.proto",
+        "google_ads_field_service.proto",
+        "google_ads_service.proto",
+        "invoice_service.proto",
+        "keyword_plan_ad_group_keyword_service.proto",
+        "keyword_plan_ad_group_service.proto",
+        "keyword_plan_campaign_keyword_service.proto",
+        "keyword_plan_campaign_service.proto",
+        "keyword_plan_idea_service.proto",
+        "keyword_plan_service.proto",
+        "keyword_theme_constant_service.proto",
+        "label_service.proto",
+        "media_file_service.proto",
+        "merchant_center_link_service.proto",
+        "offline_user_data_job_service.proto",
+        "payments_account_service.proto",
+        "reach_plan_service.proto",
+        "recommendation_service.proto",
+        "remarketing_action_service.proto",
+        "shared_criterion_service.proto",
+        "shared_set_service.proto",
+        "smart_campaign_setting_service.proto",
+        "smart_campaign_suggest_service.proto",
+        "third_party_app_analytics_link_service.proto",
+        "user_data_service.proto",
+        "user_list_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v12/common:common_proto",
+        "//google/ads/googleads/v12/enums:enums_proto",
+        "//google/ads/googleads/v12/resources:resources_proto",
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "services_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/ads/googleads/v12/services",
+    proto = ":services_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/googleads/v12/common:common_go_proto",
+        "//google/ads/googleads/v12/enums:enums_go_proto",
+        "//google/ads/googleads/v12/resources:resources_go_proto",
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/ads/searchads360/v0/common/BUILD.bazel d/google/ads/searchads360/v0/common/BUILD.bazel
--- c/google/ads/searchads360/v0/common/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/searchads360/v0/common/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "common_proto",
+    srcs = [
+        "bidding.proto",
+        "criteria.proto",
+        "custom_parameter.proto",
+        "frequency_cap.proto",
+        "metrics.proto",
+        "real_time_bidding_setting.proto",
+        "segments.proto",
+        "value.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/searchads360/v0/enums:enums_proto",
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "common_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/ads/searchads360/v0/common",
+    proto = ":common_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/searchads360/v0/enums:enums_go_proto",
+        "//google/api:annotations_go_proto",
+    ],
+)
diff -urN c/google/ads/searchads360/v0/enums/BUILD.bazel d/google/ads/searchads360/v0/enums/BUILD.bazel
--- c/google/ads/searchads360/v0/enums/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/searchads360/v0/enums/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,62 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "enums_proto",
+    srcs = [
+        "account_status.proto",
+        "account_type.proto",
+        "ad_group_ad_rotation_mode.proto",
+        "ad_group_criterion_engine_status.proto",
+        "ad_group_criterion_status.proto",
+        "ad_group_status.proto",
+        "ad_group_type.proto",
+        "ad_serving_optimization_status.proto",
+        "advertising_channel_sub_type.proto",
+        "advertising_channel_type.proto",
+        "age_range_type.proto",
+        "asset_field_type.proto",
+        "attribution_model.proto",
+        "bidding_strategy_status.proto",
+        "bidding_strategy_system_status.proto",
+        "bidding_strategy_type.proto",
+        "budget_delivery_method.proto",
+        "budget_period.proto",
+        "campaign_serving_status.proto",
+        "campaign_status.proto",
+        "conversion_action_category.proto",
+        "conversion_action_status.proto",
+        "conversion_action_type.proto",
+        "conversion_tracking_status_enum.proto",
+        "criterion_type.proto",
+        "custom_column_value_type.proto",
+        "customer_status.proto",
+        "data_driven_model_status.proto",
+        "day_of_week.proto",
+        "device.proto",
+        "gender_type.proto",
+        "interaction_event_type.proto",
+        "keyword_match_type.proto",
+        "listing_group_type.proto",
+        "location_group_radius_units.proto",
+        "manager_link_status.proto",
+        "negative_geo_target_type.proto",
+        "optimization_goal_type.proto",
+        "positive_geo_target_type.proto",
+        "quality_score_bucket.proto",
+        "search_ads360_field_category.proto",
+        "search_ads360_field_data_type.proto",
+        "summary_row_setting.proto",
+        "target_impression_share_location.proto",
+        "webpage_condition_operand.proto",
+        "webpage_condition_operator.proto",
+    ],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "enums_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/ads/searchads360/v0/enums",
+    proto = ":enums_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/ads/searchads360/v0/resources/BUILD.bazel d/google/ads/searchads360/v0/resources/BUILD.bazel
--- c/google/ads/searchads360/v0/resources/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/searchads360/v0/resources/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,41 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "resources_proto",
+    srcs = [
+        "ad_group.proto",
+        "ad_group_bid_modifier.proto",
+        "ad_group_criterion.proto",
+        "bidding_strategy.proto",
+        "campaign.proto",
+        "campaign_budget.proto",
+        "campaign_criterion.proto",
+        "conversion_action.proto",
+        "custom_column.proto",
+        "customer.proto",
+        "customer_client.proto",
+        "customer_manager_link.proto",
+        "keyword_view.proto",
+        "product_group_view.proto",
+        "search_ads360_field.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/searchads360/v0/common:common_proto",
+        "//google/ads/searchads360/v0/enums:enums_proto",
+        "//google/api:annotations_proto",
+    ],
+)
+
+go_proto_library(
+    name = "resources_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/ads/searchads360/v0/resources",
+    proto = ":resources_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/searchads360/v0/common:common_go_proto",
+        "//google/ads/searchads360/v0/enums:enums_go_proto",
+        "//google/api:annotations_go_proto",
+    ],
+)
diff -urN c/google/ads/searchads360/v0/services/BUILD.bazel d/google/ads/searchads360/v0/services/BUILD.bazel
--- c/google/ads/searchads360/v0/services/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/ads/searchads360/v0/services/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "services_proto",
+    srcs = [
+        "custom_column_service.proto",
+        "search_ads360_field_service.proto",
+        "search_ads360_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/searchads360/v0/common:common_proto",
+        "//google/ads/searchads360/v0/enums:enums_proto",
+        "//google/ads/searchads360/v0/resources:resources_proto",
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "services_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/ads/searchads360/v0/services",
+    proto = ":services_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/ads/searchads360/v0/common:common_go_proto",
+        "//google/ads/searchads360/v0/enums:enums_go_proto",
+        "//google/ads/searchads360/v0/resources:resources_go_proto",
+        "//google/api:annotations_go_proto",
+    ],
+)
diff -urN c/google/analytics/admin/v1alpha/BUILD.bazel d/google/analytics/admin/v1alpha/BUILD.bazel
--- c/google/analytics/admin/v1alpha/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/analytics/admin/v1alpha/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "admin_proto",
+    srcs = [
+        "access_report.proto",
+        "analytics_admin.proto",
+        "audience.proto",
+        "resources.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "admin_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/analytics/admin/v1alpha",
+    proto = ":admin_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/analytics/admin/v1beta/BUILD.bazel d/google/analytics/admin/v1beta/BUILD.bazel
--- c/google/analytics/admin/v1beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/analytics/admin/v1beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "admin_proto",
+    srcs = [
+        "analytics_admin.proto",
+        "resources.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "admin_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/analytics/admin/v1beta",
+    proto = ":admin_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/analytics/data/v1alpha/BUILD.bazel d/google/analytics/data/v1alpha/BUILD.bazel
--- c/google/analytics/data/v1alpha/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/analytics/data/v1alpha/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,24 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "data_proto",
+    srcs = [
+        "analytics_data_api.proto",
+        "data.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:duration_proto",
+    ],
+)
+
+go_proto_library(
+    name = "data_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/analytics/data/v1alpha",
+    proto = ":data_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/analytics/data/v1beta/BUILD.bazel d/google/analytics/data/v1beta/BUILD.bazel
--- c/google/analytics/data/v1beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/analytics/data/v1beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "data_proto",
+    srcs = [
+        "analytics_data_api.proto",
+        "data.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "data_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/analytics/data/v1beta",
+    proto = ":data_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/api/BUILD.bazel d/google/api/BUILD.bazel
--- c/google/api/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/api/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,215 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "annotations_proto",
+    srcs = [
+        "annotations.proto",
+        "client.proto",
+        "field_behavior.proto",
+        "http.proto",
+        "resource.proto",
+        "routing.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        ":api_proto",
+        "@com_google_protobuf//:descriptor_proto",
+        "@com_google_protobuf//:duration_proto",
+    ],
+)
+
+proto_library(
+    name = "api_proto",
+    srcs = ["launch_stage.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "configchange_proto",
+    srcs = ["config_change.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "distribution_proto",
+    srcs = ["distribution.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+proto_library(
+    name = "error_reason_proto",
+    srcs = ["error_reason.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "httpbody_proto",
+    srcs = ["httpbody.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:any_proto"],
+)
+
+proto_library(
+    name = "label_proto",
+    srcs = ["label.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "metric_proto",
+    srcs = ["metric.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        ":api_proto",
+        ":label_proto",
+        "@com_google_protobuf//:duration_proto",
+    ],
+)
+
+proto_library(
+    name = "monitoredres_proto",
+    srcs = ["monitored_resource.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        ":api_proto",
+        ":label_proto",
+        "@com_google_protobuf//:struct_proto",
+    ],
+)
+
+proto_library(
+    name = "serviceconfig_proto",
+    srcs = [
+        "auth.proto",
+        "backend.proto",
+        "billing.proto",
+        "consumer.proto",
+        "context.proto",
+        "control.proto",
+        "documentation.proto",
+        "endpoint.proto",
+        "log.proto",
+        "logging.proto",
+        "monitoring.proto",
+        "quota.proto",
+        "service.proto",
+        "source_info.proto",
+        "system_parameter.proto",
+        "usage.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        ":annotations_proto",
+        ":label_proto",
+        ":metric_proto",
+        ":monitoredres_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:api_proto",
+        "@com_google_protobuf//:type_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+proto_library(
+    name = "visibility_proto",
+    srcs = ["visibility.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:descriptor_proto"],
+)
+
+go_proto_library(
+    name = "annotations_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/api/annotations",
+    proto = ":annotations_proto",
+    visibility = ["//visibility:public"],
+    deps = [":api_go_proto"],
+)
+
+go_proto_library(
+    name = "api_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/api",
+    proto = ":api_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "configchange_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/api/configchange",
+    proto = ":configchange_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "distribution_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/api/distribution",
+    proto = ":distribution_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "error_reason_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/api/error_reason",
+    proto = ":error_reason_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "httpbody_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/api/httpbody",
+    proto = ":httpbody_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "label_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/api/label",
+    proto = ":label_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "metric_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/api/metric",
+    proto = ":metric_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        ":api_go_proto",
+        ":label_go_proto",
+    ],
+)
+
+go_proto_library(
+    name = "monitoredres_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/api/monitoredres",
+    proto = ":monitoredres_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        ":api_go_proto",
+        ":label_go_proto",
+    ],
+)
+
+go_proto_library(
+    name = "serviceconfig_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/api/serviceconfig",
+    proto = ":serviceconfig_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        ":annotations_go_proto",
+        ":label_go_proto",
+        ":metric_go_proto",
+        ":monitoredres_go_proto",
+    ],
+)
+
+go_proto_library(
+    name = "visibility_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/api/visibility",
+    proto = ":visibility_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/api/apikeys/v2/BUILD.bazel d/google/api/apikeys/v2/BUILD.bazel
--- c/google/api/apikeys/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/api/apikeys/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "apikeys_proto",
+    srcs = [
+        "apikeys.proto",
+        "resources.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "apikeys_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/api/apikeys/v2",
+    proto = ":apikeys_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/api/expr/conformance/v1alpha1/BUILD.bazel d/google/api/expr/conformance/v1alpha1/BUILD.bazel
--- c/google/api/expr/conformance/v1alpha1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/api/expr/conformance/v1alpha1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "confpb_proto",
+    srcs = ["conformance_service.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api/expr/v1alpha1:expr_proto",
+        "//google/rpc:status_proto",
+    ],
+)
+
+go_proto_library(
+    name = "confpb_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/api/expr/conformance/v1alpha1",
+    proto = ":confpb_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api/expr/v1alpha1:expr_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/api/expr/v1alpha1/BUILD.bazel d/google/api/expr/v1alpha1/BUILD.bazel
--- c/google/api/expr/v1alpha1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/api/expr/v1alpha1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "expr_proto",
+    srcs = [
+        "checked.proto",
+        "eval.proto",
+        "explain.proto",
+        "syntax.proto",
+        "value.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "expr_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/api/expr/v1alpha1",
+    proto = ":expr_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/rpc:status_go_proto"],
+)
diff -urN c/google/api/expr/v1beta1/BUILD.bazel d/google/api/expr/v1beta1/BUILD.bazel
--- c/google/api/expr/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/api/expr/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "expr_proto",
+    srcs = [
+        "decl.proto",
+        "eval.proto",
+        "expr.proto",
+        "source.proto",
+        "value.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:struct_proto",
+    ],
+)
+
+go_proto_library(
+    name = "expr_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/api/expr/v1beta1",
+    proto = ":expr_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/rpc:status_go_proto"],
+)
diff -urN c/google/api/servicecontrol/v1/BUILD.bazel d/google/api/servicecontrol/v1/BUILD.bazel
--- c/google/api/servicecontrol/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/api/servicecontrol/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,41 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "servicecontrol_proto",
+    srcs = [
+        "check_error.proto",
+        "distribution.proto",
+        "http_request.proto",
+        "log_entry.proto",
+        "metric_value.proto",
+        "operation.proto",
+        "quota_controller.proto",
+        "service_controller.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:distribution_proto",
+        "//google/logging/type:ltype_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "servicecontrol_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/api/servicecontrol/v1",
+    proto = ":servicecontrol_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:distribution_go_proto",
+        "//google/logging/type:ltype_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/api/servicecontrol/v2/BUILD.bazel d/google/api/servicecontrol/v2/BUILD.bazel
--- c/google/api/servicecontrol/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/api/servicecontrol/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "servicecontrol_proto",
+    srcs = ["service_controller.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "//google/rpc/context:attribute_context_proto",
+    ],
+)
+
+go_proto_library(
+    name = "servicecontrol_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/api/servicecontrol/v2",
+    proto = ":servicecontrol_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/rpc/context:attribute_context_go_proto",
+    ],
+)
diff -urN c/google/api/servicemanagement/v1/BUILD.bazel d/google/api/servicemanagement/v1/BUILD.bazel
--- c/google/api/servicemanagement/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/api/servicemanagement/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "servicemanagement_proto",
+    srcs = [
+        "resources.proto",
+        "servicemanager.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:configchange_proto",
+        "//google/api:serviceconfig_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "servicemanagement_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/api/servicemanagement/v1",
+    proto = ":servicemanagement_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:configchange_go_proto",
+        "//google/api:serviceconfig_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/api/serviceusage/v1/BUILD.bazel d/google/api/serviceusage/v1/BUILD.bazel
--- c/google/api/serviceusage/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/api/serviceusage/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "serviceusage_proto",
+    srcs = [
+        "resources.proto",
+        "serviceusage.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:monitoredres_proto",
+        "//google/api:serviceconfig_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:api_proto",
+    ],
+)
+
+go_proto_library(
+    name = "serviceusage_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/api/serviceusage/v1",
+    proto = ":serviceusage_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:monitoredres_go_proto",
+        "//google/api:serviceconfig_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/api/serviceusage/v1beta1/BUILD.bazel d/google/api/serviceusage/v1beta1/BUILD.bazel
--- c/google/api/serviceusage/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/api/serviceusage/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "serviceusage_proto",
+    srcs = [
+        "resources.proto",
+        "serviceusage.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:monitoredres_proto",
+        "//google/api:serviceconfig_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:api_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "serviceusage_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/api/serviceusage/v1beta1",
+    proto = ":serviceusage_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:monitoredres_go_proto",
+        "//google/api:serviceconfig_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/appengine/legacy/BUILD.bazel d/google/appengine/legacy/BUILD.bazel
--- c/google/appengine/legacy/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/appengine/legacy/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "legacy_proto",
+    srcs = ["audit_data.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "legacy_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/appengine/legacy",
+    proto = ":legacy_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/appengine/logging/v1/BUILD.bazel d/google/appengine/logging/v1/BUILD.bazel
--- c/google/appengine/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/appengine/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["request_log.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/logging/type:ltype_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/appengine/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/logging/type:ltype_go_proto"],
+)
diff -urN c/google/appengine/v1/BUILD.bazel d/google/appengine/v1/BUILD.bazel
--- c/google/appengine/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/appengine/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,45 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "appengine_proto",
+    srcs = [
+        "app_yaml.proto",
+        "appengine.proto",
+        "application.proto",
+        "audit_data.proto",
+        "certificate.proto",
+        "deploy.proto",
+        "deployed_files.proto",
+        "domain.proto",
+        "domain_mapping.proto",
+        "firewall.proto",
+        "instance.proto",
+        "location.proto",
+        "network_settings.proto",
+        "operation.proto",
+        "service.proto",
+        "version.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "appengine_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/appengine/v1",
+    proto = ":appengine_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/appengine/v1beta/BUILD.bazel d/google/appengine/v1beta/BUILD.bazel
--- c/google/appengine/v1beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/appengine/v1beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,44 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "appengine_proto",
+    srcs = [
+        "app_yaml.proto",
+        "appengine.proto",
+        "application.proto",
+        "audit_data.proto",
+        "certificate.proto",
+        "deploy.proto",
+        "domain.proto",
+        "domain_mapping.proto",
+        "firewall.proto",
+        "instance.proto",
+        "location.proto",
+        "network_settings.proto",
+        "operation.proto",
+        "service.proto",
+        "version.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "appengine_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/appengine/v1beta",
+    proto = ":appengine_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/apps/alertcenter/v1beta1/BUILD.bazel d/google/apps/alertcenter/v1beta1/BUILD.bazel
--- c/google/apps/alertcenter/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/apps/alertcenter/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "alertcenter_proto",
+    srcs = ["alertcenter.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "alertcenter_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/apps/alertcenter/v1beta1",
+    proto = ":alertcenter_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/apps/drive/activity/v2/BUILD.bazel d/google/apps/drive/activity/v2/BUILD.bazel
--- c/google/apps/drive/activity/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/apps/drive/activity/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "activity_proto",
+    srcs = [
+        "action.proto",
+        "actor.proto",
+        "common.proto",
+        "drive_activity_service.proto",
+        "query_drive_activity_request.proto",
+        "query_drive_activity_response.proto",
+        "target.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "activity_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/apps/drive/activity/v2",
+    proto = ":activity_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/apps/drive/labels/v2/BUILD.bazel d/google/apps/drive/labels/v2/BUILD.bazel
--- c/google/apps/drive/labels/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/apps/drive/labels/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,36 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "labels_proto",
+    srcs = [
+        "common.proto",
+        "error_details.proto",
+        "exception_detail.proto",
+        "field.proto",
+        "label.proto",
+        "label_permission.proto",
+        "label_service.proto",
+        "requests.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:color_proto",
+        "//google/type:date_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "labels_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/apps/drive/labels/v2",
+    proto = ":labels_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:color_go_proto",
+        "//google/type:date_go_proto",
+    ],
+)
diff -urN c/google/apps/drive/labels/v2beta/BUILD.bazel d/google/apps/drive/labels/v2beta/BUILD.bazel
--- c/google/apps/drive/labels/v2beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/apps/drive/labels/v2beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,41 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "labels_proto",
+    srcs = [
+        "common.proto",
+        "error_details.proto",
+        "exception_detail.proto",
+        "field.proto",
+        "label.proto",
+        "label_limits.proto",
+        "label_lock.proto",
+        "label_permission.proto",
+        "label_service.proto",
+        "requests.proto",
+        "user_capabilities.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:color_proto",
+        "//google/type:date_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "labels_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/apps/drive/labels/v2beta",
+    proto = ":labels_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:color_go_proto",
+        "//google/type:date_go_proto",
+    ],
+)
diff -urN c/google/apps/market/v2/BUILD.bazel d/google/apps/market/v2/BUILD.bazel
--- c/google/apps/market/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/apps/market/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "marketplace_proto",
+    srcs = [
+        "resources.proto",
+        "services.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "marketplace_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/ccc/hosted/marketplace/v2",
+    proto = ":marketplace_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/apps/script/type/BUILD.bazel d/google/apps/script/type/BUILD.bazel
--- c/google/apps/script/type/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/apps/script/type/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,23 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "type_proto",
+    srcs = [
+        "addon_widget_set.proto",
+        "extension_point.proto",
+        "script_manifest.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "type_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/apps/script/type",
+    proto = ":type_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/apps/script/type/calendar/BUILD.bazel d/google/apps/script/type/calendar/BUILD.bazel
--- c/google/apps/script/type/calendar/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/apps/script/type/calendar/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,23 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "calendar_proto",
+    srcs = ["calendar_addon_manifest.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/apps/script/type:type_proto",
+    ],
+)
+
+go_proto_library(
+    name = "calendar_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/apps/script/type/calendar",
+    proto = ":calendar_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/apps/script/type:type_go_proto",
+    ],
+)
diff -urN c/google/apps/script/type/docs/BUILD.bazel d/google/apps/script/type/docs/BUILD.bazel
--- c/google/apps/script/type/docs/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/apps/script/type/docs/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,23 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "docs_proto",
+    srcs = ["docs_addon_manifest.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/apps/script/type:type_proto",
+    ],
+)
+
+go_proto_library(
+    name = "docs_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/apps/script/type/docs",
+    proto = ":docs_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/apps/script/type:type_go_proto",
+    ],
+)
diff -urN c/google/apps/script/type/drive/BUILD.bazel d/google/apps/script/type/drive/BUILD.bazel
--- c/google/apps/script/type/drive/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/apps/script/type/drive/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,17 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "drive_proto",
+    srcs = ["drive_addon_manifest.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/apps/script/type:type_proto"],
+)
+
+go_proto_library(
+    name = "drive_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/apps/script/type/drive",
+    proto = ":drive_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/apps/script/type:type_go_proto"],
+)
diff -urN c/google/apps/script/type/gmail/BUILD.bazel d/google/apps/script/type/gmail/BUILD.bazel
--- c/google/apps/script/type/gmail/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/apps/script/type/gmail/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,17 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "gmail_proto",
+    srcs = ["gmail_addon_manifest.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/apps/script/type:type_proto"],
+)
+
+go_proto_library(
+    name = "gmail_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/apps/script/type/gmail",
+    proto = ":gmail_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/apps/script/type:type_go_proto"],
+)
diff -urN c/google/apps/script/type/sheets/BUILD.bazel d/google/apps/script/type/sheets/BUILD.bazel
--- c/google/apps/script/type/sheets/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/apps/script/type/sheets/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,23 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "sheets_proto",
+    srcs = ["sheets_addon_manifest.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/apps/script/type:type_proto",
+    ],
+)
+
+go_proto_library(
+    name = "sheets_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/apps/script/type/sheets",
+    proto = ":sheets_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/apps/script/type:type_go_proto",
+    ],
+)
diff -urN c/google/apps/script/type/slides/BUILD.bazel d/google/apps/script/type/slides/BUILD.bazel
--- c/google/apps/script/type/slides/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/apps/script/type/slides/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,23 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "slides_proto",
+    srcs = ["slides_addon_manifest.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/apps/script/type:type_proto",
+    ],
+)
+
+go_proto_library(
+    name = "slides_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/apps/script/type/slides",
+    proto = ":slides_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/apps/script/type:type_go_proto",
+    ],
+)
diff -urN c/google/area120/tables/v1alpha1/BUILD.bazel d/google/area120/tables/v1alpha1/BUILD.bazel
--- c/google/area120/tables/v1alpha1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/area120/tables/v1alpha1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,23 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "tables_proto",
+    srcs = ["tables.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+    ],
+)
+
+go_proto_library(
+    name = "tables_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/area120/tables/v1alpha1",
+    proto = ":tables_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/assistant/embedded/v1alpha1/BUILD.bazel d/google/assistant/embedded/v1alpha1/BUILD.bazel
--- c/google/assistant/embedded/v1alpha1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/assistant/embedded/v1alpha1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,24 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "embedded_proto",
+    srcs = ["embedded_assistant.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+    ],
+)
+
+go_proto_library(
+    name = "embedded_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/assistant/embedded/v1alpha1",
+    proto = ":embedded_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/assistant/embedded/v1alpha2/BUILD.bazel d/google/assistant/embedded/v1alpha2/BUILD.bazel
--- c/google/assistant/embedded/v1alpha2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/assistant/embedded/v1alpha2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,24 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "embedded_proto",
+    srcs = ["embedded_assistant.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:latlng_proto",
+    ],
+)
+
+go_proto_library(
+    name = "embedded_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/assistant/embedded/v1alpha2",
+    proto = ":embedded_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/bigtable/admin/v2/BUILD.bazel d/google/bigtable/admin/v2/BUILD.bazel
--- c/google/bigtable/admin/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/bigtable/admin/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,38 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "admin_proto",
+    srcs = [
+        "bigtable_instance_admin.proto",
+        "bigtable_table_admin.proto",
+        "common.proto",
+        "instance.proto",
+        "table.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "admin_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/bigtable/admin/v2",
+    proto = ":admin_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/bigtable/v2/BUILD.bazel d/google/bigtable/v2/BUILD.bazel
--- c/google/bigtable/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/bigtable/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "bigtable_proto",
+    srcs = [
+        "bigtable.proto",
+        "data.proto",
+        "request_stats.proto",
+        "response_params.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "bigtable_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/bigtable/v2",
+    proto = ":bigtable_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/bytestream/BUILD.bazel d/google/bytestream/BUILD.bazel
--- c/google/bytestream/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/bytestream/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "bytestream_proto",
+    srcs = ["bytestream.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "bytestream_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/bytestream",
+    proto = ":bytestream_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/chat/logging/v1/BUILD.bazel d/google/chat/logging/v1/BUILD.bazel
--- c/google/chat/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/chat/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,17 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["chat_app_log_entry.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/rpc:status_proto"],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/chat/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/rpc:status_go_proto"],
+)
diff -urN c/google/chromeos/moblab/v1beta1/BUILD.bazel d/google/chromeos/moblab/v1beta1/BUILD.bazel
--- c/google/chromeos/moblab/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/chromeos/moblab/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "moblab_proto",
+    srcs = [
+        "build_service.proto",
+        "resources.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "moblab_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/chromeos/moblab/v1beta1",
+    proto = ":moblab_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/chromeos/uidetection/v1/BUILD.bazel d/google/chromeos/uidetection/v1/BUILD.bazel
--- c/google/chromeos/uidetection/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/chromeos/uidetection/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,18 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "uidetection_proto",
+    srcs = ["ui_detection.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "uidetection_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/chromeos/uidetection/v1",
+    proto = ":uidetection_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/BUILD.bazel d/google/cloud/BUILD.bazel
--- c/google/cloud/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "cloud_proto",
+    srcs = ["common_resources.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+proto_library(
+    name = "extendedops_proto",
+    srcs = ["extended_operations.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:descriptor_proto"],
+)
+
+go_proto_library(
+    name = "cloud_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud",
+    proto = ":cloud_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
+
+go_proto_library(
+    name = "extendedops_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/extendedops",
+    proto = ":extendedops_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/accessapproval/v1/BUILD.bazel d/google/cloud/accessapproval/v1/BUILD.bazel
--- c/google/cloud/accessapproval/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/accessapproval/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,23 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "accessapproval_proto",
+    srcs = ["accessapproval.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "accessapproval_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/accessapproval/v1",
+    proto = ":accessapproval_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/aiplatform/logging/BUILD.bazel d/google/cloud/aiplatform/logging/BUILD.bazel
--- c/google/cloud/aiplatform/logging/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/aiplatform/logging/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,17 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["prediction.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/rpc:status_proto"],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/aiplatform/logging",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/rpc:status_go_proto"],
+)
diff -urN c/google/cloud/aiplatform/v1/BUILD.bazel d/google/cloud/aiplatform/v1/BUILD.bazel
--- c/google/cloud/aiplatform/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/aiplatform/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,110 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "aiplatform_proto",
+    srcs = [
+        "accelerator_type.proto",
+        "annotation.proto",
+        "annotation_spec.proto",
+        "artifact.proto",
+        "batch_prediction_job.proto",
+        "completion_stats.proto",
+        "context.proto",
+        "custom_job.proto",
+        "data_item.proto",
+        "data_labeling_job.proto",
+        "dataset.proto",
+        "dataset_service.proto",
+        "deployed_index_ref.proto",
+        "deployed_model_ref.proto",
+        "encryption_spec.proto",
+        "endpoint.proto",
+        "endpoint_service.proto",
+        "entity_type.proto",
+        "env_var.proto",
+        "event.proto",
+        "execution.proto",
+        "explanation.proto",
+        "explanation_metadata.proto",
+        "feature.proto",
+        "feature_monitoring_stats.proto",
+        "feature_selector.proto",
+        "featurestore.proto",
+        "featurestore_monitoring.proto",
+        "featurestore_online_service.proto",
+        "featurestore_service.proto",
+        "hyperparameter_tuning_job.proto",
+        "index.proto",
+        "index_endpoint.proto",
+        "index_endpoint_service.proto",
+        "index_service.proto",
+        "io.proto",
+        "job_service.proto",
+        "job_state.proto",
+        "lineage_subgraph.proto",
+        "machine_resources.proto",
+        "manual_batch_tuning_parameters.proto",
+        "metadata_schema.proto",
+        "metadata_service.proto",
+        "metadata_store.proto",
+        "migratable_resource.proto",
+        "migration_service.proto",
+        "model.proto",
+        "model_deployment_monitoring_job.proto",
+        "model_evaluation.proto",
+        "model_evaluation_slice.proto",
+        "model_monitoring.proto",
+        "model_service.proto",
+        "operation.proto",
+        "pipeline_failure_policy.proto",
+        "pipeline_job.proto",
+        "pipeline_service.proto",
+        "pipeline_state.proto",
+        "prediction_service.proto",
+        "saved_query.proto",
+        "specialist_pool.proto",
+        "specialist_pool_service.proto",
+        "study.proto",
+        "tensorboard.proto",
+        "tensorboard_data.proto",
+        "tensorboard_experiment.proto",
+        "tensorboard_run.proto",
+        "tensorboard_service.proto",
+        "tensorboard_time_series.proto",
+        "training_pipeline.proto",
+        "types.proto",
+        "unmanaged_container_model.proto",
+        "user_action_reference.proto",
+        "value.proto",
+        "vizier_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:httpbody_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:money_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "aiplatform_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/aiplatform/v1",
+    proto = ":aiplatform_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:httpbody_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:money_go_proto",
+    ],
+)
diff -urN c/google/cloud/aiplatform/v1/schema/predict/instance/BUILD.bazel d/google/cloud/aiplatform/v1/schema/predict/instance/BUILD.bazel
--- c/google/cloud/aiplatform/v1/schema/predict/instance/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/aiplatform/v1/schema/predict/instance/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "instance_proto",
+    srcs = [
+        "image_classification.proto",
+        "image_object_detection.proto",
+        "image_segmentation.proto",
+        "text_classification.proto",
+        "text_extraction.proto",
+        "text_sentiment.proto",
+        "video_action_recognition.proto",
+        "video_classification.proto",
+        "video_object_tracking.proto",
+    ],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "instance_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/aiplatform/v1/schema/predict/instance",
+    proto = ":instance_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/aiplatform/v1/schema/predict/params/BUILD.bazel d/google/cloud/aiplatform/v1/schema/predict/params/BUILD.bazel
--- c/google/cloud/aiplatform/v1/schema/predict/params/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/aiplatform/v1/schema/predict/params/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,22 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "params_proto",
+    srcs = [
+        "image_classification.proto",
+        "image_object_detection.proto",
+        "image_segmentation.proto",
+        "video_action_recognition.proto",
+        "video_classification.proto",
+        "video_object_tracking.proto",
+    ],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "params_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/aiplatform/v1/schema/predict/params",
+    proto = ":params_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/aiplatform/v1/schema/predict/prediction/BUILD.bazel d/google/cloud/aiplatform/v1/schema/predict/prediction/BUILD.bazel
--- c/google/cloud/aiplatform/v1/schema/predict/prediction/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/aiplatform/v1/schema/predict/prediction/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "prediction_proto",
+    srcs = [
+        "classification.proto",
+        "image_object_detection.proto",
+        "image_segmentation.proto",
+        "tabular_classification.proto",
+        "tabular_regression.proto",
+        "text_extraction.proto",
+        "text_sentiment.proto",
+        "video_action_recognition.proto",
+        "video_classification.proto",
+        "video_object_tracking.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "prediction_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/aiplatform/v1/schema/predict/prediction",
+    proto = ":prediction_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/aiplatform/v1/schema/trainingjob/definition/BUILD.bazel d/google/cloud/aiplatform/v1/schema/trainingjob/definition/BUILD.bazel
--- c/google/cloud/aiplatform/v1/schema/trainingjob/definition/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/aiplatform/v1/schema/trainingjob/definition/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "definition_proto",
+    srcs = [
+        "automl_image_classification.proto",
+        "automl_image_object_detection.proto",
+        "automl_image_segmentation.proto",
+        "automl_tables.proto",
+        "automl_text_classification.proto",
+        "automl_text_extraction.proto",
+        "automl_text_sentiment.proto",
+        "automl_video_action_recognition.proto",
+        "automl_video_classification.proto",
+        "automl_video_object_tracking.proto",
+        "export_evaluated_data_items_config.proto",
+    ],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "definition_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/aiplatform/v1/schema/trainingjob/definition",
+    proto = ":definition_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/aiplatform/v1beta1/BUILD.bazel d/google/cloud/aiplatform/v1beta1/BUILD.bazel
--- c/google/cloud/aiplatform/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/aiplatform/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,114 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "aiplatform_proto",
+    srcs = [
+        "accelerator_type.proto",
+        "annotation.proto",
+        "annotation_spec.proto",
+        "artifact.proto",
+        "batch_prediction_job.proto",
+        "completion_stats.proto",
+        "context.proto",
+        "custom_job.proto",
+        "data_item.proto",
+        "data_labeling_job.proto",
+        "dataset.proto",
+        "dataset_service.proto",
+        "deployed_index_ref.proto",
+        "deployed_model_ref.proto",
+        "deployment_resource_pool.proto",
+        "deployment_resource_pool_service.proto",
+        "encryption_spec.proto",
+        "endpoint.proto",
+        "endpoint_service.proto",
+        "entity_type.proto",
+        "env_var.proto",
+        "event.proto",
+        "execution.proto",
+        "explanation.proto",
+        "explanation_metadata.proto",
+        "feature.proto",
+        "feature_monitoring_stats.proto",
+        "feature_selector.proto",
+        "featurestore.proto",
+        "featurestore_monitoring.proto",
+        "featurestore_online_service.proto",
+        "featurestore_service.proto",
+        "hyperparameter_tuning_job.proto",
+        "index.proto",
+        "index_endpoint.proto",
+        "index_endpoint_service.proto",
+        "index_service.proto",
+        "io.proto",
+        "job_service.proto",
+        "job_state.proto",
+        "lineage_subgraph.proto",
+        "machine_resources.proto",
+        "manual_batch_tuning_parameters.proto",
+        "metadata_schema.proto",
+        "metadata_service.proto",
+        "metadata_store.proto",
+        "migratable_resource.proto",
+        "migration_service.proto",
+        "model.proto",
+        "model_deployment_monitoring_job.proto",
+        "model_evaluation.proto",
+        "model_evaluation_slice.proto",
+        "model_monitoring.proto",
+        "model_service.proto",
+        "operation.proto",
+        "pipeline_failure_policy.proto",
+        "pipeline_job.proto",
+        "pipeline_service.proto",
+        "pipeline_state.proto",
+        "prediction_service.proto",
+        "saved_query.proto",
+        "specialist_pool.proto",
+        "specialist_pool_service.proto",
+        "study.proto",
+        "tensorboard.proto",
+        "tensorboard_data.proto",
+        "tensorboard_experiment.proto",
+        "tensorboard_run.proto",
+        "tensorboard_service.proto",
+        "tensorboard_time_series.proto",
+        "training_pipeline.proto",
+        "types.proto",
+        "unmanaged_container_model.proto",
+        "user_action_reference.proto",
+        "value.proto",
+        "vizier_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:httpbody_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:interval_proto",
+        "//google/type:money_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "aiplatform_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/aiplatform/v1beta1",
+    proto = ":aiplatform_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:httpbody_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:interval_go_proto",
+        "//google/type:money_go_proto",
+    ],
+)
diff -urN c/google/cloud/aiplatform/v1beta1/schema/BUILD.bazel d/google/cloud/aiplatform/v1beta1/schema/BUILD.bazel
--- c/google/cloud/aiplatform/v1beta1/schema/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/aiplatform/v1beta1/schema/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,36 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "schema_proto",
+    srcs = [
+        "annotation_payload.proto",
+        "annotation_spec_color.proto",
+        "data_item_payload.proto",
+        "dataset_metadata.proto",
+        "geometry.proto",
+        "io_format.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud/aiplatform/v1beta1/schema/predict/instance:instance_proto",
+        "//google/rpc:code_proto",
+        "//google/type:color_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:struct_proto",
+    ],
+)
+
+go_proto_library(
+    name = "schema_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/aiplatform/v1beta1/schema",
+    proto = ":schema_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud/aiplatform/v1beta1/schema/predict/instance:instance_go_proto",
+        "//google/rpc:code_go_proto",
+        "//google/type:color_go_proto",
+    ],
+)
diff -urN c/google/cloud/aiplatform/v1beta1/schema/predict/instance/BUILD.bazel d/google/cloud/aiplatform/v1beta1/schema/predict/instance/BUILD.bazel
--- c/google/cloud/aiplatform/v1beta1/schema/predict/instance/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/aiplatform/v1beta1/schema/predict/instance/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "instance_proto",
+    srcs = [
+        "image_classification.proto",
+        "image_object_detection.proto",
+        "image_segmentation.proto",
+        "text_classification.proto",
+        "text_extraction.proto",
+        "text_sentiment.proto",
+        "video_action_recognition.proto",
+        "video_classification.proto",
+        "video_object_tracking.proto",
+    ],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "instance_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/aiplatform/v1beta1/schema/predict/instance",
+    proto = ":instance_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/aiplatform/v1beta1/schema/predict/params/BUILD.bazel d/google/cloud/aiplatform/v1beta1/schema/predict/params/BUILD.bazel
--- c/google/cloud/aiplatform/v1beta1/schema/predict/params/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/aiplatform/v1beta1/schema/predict/params/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,22 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "params_proto",
+    srcs = [
+        "image_classification.proto",
+        "image_object_detection.proto",
+        "image_segmentation.proto",
+        "video_action_recognition.proto",
+        "video_classification.proto",
+        "video_object_tracking.proto",
+    ],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "params_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/aiplatform/v1beta1/schema/predict/params",
+    proto = ":params_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/aiplatform/v1beta1/schema/predict/prediction/BUILD.bazel d/google/cloud/aiplatform/v1beta1/schema/predict/prediction/BUILD.bazel
--- c/google/cloud/aiplatform/v1beta1/schema/predict/prediction/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/aiplatform/v1beta1/schema/predict/prediction/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "prediction_proto",
+    srcs = [
+        "classification.proto",
+        "image_object_detection.proto",
+        "image_segmentation.proto",
+        "tabular_classification.proto",
+        "tabular_regression.proto",
+        "text_extraction.proto",
+        "text_sentiment.proto",
+        "time_series_forecasting.proto",
+        "video_action_recognition.proto",
+        "video_classification.proto",
+        "video_object_tracking.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "prediction_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/aiplatform/v1beta1/schema/predict/prediction",
+    proto = ":prediction_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/aiplatform/v1beta1/schema/trainingjob/definition/BUILD.bazel d/google/cloud/aiplatform/v1beta1/schema/trainingjob/definition/BUILD.bazel
--- c/google/cloud/aiplatform/v1beta1/schema/trainingjob/definition/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/aiplatform/v1beta1/schema/trainingjob/definition/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "definition_proto",
+    srcs = [
+        "automl_image_classification.proto",
+        "automl_image_object_detection.proto",
+        "automl_image_segmentation.proto",
+        "automl_tables.proto",
+        "automl_text_classification.proto",
+        "automl_text_extraction.proto",
+        "automl_text_sentiment.proto",
+        "automl_time_series_forecasting.proto",
+        "automl_video_action_recognition.proto",
+        "automl_video_classification.proto",
+        "automl_video_object_tracking.proto",
+        "export_evaluated_data_items_config.proto",
+    ],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "definition_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/aiplatform/v1beta1/schema/trainingjob/definition",
+    proto = ":definition_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/apigateway/v1/BUILD.bazel d/google/cloud/apigateway/v1/BUILD.bazel
--- c/google/cloud/apigateway/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/apigateway/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "apigateway_proto",
+    srcs = [
+        "apigateway.proto",
+        "apigateway_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "apigateway_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/apigateway/v1",
+    proto = ":apigateway_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/apigeeconnect/v1/BUILD.bazel d/google/cloud/apigeeconnect/v1/BUILD.bazel
--- c/google/cloud/apigeeconnect/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/apigeeconnect/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "apigeeconnect_proto",
+    srcs = [
+        "connection.proto",
+        "tether.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+    ],
+)
+
+go_proto_library(
+    name = "apigeeconnect_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/apigeeconnect/v1",
+    proto = ":apigeeconnect_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/apigeeregistry/v1/BUILD.bazel d/google/cloud/apigeeregistry/v1/BUILD.bazel
--- c/google/cloud/apigeeregistry/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/apigeeregistry/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "apigeeregistry_proto",
+    srcs = [
+        "provisioning_service.proto",
+        "registry_models.proto",
+        "registry_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:httpbody_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "apigeeregistry_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/apigeeregistry/v1",
+    proto = ":apigeeregistry_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:httpbody_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/asset/v1/BUILD.bazel d/google/cloud/asset/v1/BUILD.bazel
--- c/google/cloud/asset/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/asset/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,46 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "asset_proto",
+    srcs = [
+        "asset_service.proto",
+        "assets.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud/orgpolicy/v1:orgpolicy_proto",
+        "//google/cloud/osconfig/v1:osconfig_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/identity/accesscontextmanager/v1:accesscontextmanager_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:code_proto",
+        "//google/rpc:status_proto",
+        "//google/type:expr_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "asset_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/asset/v1",
+    proto = ":asset_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud/orgpolicy/v1:orgpolicy_go_proto",
+        "//google/cloud/osconfig/v1:osconfig_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/identity/accesscontextmanager/v1:accesscontextmanager_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:code_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:expr_go_proto",
+    ],
+)
diff -urN c/google/cloud/asset/v1p1beta1/BUILD.bazel d/google/cloud/asset/v1p1beta1/BUILD.bazel
--- c/google/cloud/asset/v1p1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/asset/v1p1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "asset_proto",
+    srcs = [
+        "asset_service.proto",
+        "assets.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+    ],
+)
+
+go_proto_library(
+    name = "asset_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/asset/v1p1beta1",
+    proto = ":asset_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/cloud/asset/v1p2beta1/BUILD.bazel d/google/cloud/asset/v1p2beta1/BUILD.bazel
--- c/google/cloud/asset/v1p2beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/asset/v1p2beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "asset_proto",
+    srcs = [
+        "asset_service.proto",
+        "assets.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "asset_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/asset/v1p2beta1",
+    proto = ":asset_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/cloud/asset/v1p5beta1/BUILD.bazel d/google/cloud/asset/v1p5beta1/BUILD.bazel
--- c/google/cloud/asset/v1p5beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/asset/v1p5beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "asset_proto",
+    srcs = [
+        "asset_service.proto",
+        "assets.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud/orgpolicy/v1:orgpolicy_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/identity/accesscontextmanager/v1:accesscontextmanager_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "asset_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/asset/v1p5beta1",
+    proto = ":asset_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud/orgpolicy/v1:orgpolicy_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/identity/accesscontextmanager/v1:accesscontextmanager_go_proto",
+    ],
+)
diff -urN c/google/cloud/asset/v1p7beta1/BUILD.bazel d/google/cloud/asset/v1p7beta1/BUILD.bazel
--- c/google/cloud/asset/v1p7beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/asset/v1p7beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,37 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "asset_proto",
+    srcs = [
+        "asset_service.proto",
+        "assets.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud/orgpolicy/v1:orgpolicy_proto",
+        "//google/cloud/osconfig/v1:osconfig_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/identity/accesscontextmanager/v1:accesscontextmanager_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "asset_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/asset/v1p7beta1",
+    proto = ":asset_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud/orgpolicy/v1:orgpolicy_go_proto",
+        "//google/cloud/osconfig/v1:osconfig_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/identity/accesscontextmanager/v1:accesscontextmanager_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/assuredworkloads/regulatoryintercept/logging/v1/BUILD.bazel d/google/cloud/assuredworkloads/regulatoryintercept/logging/v1/BUILD.bazel
--- c/google/cloud/assuredworkloads/regulatoryintercept/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/assuredworkloads/regulatoryintercept/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["regulatory_intercept_ack_log_entry.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/assuredworkloads/regulatoryintercept/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/assuredworkloads/v1/BUILD.bazel d/google/cloud/assuredworkloads/v1/BUILD.bazel
--- c/google/cloud/assuredworkloads/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/assuredworkloads/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "assuredworkloads_proto",
+    srcs = ["assuredworkloads.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "assuredworkloads_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/assuredworkloads/v1",
+    proto = ":assuredworkloads_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/assuredworkloads/v1beta1/BUILD.bazel d/google/cloud/assuredworkloads/v1beta1/BUILD.bazel
--- c/google/cloud/assuredworkloads/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/assuredworkloads/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "assuredworkloads_proto",
+    srcs = [
+        "assuredworkloads.proto",
+        "assuredworkloads_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "assuredworkloads_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/assuredworkloads/v1beta1",
+    proto = ":assuredworkloads_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/audit/BUILD.bazel d/google/cloud/audit/BUILD.bazel
--- c/google/cloud/audit/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/audit/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,34 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "audit_proto",
+    srcs = [
+        "audit_log.proto",
+        "bigquery_audit_metadata.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/rpc:status_proto",
+        "//google/rpc/context:attribute_context_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "audit_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/audit",
+    proto = ":audit_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/rpc/context:attribute_context_go_proto",
+    ],
+)
diff -urN c/google/cloud/automl/v1/BUILD.bazel d/google/cloud/automl/v1/BUILD.bazel
--- c/google/cloud/automl/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/automl/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,48 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "automl_proto",
+    srcs = [
+        "annotation_payload.proto",
+        "annotation_spec.proto",
+        "classification.proto",
+        "data_items.proto",
+        "dataset.proto",
+        "detection.proto",
+        "geometry.proto",
+        "image.proto",
+        "io.proto",
+        "model.proto",
+        "model_evaluation.proto",
+        "operations.proto",
+        "prediction_service.proto",
+        "service.proto",
+        "text.proto",
+        "text_extraction.proto",
+        "text_segment.proto",
+        "text_sentiment.proto",
+        "translation.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "automl_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/automl/v1",
+    proto = ":automl_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/automl/v1beta1/BUILD.bazel d/google/cloud/automl/v1beta1/BUILD.bazel
--- c/google/cloud/automl/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/automl/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,59 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "automl_proto",
+    srcs = [
+        "annotation_payload.proto",
+        "annotation_spec.proto",
+        "classification.proto",
+        "column_spec.proto",
+        "data_items.proto",
+        "data_stats.proto",
+        "data_types.proto",
+        "dataset.proto",
+        "detection.proto",
+        "geometry.proto",
+        "image.proto",
+        "io.proto",
+        "model.proto",
+        "model_evaluation.proto",
+        "operations.proto",
+        "prediction_service.proto",
+        "ranges.proto",
+        "regression.proto",
+        "service.proto",
+        "table_spec.proto",
+        "tables.proto",
+        "temporal.proto",
+        "text.proto",
+        "text_extraction.proto",
+        "text_segment.proto",
+        "text_sentiment.proto",
+        "translation.proto",
+        "video.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "automl_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/automl/v1beta1",
+    proto = ":automl_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/backupdr/logging/v1/BUILD.bazel d/google/cloud/backupdr/logging/v1/BUILD.bazel
--- c/google/cloud/backupdr/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/backupdr/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,16 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["eventlog.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:timestamp_proto"],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/backupdr/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/baremetalsolution/v2/BUILD.bazel d/google/cloud/baremetalsolution/v2/BUILD.bazel
--- c/google/cloud/baremetalsolution/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/baremetalsolution/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "baremetalsolution_proto",
+    srcs = [
+        "baremetalsolution.proto",
+        "instance.proto",
+        "lun.proto",
+        "network.proto",
+        "nfs_share.proto",
+        "volume.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "baremetalsolution_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/baremetalsolution/v2",
+    proto = ":baremetalsolution_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/batch/v1/BUILD.bazel d/google/cloud/batch/v1/BUILD.bazel
--- c/google/cloud/batch/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/batch/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "batch_proto",
+    srcs = [
+        "batch.proto",
+        "job.proto",
+        "task.proto",
+        "volume.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "batch_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/batch/v1",
+    proto = ":batch_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/batch/v1alpha/BUILD.bazel d/google/cloud/batch/v1alpha/BUILD.bazel
--- c/google/cloud/batch/v1alpha/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/batch/v1alpha/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "batch_proto",
+    srcs = [
+        "batch.proto",
+        "job.proto",
+        "task.proto",
+        "volume.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "batch_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/batch/v1alpha",
+    proto = ":batch_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/beyondcorp/appconnections/v1/BUILD.bazel d/google/cloud/beyondcorp/appconnections/v1/BUILD.bazel
--- c/google/cloud/beyondcorp/appconnections/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/beyondcorp/appconnections/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "appconnections_proto",
+    srcs = ["app_connections_service.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "appconnections_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/beyondcorp/appconnections/v1",
+    proto = ":appconnections_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/beyondcorp/appconnectors/v1/BUILD.bazel d/google/cloud/beyondcorp/appconnectors/v1/BUILD.bazel
--- c/google/cloud/beyondcorp/appconnectors/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/beyondcorp/appconnectors/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "appconnectors_proto",
+    srcs = [
+        "app_connector_instance_config.proto",
+        "app_connectors_service.proto",
+        "resource_info.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "appconnectors_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/beyondcorp/appconnectors/v1",
+    proto = ":appconnectors_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/beyondcorp/appgateways/v1/BUILD.bazel d/google/cloud/beyondcorp/appgateways/v1/BUILD.bazel
--- c/google/cloud/beyondcorp/appgateways/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/beyondcorp/appgateways/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "appgateways_proto",
+    srcs = ["app_gateways_service.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "appgateways_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/beyondcorp/appgateways/v1",
+    proto = ":appgateways_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/beyondcorp/clientconnectorservices/v1/BUILD.bazel d/google/cloud/beyondcorp/clientconnectorservices/v1/BUILD.bazel
--- c/google/cloud/beyondcorp/clientconnectorservices/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/beyondcorp/clientconnectorservices/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "clientconnectorservices_proto",
+    srcs = ["client_connector_services_service.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "clientconnectorservices_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/beyondcorp/clientconnectorservices/v1",
+    proto = ":clientconnectorservices_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/beyondcorp/clientgateways/v1/BUILD.bazel d/google/cloud/beyondcorp/clientgateways/v1/BUILD.bazel
--- c/google/cloud/beyondcorp/clientgateways/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/beyondcorp/clientgateways/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "clientgateways_proto",
+    srcs = ["client_gateways_service.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "clientgateways_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/beyondcorp/clientgateways/v1",
+    proto = ":clientgateways_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/bigquery/analyticshub/v1/BUILD.bazel d/google/cloud/bigquery/analyticshub/v1/BUILD.bazel
--- c/google/cloud/bigquery/analyticshub/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/bigquery/analyticshub/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "analyticshub_proto",
+    srcs = ["analyticshub.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "analyticshub_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/bigquery/analyticshub/v1",
+    proto = ":analyticshub_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/cloud/bigquery/connection/v1/BUILD.bazel d/google/cloud/bigquery/connection/v1/BUILD.bazel
--- c/google/cloud/bigquery/connection/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/bigquery/connection/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "connection_proto",
+    srcs = ["connection.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "connection_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/bigquery/connection/v1",
+    proto = ":connection_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/cloud/bigquery/connection/v1beta1/BUILD.bazel d/google/cloud/bigquery/connection/v1beta1/BUILD.bazel
--- c/google/cloud/bigquery/connection/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/bigquery/connection/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "connection_proto",
+    srcs = ["connection.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "connection_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/bigquery/connection/v1beta1",
+    proto = ":connection_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/cloud/bigquery/dataexchange/v1beta1/BUILD.bazel d/google/cloud/bigquery/dataexchange/v1beta1/BUILD.bazel
--- c/google/cloud/bigquery/dataexchange/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/bigquery/dataexchange/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "dataexchange_proto",
+    srcs = ["dataexchange.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "dataexchange_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/bigquery/dataexchange/v1beta1",
+    proto = ":dataexchange_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/cloud/bigquery/datapolicies/v1/BUILD.bazel d/google/cloud/bigquery/datapolicies/v1/BUILD.bazel
--- c/google/cloud/bigquery/datapolicies/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/bigquery/datapolicies/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "datapolicies_proto",
+    srcs = ["datapolicy.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "datapolicies_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/bigquery/datapolicies/v1",
+    proto = ":datapolicies_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/cloud/bigquery/datapolicies/v1beta1/BUILD.bazel d/google/cloud/bigquery/datapolicies/v1beta1/BUILD.bazel
--- c/google/cloud/bigquery/datapolicies/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/bigquery/datapolicies/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "datapolicies_proto",
+    srcs = ["datapolicy.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "datapolicies_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/bigquery/datapolicies/v1beta1",
+    proto = ":datapolicies_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/cloud/bigquery/datatransfer/v1/BUILD.bazel d/google/cloud/bigquery/datatransfer/v1/BUILD.bazel
--- c/google/cloud/bigquery/datatransfer/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/bigquery/datatransfer/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "datatransfer_proto",
+    srcs = [
+        "datatransfer.proto",
+        "transfer.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "datatransfer_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/bigquery/datatransfer/v1",
+    proto = ":datatransfer_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/bigquery/logging/v1/BUILD.bazel d/google/cloud/bigquery/logging/v1/BUILD.bazel
--- c/google/cloud/bigquery/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/bigquery/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["audit_data.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/iam/v1:iam_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/bigquery/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/iam/v1:iam_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/bigquery/migration/v2/BUILD.bazel d/google/cloud/bigquery/migration/v2/BUILD.bazel
--- c/google/cloud/bigquery/migration/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/bigquery/migration/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,37 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "migration_proto",
+    srcs = [
+        "migration_entities.proto",
+        "migration_error_details.proto",
+        "migration_metrics.proto",
+        "migration_service.proto",
+        "translation_config.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:distribution_proto",
+        "//google/api:metric_proto",
+        "//google/rpc:errdetails_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "migration_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/bigquery/migration/v2",
+    proto = ":migration_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:distribution_go_proto",
+        "//google/api:metric_go_proto",
+        "//google/rpc:errdetails_go_proto",
+    ],
+)
diff -urN c/google/cloud/bigquery/migration/v2alpha/BUILD.bazel d/google/cloud/bigquery/migration/v2alpha/BUILD.bazel
--- c/google/cloud/bigquery/migration/v2alpha/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/bigquery/migration/v2alpha/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,40 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "migration_proto",
+    srcs = [
+        "assessment_task.proto",
+        "migration_entities.proto",
+        "migration_error_details.proto",
+        "migration_metrics.proto",
+        "migration_service.proto",
+        "translation_service.proto",
+        "translation_task.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:distribution_proto",
+        "//google/api:metric_proto",
+        "//google/rpc:errdetails_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "migration_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/bigquery/migration/v2alpha",
+    proto = ":migration_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:distribution_go_proto",
+        "//google/api:metric_go_proto",
+        "//google/rpc:errdetails_go_proto",
+    ],
+)
diff -urN c/google/cloud/bigquery/reservation/v1/BUILD.bazel d/google/cloud/bigquery/reservation/v1/BUILD.bazel
--- c/google/cloud/bigquery/reservation/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/bigquery/reservation/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "reservation_proto",
+    srcs = ["reservation.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "reservation_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/bigquery/reservation/v1",
+    proto = ":reservation_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/bigquery/storage/v1/BUILD.bazel d/google/cloud/bigquery/storage/v1/BUILD.bazel
--- c/google/cloud/bigquery/storage/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/bigquery/storage/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,35 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "storage_proto",
+    srcs = [
+        "annotations.proto",
+        "arrow.proto",
+        "avro.proto",
+        "protobuf.proto",
+        "storage.proto",
+        "stream.proto",
+        "table.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:descriptor_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "storage_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/bigquery/storage/v1",
+    proto = ":storage_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/bigquery/storage/v1beta1/BUILD.bazel d/google/cloud/bigquery/storage/v1beta1/BUILD.bazel
--- c/google/cloud/bigquery/storage/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/bigquery/storage/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "storage_proto",
+    srcs = [
+        "arrow.proto",
+        "avro.proto",
+        "read_options.proto",
+        "storage.proto",
+        "table_reference.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "storage_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/bigquery/storage/v1beta1",
+    proto = ":storage_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/bigquery/storage/v1beta2/BUILD.bazel d/google/cloud/bigquery/storage/v1beta2/BUILD.bazel
--- c/google/cloud/bigquery/storage/v1beta2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/bigquery/storage/v1beta2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,34 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "storage_proto",
+    srcs = [
+        "arrow.proto",
+        "avro.proto",
+        "protobuf.proto",
+        "storage.proto",
+        "stream.proto",
+        "table.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:descriptor_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "storage_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/bigquery/storage/v1beta2",
+    proto = ":storage_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/bigquery/v2/BUILD.bazel d/google/cloud/bigquery/v2/BUILD.bazel
--- c/google/cloud/bigquery/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/bigquery/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "bigquery_proto",
+    srcs = [
+        "encryption_config.proto",
+        "model.proto",
+        "model_reference.proto",
+        "standard_sql.proto",
+        "table_reference.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "bigquery_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/bigquery/v2",
+    proto = ":bigquery_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/billing/budgets/v1/BUILD.bazel d/google/cloud/billing/budgets/v1/BUILD.bazel
--- c/google/cloud/billing/budgets/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/billing/budgets/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "budgets_proto",
+    srcs = [
+        "budget_model.proto",
+        "budget_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:date_proto",
+        "//google/type:money_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+    ],
+)
+
+go_proto_library(
+    name = "budgets_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/billing/budgets/v1",
+    proto = ":budgets_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:date_go_proto",
+        "//google/type:money_go_proto",
+    ],
+)
diff -urN c/google/cloud/billing/budgets/v1beta1/BUILD.bazel d/google/cloud/billing/budgets/v1beta1/BUILD.bazel
--- c/google/cloud/billing/budgets/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/billing/budgets/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "budgets_proto",
+    srcs = [
+        "budget_model.proto",
+        "budget_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:date_proto",
+        "//google/type:money_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+    ],
+)
+
+go_proto_library(
+    name = "budgets_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/billing/budgets/v1beta1",
+    proto = ":budgets_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:date_go_proto",
+        "//google/type:money_go_proto",
+    ],
+)
diff -urN c/google/cloud/billing/v1/BUILD.bazel d/google/cloud/billing/v1/BUILD.bazel
--- c/google/cloud/billing/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/billing/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "billing_proto",
+    srcs = [
+        "cloud_billing.proto",
+        "cloud_catalog.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/type:money_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "billing_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/billing/v1",
+    proto = ":billing_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/type:money_go_proto",
+    ],
+)
diff -urN c/google/cloud/binaryauthorization/v1/BUILD.bazel d/google/cloud/binaryauthorization/v1/BUILD.bazel
--- c/google/cloud/binaryauthorization/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/binaryauthorization/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "binaryauthorization_proto",
+    srcs = [
+        "resources.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//grafeas/v1:grafeas_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "binaryauthorization_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/binaryauthorization/v1",
+    proto = ":binaryauthorization_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//grafeas/v1:grafeas_go_proto",
+    ],
+)
diff -urN c/google/cloud/binaryauthorization/v1beta1/BUILD.bazel d/google/cloud/binaryauthorization/v1beta1/BUILD.bazel
--- c/google/cloud/binaryauthorization/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/binaryauthorization/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "binaryauthorization_proto",
+    srcs = [
+        "continuous_validation_logging.proto",
+        "resources.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "binaryauthorization_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/binaryauthorization/v1beta1",
+    proto = ":binaryauthorization_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/certificatemanager/logging/v1/BUILD.bazel d/google/cloud/certificatemanager/logging/v1/BUILD.bazel
--- c/google/cloud/certificatemanager/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/certificatemanager/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,16 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["logs.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:timestamp_proto"],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/certificatemanager/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/certificatemanager/v1/BUILD.bazel d/google/cloud/certificatemanager/v1/BUILD.bazel
--- c/google/cloud/certificatemanager/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/certificatemanager/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "certificatemanager_proto",
+    srcs = [
+        "certificate_issuance_config.proto",
+        "certificate_manager.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "certificatemanager_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/certificatemanager/v1",
+    proto = ":certificatemanager_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/channel/v1/BUILD.bazel d/google/cloud/channel/v1/BUILD.bazel
--- c/google/cloud/channel/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/channel/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,50 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "channel_proto",
+    srcs = [
+        "channel_partner_links.proto",
+        "common.proto",
+        "customers.proto",
+        "entitlements.proto",
+        "offers.proto",
+        "operations.proto",
+        "products.proto",
+        "reports_service.proto",
+        "repricing.proto",
+        "service.proto",
+        "subscriber_event.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:date_proto",
+        "//google/type:datetime_proto",
+        "//google/type:decimal_proto",
+        "//google/type:money_proto",
+        "//google/type:postaladdress_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "channel_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/channel/v1",
+    proto = ":channel_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:date_go_proto",
+        "//google/type:datetime_go_proto",
+        "//google/type:decimal_go_proto",
+        "//google/type:money_go_proto",
+        "//google/type:postaladdress_go_proto",
+    ],
+)
diff -urN c/google/cloud/clouddms/logging/v1/BUILD.bazel d/google/cloud/clouddms/logging/v1/BUILD.bazel
--- c/google/cloud/clouddms/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/clouddms/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["clouddms_platform_logs.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/clouddms/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/clouddms/v1/BUILD.bazel d/google/cloud/clouddms/v1/BUILD.bazel
--- c/google/cloud/clouddms/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/clouddms/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "clouddms_proto",
+    srcs = [
+        "clouddms.proto",
+        "clouddms_resources.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "clouddms_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/clouddms/v1",
+    proto = ":clouddms_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/cloudsetup/logging/v1/BUILD.bazel d/google/cloud/cloudsetup/logging/v1/BUILD.bazel
--- c/google/cloud/cloudsetup/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/cloudsetup/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,23 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["complete_deployment.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+    ],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/cloudsetup/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/commerce/consumer/procurement/v1alpha1/BUILD.bazel d/google/cloud/commerce/consumer/procurement/v1alpha1/BUILD.bazel
--- c/google/cloud/commerce/consumer/procurement/v1alpha1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/commerce/consumer/procurement/v1alpha1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "procurement_proto",
+    srcs = [
+        "order.proto",
+        "procurement_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "procurement_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/commerce/consumer/procurement/v1alpha1",
+    proto = ":procurement_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/common/BUILD.bazel d/google/cloud/common/BUILD.bazel
--- c/google/cloud/common/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/common/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,20 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "common_proto",
+    srcs = ["operation_metadata.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "common_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/common",
+    proto = ":common_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/compute/v1/BUILD.bazel d/google/cloud/compute/v1/BUILD.bazel
--- c/google/cloud/compute/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/compute/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,24 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "compute_proto",
+    srcs = ["compute.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud:extendedops_proto",
+    ],
+)
+
+go_proto_library(
+    name = "compute_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/compute/v1",
+    proto = ":compute_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud:extendedops_go_proto",
+    ],
+)
diff -urN c/google/cloud/compute/v1small/BUILD.bazel d/google/cloud/compute/v1small/BUILD.bazel
--- c/google/cloud/compute/v1small/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/compute/v1small/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,24 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "compute_proto",
+    srcs = ["compute_small.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud:extendedops_proto",
+    ],
+)
+
+go_proto_library(
+    name = "compute_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/compute/v1small",
+    proto = ":compute_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud:extendedops_go_proto",
+    ],
+)
diff -urN c/google/cloud/connectors/v1/BUILD.bazel d/google/cloud/connectors/v1/BUILD.bazel
--- c/google/cloud/connectors/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/connectors/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,37 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "connectors_proto",
+    srcs = [
+        "authconfig.proto",
+        "common.proto",
+        "connection.proto",
+        "connector.proto",
+        "connector_version.proto",
+        "connectors_service.proto",
+        "destination_config.proto",
+        "provider.proto",
+        "runtime.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "connectors_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/connectors/v1",
+    proto = ":connectors_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/contactcenterinsights/v1/BUILD.bazel d/google/cloud/contactcenterinsights/v1/BUILD.bazel
--- c/google/cloud/contactcenterinsights/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/contactcenterinsights/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "contactcenterinsights_proto",
+    srcs = [
+        "contact_center_insights.proto",
+        "resources.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "contactcenterinsights_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/contactcenterinsights/v1",
+    proto = ":contactcenterinsights_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/contentwarehouse/v1/BUILD.bazel d/google/cloud/contentwarehouse/v1/BUILD.bazel
--- c/google/cloud/contentwarehouse/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/contentwarehouse/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,50 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "contentwarehouse_proto",
+    srcs = [
+        "async_document_service_request.proto",
+        "common.proto",
+        "document.proto",
+        "document_link_service.proto",
+        "document_schema.proto",
+        "document_schema_service.proto",
+        "document_service.proto",
+        "document_service_request.proto",
+        "filters.proto",
+        "histogram.proto",
+        "rule_engine.proto",
+        "ruleset_service.proto",
+        "ruleset_service_request.proto",
+        "synonymset.proto",
+        "synonymset_service.proto",
+        "synonymset_service_request.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud/documentai/v1:documentai_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/type:datetime_proto",
+        "//google/type:interval_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "contentwarehouse_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/contentwarehouse/v1",
+    proto = ":contentwarehouse_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud/documentai/v1:documentai_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/type:datetime_go_proto",
+        "//google/type:interval_go_proto",
+    ],
+)
diff -urN c/google/cloud/datacatalog/v1/BUILD.bazel d/google/cloud/datacatalog/v1/BUILD.bazel
--- c/google/cloud/datacatalog/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/datacatalog/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,43 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "datacatalog_proto",
+    srcs = [
+        "bigquery.proto",
+        "common.proto",
+        "data_source.proto",
+        "datacatalog.proto",
+        "dataplex_spec.proto",
+        "gcs_fileset_spec.proto",
+        "physical_schema.proto",
+        "policytagmanager.proto",
+        "policytagmanagerserialization.proto",
+        "schema.proto",
+        "search.proto",
+        "table_spec.proto",
+        "tags.proto",
+        "timestamps.proto",
+        "usage.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "datacatalog_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/datacatalog/v1",
+    proto = ":datacatalog_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/cloud/datacatalog/v1beta1/BUILD.bazel d/google/cloud/datacatalog/v1beta1/BUILD.bazel
--- c/google/cloud/datacatalog/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/datacatalog/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,38 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "datacatalog_proto",
+    srcs = [
+        "common.proto",
+        "datacatalog.proto",
+        "gcs_fileset_spec.proto",
+        "policytagmanager.proto",
+        "policytagmanagerserialization.proto",
+        "schema.proto",
+        "search.proto",
+        "table_spec.proto",
+        "tags.proto",
+        "timestamps.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "datacatalog_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/datacatalog/v1beta1",
+    proto = ":datacatalog_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/cloud/dataform/v1alpha2/BUILD.bazel d/google/cloud/dataform/v1alpha2/BUILD.bazel
--- c/google/cloud/dataform/v1alpha2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/dataform/v1alpha2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "dataform_proto",
+    srcs = ["dataform.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:interval_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "dataform_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/dataform/v1alpha2",
+    proto = ":dataform_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:interval_go_proto",
+    ],
+)
diff -urN c/google/cloud/dataform/v1beta1/BUILD.bazel d/google/cloud/dataform/v1beta1/BUILD.bazel
--- c/google/cloud/dataform/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/dataform/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "dataform_proto",
+    srcs = ["dataform.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:interval_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "dataform_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/dataform/v1beta1",
+    proto = ":dataform_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:interval_go_proto",
+    ],
+)
diff -urN c/google/cloud/datafusion/v1/BUILD.bazel d/google/cloud/datafusion/v1/BUILD.bazel
--- c/google/cloud/datafusion/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/datafusion/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "datafusion_proto",
+    srcs = ["datafusion.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "datafusion_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/datafusion/v1",
+    proto = ":datafusion_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/datafusion/v1beta1/BUILD.bazel d/google/cloud/datafusion/v1beta1/BUILD.bazel
--- c/google/cloud/datafusion/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/datafusion/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "datafusion_proto",
+    srcs = ["v1beta1.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "datafusion_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/datafusion/v1beta1",
+    proto = ":datafusion_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/datalabeling/v1beta1/BUILD.bazel d/google/cloud/datalabeling/v1beta1/BUILD.bazel
--- c/google/cloud/datalabeling/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/datalabeling/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,41 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "datalabeling_proto",
+    srcs = [
+        "annotation.proto",
+        "annotation_spec_set.proto",
+        "data_labeling_service.proto",
+        "data_payloads.proto",
+        "dataset.proto",
+        "evaluation.proto",
+        "evaluation_job.proto",
+        "human_annotation_config.proto",
+        "instruction.proto",
+        "operations.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "datalabeling_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/datalabeling/v1beta1",
+    proto = ":datalabeling_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/dataplex/v1/BUILD.bazel d/google/cloud/dataplex/v1/BUILD.bazel
--- c/google/cloud/dataplex/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/dataplex/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,38 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "dataplex_proto",
+    srcs = [
+        "analyze.proto",
+        "content.proto",
+        "logs.proto",
+        "metadata.proto",
+        "resources.proto",
+        "service.proto",
+        "tasks.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "dataplex_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/dataplex/v1",
+    proto = ":dataplex_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/dataproc/logging/BUILD.bazel d/google/cloud/dataproc/logging/BUILD.bazel
--- c/google/cloud/dataproc/logging/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/dataproc/logging/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,16 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["autoscaler_log.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:duration_proto"],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/dataproc/logging",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/dataproc/v1/BUILD.bazel d/google/cloud/dataproc/v1/BUILD.bazel
--- c/google/cloud/dataproc/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/dataproc/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,36 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "dataproc_proto",
+    srcs = [
+        "autoscaling_policies.proto",
+        "batches.proto",
+        "clusters.proto",
+        "jobs.proto",
+        "operations.proto",
+        "shared.proto",
+        "workflow_templates.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "dataproc_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/dataproc/v1",
+    proto = ":dataproc_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/dataqna/v1alpha/BUILD.bazel d/google/cloud/dataqna/v1alpha/BUILD.bazel
--- c/google/cloud/dataqna/v1alpha/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/dataqna/v1alpha/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "dataqna_proto",
+    srcs = [
+        "annotated_string.proto",
+        "auto_suggestion_service.proto",
+        "question.proto",
+        "question_service.proto",
+        "user_feedback.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "dataqna_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/dataqna/v1alpha",
+    proto = ":dataqna_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/datastream/v1/BUILD.bazel d/google/cloud/datastream/v1/BUILD.bazel
--- c/google/cloud/datastream/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/datastream/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "datastream_proto",
+    srcs = [
+        "datastream.proto",
+        "datastream_resources.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "datastream_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/datastream/v1",
+    proto = ":datastream_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/datastream/v1alpha1/BUILD.bazel d/google/cloud/datastream/v1alpha1/BUILD.bazel
--- c/google/cloud/datastream/v1alpha1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/datastream/v1alpha1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "datastream_proto",
+    srcs = [
+        "datastream.proto",
+        "datastream_resources.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "datastream_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/datastream/v1alpha1",
+    proto = ":datastream_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/deploy/v1/BUILD.bazel d/google/cloud/deploy/v1/BUILD.bazel
--- c/google/cloud/deploy/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/deploy/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,38 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "deploy_proto",
+    srcs = [
+        "cloud_deploy.proto",
+        "deliverypipeline_notification_payload.proto",
+        "jobrun_notification_payload.proto",
+        "log_enums.proto",
+        "release_notification_payload.proto",
+        "release_render_payload.proto",
+        "rollout_notification_payload.proto",
+        "target_notification_payload.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:date_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "deploy_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/deploy/v1",
+    proto = ":deploy_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:date_go_proto",
+    ],
+)
diff -urN c/google/cloud/dialogflow/cx/v3/BUILD.bazel d/google/cloud/dialogflow/cx/v3/BUILD.bazel
--- c/google/cloud/dialogflow/cx/v3/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/dialogflow/cx/v3/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,55 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "cx_proto",
+    srcs = [
+        "advanced_settings.proto",
+        "agent.proto",
+        "audio_config.proto",
+        "changelog.proto",
+        "deployment.proto",
+        "entity_type.proto",
+        "environment.proto",
+        "experiment.proto",
+        "flow.proto",
+        "fulfillment.proto",
+        "intent.proto",
+        "page.proto",
+        "response_message.proto",
+        "security_settings.proto",
+        "session.proto",
+        "session_entity_type.proto",
+        "test_case.proto",
+        "transition_route_group.proto",
+        "validation_message.proto",
+        "version.proto",
+        "webhook.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "cx_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/dialogflow/cx/v3",
+    proto = ":cx_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/cloud/dialogflow/cx/v3beta1/BUILD.bazel d/google/cloud/dialogflow/cx/v3beta1/BUILD.bazel
--- c/google/cloud/dialogflow/cx/v3beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/dialogflow/cx/v3beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,55 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "cx_proto",
+    srcs = [
+        "advanced_settings.proto",
+        "agent.proto",
+        "audio_config.proto",
+        "changelog.proto",
+        "deployment.proto",
+        "entity_type.proto",
+        "environment.proto",
+        "experiment.proto",
+        "flow.proto",
+        "fulfillment.proto",
+        "intent.proto",
+        "page.proto",
+        "response_message.proto",
+        "security_settings.proto",
+        "session.proto",
+        "session_entity_type.proto",
+        "test_case.proto",
+        "transition_route_group.proto",
+        "validation_message.proto",
+        "version.proto",
+        "webhook.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "cx_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/dialogflow/cx/v3beta1",
+    proto = ":cx_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/cloud/dialogflow/v2/BUILD.bazel d/google/cloud/dialogflow/v2/BUILD.bazel
--- c/google/cloud/dialogflow/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/dialogflow/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,57 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "dialogflow_proto",
+    srcs = [
+        "agent.proto",
+        "answer_record.proto",
+        "audio_config.proto",
+        "context.proto",
+        "conversation.proto",
+        "conversation_dataset.proto",
+        "conversation_event.proto",
+        "conversation_model.proto",
+        "conversation_profile.proto",
+        "document.proto",
+        "entity_type.proto",
+        "environment.proto",
+        "fulfillment.proto",
+        "gcs.proto",
+        "human_agent_assistant_event.proto",
+        "intent.proto",
+        "knowledge_base.proto",
+        "participant.proto",
+        "session.proto",
+        "session_entity_type.proto",
+        "validation_result.proto",
+        "version.proto",
+        "webhook.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "dialogflow_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/dialogflow/v2",
+    proto = ":dialogflow_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/cloud/dialogflow/v2beta1/BUILD.bazel d/google/cloud/dialogflow/v2beta1/BUILD.bazel
--- c/google/cloud/dialogflow/v2beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/dialogflow/v2beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,55 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "dialogflow_proto",
+    srcs = [
+        "agent.proto",
+        "answer_record.proto",
+        "audio_config.proto",
+        "context.proto",
+        "conversation.proto",
+        "conversation_event.proto",
+        "conversation_profile.proto",
+        "document.proto",
+        "entity_type.proto",
+        "environment.proto",
+        "fulfillment.proto",
+        "gcs.proto",
+        "human_agent_assistant_event.proto",
+        "intent.proto",
+        "knowledge_base.proto",
+        "participant.proto",
+        "session.proto",
+        "session_entity_type.proto",
+        "validation_result.proto",
+        "version.proto",
+        "webhook.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "dialogflow_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/dialogflow/v2beta1",
+    proto = ":dialogflow_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/cloud/discoveryengine/v1beta/BUILD.bazel d/google/cloud/discoveryengine/v1beta/BUILD.bazel
--- c/google/cloud/discoveryengine/v1beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/discoveryengine/v1beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,42 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "discoveryengine_proto",
+    srcs = [
+        "common.proto",
+        "document.proto",
+        "document_service.proto",
+        "import_config.proto",
+        "recommendation_service.proto",
+        "user_event.proto",
+        "user_event_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:httpbody_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:date_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "discoveryengine_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/discoveryengine/v1beta",
+    proto = ":discoveryengine_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:httpbody_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:date_go_proto",
+    ],
+)
diff -urN c/google/cloud/documentai/v1/BUILD.bazel d/google/cloud/documentai/v1/BUILD.bazel
--- c/google/cloud/documentai/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/documentai/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,50 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "documentai_proto",
+    srcs = [
+        "barcode.proto",
+        "document.proto",
+        "document_io.proto",
+        "document_processor_service.proto",
+        "document_schema.proto",
+        "geometry.proto",
+        "operation_metadata.proto",
+        "processor.proto",
+        "processor_type.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:api_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:color_proto",
+        "//google/type:date_proto",
+        "//google/type:datetime_proto",
+        "//google/type:money_proto",
+        "//google/type:postaladdress_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "documentai_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/documentai/v1",
+    proto = ":documentai_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:api_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:color_go_proto",
+        "//google/type:date_go_proto",
+        "//google/type:datetime_go_proto",
+        "//google/type:money_go_proto",
+        "//google/type:postaladdress_go_proto",
+    ],
+)
diff -urN c/google/cloud/documentai/v1beta1/BUILD.bazel d/google/cloud/documentai/v1beta1/BUILD.bazel
--- c/google/cloud/documentai/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/documentai/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "documentai_proto",
+    srcs = [
+        "document.proto",
+        "document_understanding.proto",
+        "geometry.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:color_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "documentai_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/documentai/v1beta1",
+    proto = ":documentai_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:color_go_proto",
+    ],
+)
diff -urN c/google/cloud/documentai/v1beta2/BUILD.bazel d/google/cloud/documentai/v1beta2/BUILD.bazel
--- c/google/cloud/documentai/v1beta2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/documentai/v1beta2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "documentai_proto",
+    srcs = [
+        "document.proto",
+        "document_understanding.proto",
+        "geometry.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:color_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "documentai_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/documentai/v1beta2",
+    proto = ":documentai_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:color_go_proto",
+    ],
+)
diff -urN c/google/cloud/documentai/v1beta3/BUILD.bazel d/google/cloud/documentai/v1beta3/BUILD.bazel
--- c/google/cloud/documentai/v1beta3/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/documentai/v1beta3/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,51 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "documentai_proto",
+    srcs = [
+        "barcode.proto",
+        "document.proto",
+        "document_io.proto",
+        "document_processor_service.proto",
+        "document_schema.proto",
+        "evaluation.proto",
+        "geometry.proto",
+        "operation_metadata.proto",
+        "processor.proto",
+        "processor_type.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:api_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:color_proto",
+        "//google/type:date_proto",
+        "//google/type:datetime_proto",
+        "//google/type:money_proto",
+        "//google/type:postaladdress_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "documentai_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/documentai/v1beta3",
+    proto = ":documentai_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:api_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:color_go_proto",
+        "//google/type:date_go_proto",
+        "//google/type:datetime_go_proto",
+        "//google/type:money_go_proto",
+        "//google/type:postaladdress_go_proto",
+    ],
+)
diff -urN c/google/cloud/domains/v1/BUILD.bazel d/google/cloud/domains/v1/BUILD.bazel
--- c/google/cloud/domains/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/domains/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "domains_proto",
+    srcs = ["domains.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:money_proto",
+        "//google/type:postaladdress_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "domains_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/domains/v1",
+    proto = ":domains_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:money_go_proto",
+        "//google/type:postaladdress_go_proto",
+    ],
+)
diff -urN c/google/cloud/domains/v1alpha2/BUILD.bazel d/google/cloud/domains/v1alpha2/BUILD.bazel
--- c/google/cloud/domains/v1alpha2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/domains/v1alpha2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "domains_proto",
+    srcs = ["domains.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:money_proto",
+        "//google/type:postaladdress_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "domains_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/domains/v1alpha2",
+    proto = ":domains_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:money_go_proto",
+        "//google/type:postaladdress_go_proto",
+    ],
+)
diff -urN c/google/cloud/domains/v1beta1/BUILD.bazel d/google/cloud/domains/v1beta1/BUILD.bazel
--- c/google/cloud/domains/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/domains/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "domains_proto",
+    srcs = ["domains.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:money_proto",
+        "//google/type:postaladdress_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "domains_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/domains/v1beta1",
+    proto = ":domains_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:money_go_proto",
+        "//google/type:postaladdress_go_proto",
+    ],
+)
diff -urN c/google/cloud/edgecontainer/v1/BUILD.bazel d/google/cloud/edgecontainer/v1/BUILD.bazel
--- c/google/cloud/edgecontainer/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/edgecontainer/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "edgecontainer_proto",
+    srcs = [
+        "resources.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "edgecontainer_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/edgecontainer/v1",
+    proto = ":edgecontainer_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/enterpriseknowledgegraph/v1/BUILD.bazel d/google/cloud/enterpriseknowledgegraph/v1/BUILD.bazel
--- c/google/cloud/enterpriseknowledgegraph/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/enterpriseknowledgegraph/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "enterpriseknowledgegraph_proto",
+    srcs = [
+        "job_state.proto",
+        "operation_metadata.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "enterpriseknowledgegraph_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/enterpriseknowledgegraph/v1",
+    proto = ":enterpriseknowledgegraph_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/essentialcontacts/v1/BUILD.bazel d/google/cloud/essentialcontacts/v1/BUILD.bazel
--- c/google/cloud/essentialcontacts/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/essentialcontacts/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "essentialcontacts_proto",
+    srcs = [
+        "enums.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "essentialcontacts_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/essentialcontacts/v1",
+    proto = ":essentialcontacts_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/eventarc/publishing/v1/BUILD.bazel d/google/cloud/eventarc/publishing/v1/BUILD.bazel
--- c/google/cloud/eventarc/publishing/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/eventarc/publishing/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "publisher_proto",
+    srcs = ["publisher.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:any_proto",
+    ],
+)
+
+go_proto_library(
+    name = "publisher_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/eventarc/publishing/v1",
+    proto = ":publisher_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/eventarc/v1/BUILD.bazel d/google/cloud/eventarc/v1/BUILD.bazel
--- c/google/cloud/eventarc/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/eventarc/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,35 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "eventarc_proto",
+    srcs = [
+        "channel.proto",
+        "channel_connection.proto",
+        "discovery.proto",
+        "eventarc.proto",
+        "google_channel_config.proto",
+        "trigger.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:code_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "eventarc_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/eventarc/v1",
+    proto = ":eventarc_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:code_go_proto",
+    ],
+)
diff -urN c/google/cloud/filestore/v1/BUILD.bazel d/google/cloud/filestore/v1/BUILD.bazel
--- c/google/cloud/filestore/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/filestore/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "filestore_proto",
+    srcs = ["cloud_filestore_service.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud/common:common_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "filestore_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/filestore/v1",
+    proto = ":filestore_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud/common:common_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/filestore/v1beta1/BUILD.bazel d/google/cloud/filestore/v1beta1/BUILD.bazel
--- c/google/cloud/filestore/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/filestore/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "filestore_proto",
+    srcs = ["cloud_filestore_service.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud/common:common_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "filestore_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/filestore/v1beta1",
+    proto = ":filestore_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud/common:common_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/functions/v1/BUILD.bazel d/google/cloud/functions/v1/BUILD.bazel
--- c/google/cloud/functions/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/functions/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "functions_proto",
+    srcs = [
+        "functions.proto",
+        "operations.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "functions_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/functions/v1",
+    proto = ":functions_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/functions/v2/BUILD.bazel d/google/cloud/functions/v2/BUILD.bazel
--- c/google/cloud/functions/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/functions/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "functions_proto",
+    srcs = ["functions.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "functions_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/functions/v2",
+    proto = ":functions_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/functions/v2alpha/BUILD.bazel d/google/cloud/functions/v2alpha/BUILD.bazel
--- c/google/cloud/functions/v2alpha/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/functions/v2alpha/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "functions_proto",
+    srcs = ["functions.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "functions_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/functions/v2alpha",
+    proto = ":functions_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/functions/v2beta/BUILD.bazel d/google/cloud/functions/v2beta/BUILD.bazel
--- c/google/cloud/functions/v2beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/functions/v2beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "functions_proto",
+    srcs = ["functions.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "functions_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/functions/v2beta",
+    proto = ":functions_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/gaming/v1/BUILD.bazel d/google/cloud/gaming/v1/BUILD.bazel
--- c/google/cloud/gaming/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gaming/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,37 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "gaming_proto",
+    srcs = [
+        "common.proto",
+        "game_server_clusters.proto",
+        "game_server_clusters_service.proto",
+        "game_server_configs.proto",
+        "game_server_configs_service.proto",
+        "game_server_deployments.proto",
+        "game_server_deployments_service.proto",
+        "realms.proto",
+        "realms_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "gaming_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/gaming/v1",
+    proto = ":gaming_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/gaming/v1beta/BUILD.bazel d/google/cloud/gaming/v1beta/BUILD.bazel
--- c/google/cloud/gaming/v1beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gaming/v1beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,37 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "gaming_proto",
+    srcs = [
+        "common.proto",
+        "game_server_clusters.proto",
+        "game_server_clusters_service.proto",
+        "game_server_configs.proto",
+        "game_server_configs_service.proto",
+        "game_server_deployments.proto",
+        "game_server_deployments_service.proto",
+        "realms.proto",
+        "realms_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "gaming_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/gaming/v1beta",
+    proto = ":gaming_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/gkebackup/logging/v1/BUILD.bazel d/google/cloud/gkebackup/logging/v1/BUILD.bazel
--- c/google/cloud/gkebackup/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkebackup/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = [
+        "logged_backup.proto",
+        "logged_backup_plan.proto",
+        "logged_common.proto",
+        "logged_restore.proto",
+        "logged_restore_plan.proto",
+        "logging.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkebackup/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/rpc:status_go_proto"],
+)
diff -urN c/google/cloud/gkebackup/v1/BUILD.bazel d/google/cloud/gkebackup/v1/BUILD.bazel
--- c/google/cloud/gkebackup/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkebackup/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,34 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "gkebackup_proto",
+    srcs = [
+        "backup.proto",
+        "backup_plan.proto",
+        "common.proto",
+        "gkebackup.proto",
+        "restore.proto",
+        "restore_plan.proto",
+        "volume.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "gkebackup_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkebackup/v1",
+    proto = ":gkebackup_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/gkeconnect/gateway/v1/BUILD.bazel d/google/cloud/gkeconnect/gateway/v1/BUILD.bazel
--- c/google/cloud/gkeconnect/gateway/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkeconnect/gateway/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,18 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "gateway_proto",
+    srcs = ["gateway.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "gateway_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkeconnect/gateway/v1",
+    proto = ":gateway_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/gkeconnect/gateway/v1alpha1/BUILD.bazel d/google/cloud/gkeconnect/gateway/v1alpha1/BUILD.bazel
--- c/google/cloud/gkeconnect/gateway/v1alpha1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkeconnect/gateway/v1alpha1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,18 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "gateway_proto",
+    srcs = ["gateway.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "gateway_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkeconnect/gateway/v1alpha1",
+    proto = ":gateway_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/gkeconnect/gateway/v1beta1/BUILD.bazel d/google/cloud/gkeconnect/gateway/v1beta1/BUILD.bazel
--- c/google/cloud/gkeconnect/gateway/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkeconnect/gateway/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,24 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "gateway_proto",
+    srcs = ["gateway.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:httpbody_proto",
+    ],
+)
+
+go_proto_library(
+    name = "gateway_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkeconnect/gateway/v1beta1",
+    proto = ":gateway_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:httpbody_go_proto",
+    ],
+)
diff -urN c/google/cloud/gkehub/v1/BUILD.bazel d/google/cloud/gkehub/v1/BUILD.bazel
--- c/google/cloud/gkehub/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkehub/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,34 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "gkehub_proto",
+    srcs = [
+        "feature.proto",
+        "membership.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud/gkehub/v1/configmanagement:configmanagement_proto",
+        "//google/cloud/gkehub/v1/multiclusteringress:multiclusteringress_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "gkehub_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkehub/v1",
+    proto = ":gkehub_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud/gkehub/v1/configmanagement:configmanagement_go_proto",
+        "//google/cloud/gkehub/v1/multiclusteringress:multiclusteringress_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/gkehub/v1/configmanagement/BUILD.bazel d/google/cloud/gkehub/v1/configmanagement/BUILD.bazel
--- c/google/cloud/gkehub/v1/configmanagement/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkehub/v1/configmanagement/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,16 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "configmanagement_proto",
+    srcs = ["configmanagement.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:timestamp_proto"],
+)
+
+go_proto_library(
+    name = "configmanagement_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkehub/configmanagement/v1",
+    proto = ":configmanagement_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/gkehub/v1/multiclusteringress/BUILD.bazel d/google/cloud/gkehub/v1/multiclusteringress/BUILD.bazel
--- c/google/cloud/gkehub/v1/multiclusteringress/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkehub/v1/multiclusteringress/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "multiclusteringress_proto",
+    srcs = ["multiclusteringress.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "multiclusteringress_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkehub/multiclusteringress/v1",
+    proto = ":multiclusteringress_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/gkehub/v1alpha/BUILD.bazel d/google/cloud/gkehub/v1alpha/BUILD.bazel
--- c/google/cloud/gkehub/v1alpha/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkehub/v1alpha/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,39 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "gkehub_proto",
+    srcs = [
+        "feature.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud/gkehub/v1alpha/cloudauditlogging:cloudauditlogging_proto",
+        "//google/cloud/gkehub/v1alpha/configmanagement:configmanagement_proto",
+        "//google/cloud/gkehub/v1alpha/metering:metering_proto",
+        "//google/cloud/gkehub/v1alpha/multiclusteringress:multiclusteringress_proto",
+        "//google/cloud/gkehub/v1alpha/servicemesh:servicemesh_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "gkehub_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkehub/v1alpha",
+    proto = ":gkehub_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud/gkehub/v1alpha/cloudauditlogging:cloudauditlogging_go_proto",
+        "//google/cloud/gkehub/v1alpha/configmanagement:configmanagement_go_proto",
+        "//google/cloud/gkehub/v1alpha/metering:metering_go_proto",
+        "//google/cloud/gkehub/v1alpha/multiclusteringress:multiclusteringress_go_proto",
+        "//google/cloud/gkehub/v1alpha/servicemesh:servicemesh_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/gkehub/v1alpha/cloudauditlogging/BUILD.bazel d/google/cloud/gkehub/v1alpha/cloudauditlogging/BUILD.bazel
--- c/google/cloud/gkehub/v1alpha/cloudauditlogging/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkehub/v1alpha/cloudauditlogging/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "cloudauditlogging_proto",
+    srcs = ["cloudauditlogging.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "cloudauditlogging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkehub/cloudauditlogging/v1alpha",
+    proto = ":cloudauditlogging_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/gkehub/v1alpha/configmanagement/BUILD.bazel d/google/cloud/gkehub/v1alpha/configmanagement/BUILD.bazel
--- c/google/cloud/gkehub/v1alpha/configmanagement/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkehub/v1alpha/configmanagement/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,16 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "configmanagement_proto",
+    srcs = ["configmanagement.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:timestamp_proto"],
+)
+
+go_proto_library(
+    name = "configmanagement_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkehub/configmanagement/v1alpha",
+    proto = ":configmanagement_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/gkehub/v1alpha/metering/BUILD.bazel d/google/cloud/gkehub/v1alpha/metering/BUILD.bazel
--- c/google/cloud/gkehub/v1alpha/metering/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkehub/v1alpha/metering/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,16 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "metering_proto",
+    srcs = ["metering.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:timestamp_proto"],
+)
+
+go_proto_library(
+    name = "metering_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkehub/metering/v1alpha",
+    proto = ":metering_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/gkehub/v1alpha/multiclusteringress/BUILD.bazel d/google/cloud/gkehub/v1alpha/multiclusteringress/BUILD.bazel
--- c/google/cloud/gkehub/v1alpha/multiclusteringress/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkehub/v1alpha/multiclusteringress/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "multiclusteringress_proto",
+    srcs = ["multiclusteringress.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "multiclusteringress_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkehub/multiclusteringress/v1alpha",
+    proto = ":multiclusteringress_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/gkehub/v1alpha/servicemesh/BUILD.bazel d/google/cloud/gkehub/v1alpha/servicemesh/BUILD.bazel
--- c/google/cloud/gkehub/v1alpha/servicemesh/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkehub/v1alpha/servicemesh/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,20 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "servicemesh_proto",
+    srcs = ["servicemesh.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:struct_proto",
+    ],
+)
+
+go_proto_library(
+    name = "servicemesh_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkehub/servicemesh/v1alpha",
+    proto = ":servicemesh_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/gkehub/v1alpha2/BUILD.bazel d/google/cloud/gkehub/v1alpha2/BUILD.bazel
--- c/google/cloud/gkehub/v1alpha2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkehub/v1alpha2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "gkehub_proto",
+    srcs = ["membership.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "gkehub_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkehub/v1alpha2",
+    proto = ":gkehub_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/gkehub/v1beta/BUILD.bazel d/google/cloud/gkehub/v1beta/BUILD.bazel
--- c/google/cloud/gkehub/v1beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkehub/v1beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,35 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "gkehub_proto",
+    srcs = [
+        "feature.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud/gkehub/v1beta/configmanagement:configmanagement_proto",
+        "//google/cloud/gkehub/v1beta/metering:metering_proto",
+        "//google/cloud/gkehub/v1beta/multiclusteringress:multiclusteringress_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "gkehub_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkehub/v1beta",
+    proto = ":gkehub_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud/gkehub/v1beta/configmanagement:configmanagement_go_proto",
+        "//google/cloud/gkehub/v1beta/metering:metering_go_proto",
+        "//google/cloud/gkehub/v1beta/multiclusteringress:multiclusteringress_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/gkehub/v1beta/configmanagement/BUILD.bazel d/google/cloud/gkehub/v1beta/configmanagement/BUILD.bazel
--- c/google/cloud/gkehub/v1beta/configmanagement/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkehub/v1beta/configmanagement/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,16 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "configmanagement_proto",
+    srcs = ["configmanagement.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:timestamp_proto"],
+)
+
+go_proto_library(
+    name = "configmanagement_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkehub/configmanagement/v1beta",
+    proto = ":configmanagement_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/gkehub/v1beta/metering/BUILD.bazel d/google/cloud/gkehub/v1beta/metering/BUILD.bazel
--- c/google/cloud/gkehub/v1beta/metering/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkehub/v1beta/metering/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,16 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "metering_proto",
+    srcs = ["metering.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:timestamp_proto"],
+)
+
+go_proto_library(
+    name = "metering_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkehub/metering/v1beta",
+    proto = ":metering_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/gkehub/v1beta/multiclusteringress/BUILD.bazel d/google/cloud/gkehub/v1beta/multiclusteringress/BUILD.bazel
--- c/google/cloud/gkehub/v1beta/multiclusteringress/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkehub/v1beta/multiclusteringress/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "multiclusteringress_proto",
+    srcs = ["multiclusteringress.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "multiclusteringress_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkehub/multiclusteringress/v1beta",
+    proto = ":multiclusteringress_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/gkehub/v1beta1/BUILD.bazel d/google/cloud/gkehub/v1beta1/BUILD.bazel
--- c/google/cloud/gkehub/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkehub/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "gkehub_proto",
+    srcs = ["membership.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "gkehub_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkehub/v1beta1",
+    proto = ":gkehub_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/gkemulticloud/v1/BUILD.bazel d/google/cloud/gkemulticloud/v1/BUILD.bazel
--- c/google/cloud/gkemulticloud/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gkemulticloud/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "gkemulticloud_proto",
+    srcs = [
+        "aws_resources.proto",
+        "aws_service.proto",
+        "azure_resources.proto",
+        "azure_service.proto",
+        "common_resources.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "gkemulticloud_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/gkemulticloud/v1",
+    proto = ":gkemulticloud_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/gsuiteaddons/logging/v1/BUILD.bazel d/google/cloud/gsuiteaddons/logging/v1/BUILD.bazel
--- c/google/cloud/gsuiteaddons/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gsuiteaddons/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,17 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["g_suite_add_ons_log_entry.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/rpc:status_proto"],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/gsuiteaddons/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/rpc:status_go_proto"],
+)
diff -urN c/google/cloud/gsuiteaddons/v1/BUILD.bazel d/google/cloud/gsuiteaddons/v1/BUILD.bazel
--- c/google/cloud/gsuiteaddons/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/gsuiteaddons/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,38 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "gsuiteaddons_proto",
+    srcs = ["gsuiteaddons.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/apps/script/type:type_proto",
+        "//google/apps/script/type/calendar:calendar_proto",
+        "//google/apps/script/type/docs:docs_proto",
+        "//google/apps/script/type/drive:drive_proto",
+        "//google/apps/script/type/gmail:gmail_proto",
+        "//google/apps/script/type/sheets:sheets_proto",
+        "//google/apps/script/type/slides:slides_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "gsuiteaddons_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/gsuiteaddons/v1",
+    proto = ":gsuiteaddons_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/apps/script/type:type_go_proto",
+        "//google/apps/script/type/calendar:calendar_go_proto",
+        "//google/apps/script/type/docs:docs_go_proto",
+        "//google/apps/script/type/drive:drive_go_proto",
+        "//google/apps/script/type/gmail:gmail_go_proto",
+        "//google/apps/script/type/sheets:sheets_go_proto",
+        "//google/apps/script/type/slides:slides_go_proto",
+    ],
+)
diff -urN c/google/cloud/healthcare/logging/BUILD.bazel d/google/cloud/healthcare/logging/BUILD.bazel
--- c/google/cloud/healthcare/logging/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/healthcare/logging/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,24 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = [
+        "annotation.proto",
+        "consent.proto",
+        "deid.proto",
+        "dicom.proto",
+        "fhir.proto",
+        "hl7v2.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = ["//google/rpc:status_proto"],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/healthcare/logging",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/rpc:status_go_proto"],
+)
diff -urN c/google/cloud/iap/v1/BUILD.bazel d/google/cloud/iap/v1/BUILD.bazel
--- c/google/cloud/iap/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/iap/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "iap_proto",
+    srcs = ["service.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "iap_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/iap/v1",
+    proto = ":iap_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/cloud/iap/v1beta1/BUILD.bazel d/google/cloud/iap/v1beta1/BUILD.bazel
--- c/google/cloud/iap/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/iap/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,24 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "iap_proto",
+    srcs = ["service.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+    ],
+)
+
+go_proto_library(
+    name = "iap_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/iap/v1beta1",
+    proto = ":iap_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/cloud/identitytoolkit/logging/BUILD.bazel d/google/cloud/identitytoolkit/logging/BUILD.bazel
--- c/google/cloud/identitytoolkit/logging/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/identitytoolkit/logging/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,20 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["request_log.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:struct_proto",
+    ],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/identitytoolkit/logging",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/rpc:status_go_proto"],
+)
diff -urN c/google/cloud/identitytoolkit/v2/BUILD.bazel d/google/cloud/identitytoolkit/v2/BUILD.bazel
--- c/google/cloud/identitytoolkit/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/identitytoolkit/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "identitytoolkit_proto",
+    srcs = [
+        "account_management_service.proto",
+        "authentication_service.proto",
+        "mfa_info.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "identitytoolkit_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/identitytoolkit/v2",
+    proto = ":identitytoolkit_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/ids/logging/v1/BUILD.bazel d/google/cloud/ids/logging/v1/BUILD.bazel
--- c/google/cloud/ids/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/ids/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,19 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["logging.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/ids/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/ids/v1/BUILD.bazel d/google/cloud/ids/v1/BUILD.bazel
--- c/google/cloud/ids/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/ids/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "ids_proto",
+    srcs = ["ids.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "ids_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/ids/v1",
+    proto = ":ids_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/integrations/v1alpha/BUILD.bazel d/google/cloud/integrations/v1alpha/BUILD.bazel
--- c/google/cloud/integrations/v1alpha/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/integrations/v1alpha/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "integrations_proto",
+    srcs = [
+        "event_parameter.proto",
+        "json_validation.proto",
+        "log_entries.proto",
+        "product.proto",
+        "task_config.proto",
+        "value_type.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "integrations_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/integrations/v1alpha",
+    proto = ":integrations_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/iot/v1/BUILD.bazel d/google/cloud/iot/v1/BUILD.bazel
--- c/google/cloud/iot/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/iot/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "iot_proto",
+    srcs = [
+        "device_manager.proto",
+        "resources.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "iot_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/iot/v1",
+    proto = ":iot_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/kms/v1/BUILD.bazel d/google/cloud/kms/v1/BUILD.bazel
--- c/google/cloud/kms/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/kms/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "kms_proto",
+    srcs = [
+        "ekm_service.proto",
+        "resources.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "kms_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/kms/v1",
+    proto = ":kms_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/kubernetes/security/containersecurity_logging/BUILD.bazel d/google/cloud/kubernetes/security/containersecurity_logging/BUILD.bazel
--- c/google/cloud/kubernetes/security/containersecurity_logging/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/kubernetes/security/containersecurity_logging/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,16 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "containersecurity_logging_proto",
+    srcs = ["logging.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:timestamp_proto"],
+)
+
+go_proto_library(
+    name = "containersecurity_logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/kubernetes/security/containersecurity_logging",
+    proto = ":containersecurity_logging_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/language/v1/BUILD.bazel d/google/cloud/language/v1/BUILD.bazel
--- c/google/cloud/language/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/language/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,18 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "language_proto",
+    srcs = ["language_service.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "language_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/language/v1",
+    proto = ":language_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/language/v1beta1/BUILD.bazel d/google/cloud/language/v1beta1/BUILD.bazel
--- c/google/cloud/language/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/language/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,18 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "language_proto",
+    srcs = ["language_service.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "language_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/language/v1beta1",
+    proto = ":language_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/language/v1beta2/BUILD.bazel d/google/cloud/language/v1beta2/BUILD.bazel
--- c/google/cloud/language/v1beta2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/language/v1beta2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,18 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "language_proto",
+    srcs = ["language_service.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "language_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/language/v1beta2",
+    proto = ":language_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/lifesciences/v2beta/BUILD.bazel d/google/cloud/lifesciences/v2beta/BUILD.bazel
--- c/google/cloud/lifesciences/v2beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/lifesciences/v2beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "lifesciences_proto",
+    srcs = ["workflows.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:code_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "lifesciences_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/lifesciences/v2beta",
+    proto = ":lifesciences_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:code_go_proto",
+    ],
+)
diff -urN c/google/cloud/location/BUILD.bazel d/google/cloud/location/BUILD.bazel
--- c/google/cloud/location/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/location/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "location_proto",
+    srcs = ["locations.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:any_proto",
+    ],
+)
+
+go_proto_library(
+    name = "location_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/location",
+    proto = ":location_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/managedidentities/v1/BUILD.bazel d/google/cloud/managedidentities/v1/BUILD.bazel
--- c/google/cloud/managedidentities/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/managedidentities/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "managedidentities_proto",
+    srcs = [
+        "managed_identities_service.proto",
+        "resource.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "managedidentities_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/managedidentities/v1",
+    proto = ":managedidentities_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/managedidentities/v1beta1/BUILD.bazel d/google/cloud/managedidentities/v1beta1/BUILD.bazel
--- c/google/cloud/managedidentities/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/managedidentities/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "managedidentities_proto",
+    srcs = [
+        "managed_identities_service.proto",
+        "resource.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "managedidentities_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/managedidentities/v1beta1",
+    proto = ":managedidentities_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/mediatranslation/v1alpha1/BUILD.bazel d/google/cloud/mediatranslation/v1alpha1/BUILD.bazel
--- c/google/cloud/mediatranslation/v1alpha1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/mediatranslation/v1alpha1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,24 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "mediatranslation_proto",
+    srcs = ["media_translation.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+    ],
+)
+
+go_proto_library(
+    name = "mediatranslation_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/mediatranslation/v1alpha1",
+    proto = ":mediatranslation_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/mediatranslation/v1beta1/BUILD.bazel d/google/cloud/mediatranslation/v1beta1/BUILD.bazel
--- c/google/cloud/mediatranslation/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/mediatranslation/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,24 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "mediatranslation_proto",
+    srcs = ["media_translation.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+    ],
+)
+
+go_proto_library(
+    name = "mediatranslation_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/mediatranslation/v1beta1",
+    proto = ":mediatranslation_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/memcache/v1/BUILD.bazel d/google/cloud/memcache/v1/BUILD.bazel
--- c/google/cloud/memcache/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/memcache/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "memcache_proto",
+    srcs = ["cloud_memcache.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:dayofweek_proto",
+        "//google/type:timeofday_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "memcache_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/memcache/v1",
+    proto = ":memcache_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:dayofweek_go_proto",
+        "//google/type:timeofday_go_proto",
+    ],
+)
diff -urN c/google/cloud/memcache/v1beta2/BUILD.bazel d/google/cloud/memcache/v1beta2/BUILD.bazel
--- c/google/cloud/memcache/v1beta2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/memcache/v1beta2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "memcache_proto",
+    srcs = ["cloud_memcache.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:dayofweek_proto",
+        "//google/type:timeofday_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "memcache_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/memcache/v1beta2",
+    proto = ":memcache_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:dayofweek_go_proto",
+        "//google/type:timeofday_go_proto",
+    ],
+)
diff -urN c/google/cloud/metastore/logging/v1/BUILD.bazel d/google/cloud/metastore/logging/v1/BUILD.bazel
--- c/google/cloud/metastore/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/metastore/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["log_streams.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/metastore/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/metastore/v1/BUILD.bazel d/google/cloud/metastore/v1/BUILD.bazel
--- c/google/cloud/metastore/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/metastore/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "metastore_proto",
+    srcs = [
+        "metastore.proto",
+        "metastore_federation.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:dayofweek_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "metastore_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/metastore/v1",
+    proto = ":metastore_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:dayofweek_go_proto",
+    ],
+)
diff -urN c/google/cloud/metastore/v1alpha/BUILD.bazel d/google/cloud/metastore/v1alpha/BUILD.bazel
--- c/google/cloud/metastore/v1alpha/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/metastore/v1alpha/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "metastore_proto",
+    srcs = [
+        "metastore.proto",
+        "metastore_federation.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:dayofweek_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "metastore_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/metastore/v1alpha",
+    proto = ":metastore_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:dayofweek_go_proto",
+    ],
+)
diff -urN c/google/cloud/metastore/v1beta/BUILD.bazel d/google/cloud/metastore/v1beta/BUILD.bazel
--- c/google/cloud/metastore/v1beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/metastore/v1beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "metastore_proto",
+    srcs = [
+        "metastore.proto",
+        "metastore_federation.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:dayofweek_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "metastore_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/metastore/v1beta",
+    proto = ":metastore_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:dayofweek_go_proto",
+    ],
+)
diff -urN c/google/cloud/networkanalyzer/logging/v1/BUILD.bazel d/google/cloud/networkanalyzer/logging/v1/BUILD.bazel
--- c/google/cloud/networkanalyzer/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/networkanalyzer/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,16 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["analyzer_log.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:timestamp_proto"],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/networkanalyzer/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/networkconnectivity/v1/BUILD.bazel d/google/cloud/networkconnectivity/v1/BUILD.bazel
--- c/google/cloud/networkconnectivity/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/networkconnectivity/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "networkconnectivity_proto",
+    srcs = [
+        "common.proto",
+        "hub.proto",
+        "policy_based_routing.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "networkconnectivity_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/networkconnectivity/v1",
+    proto = ":networkconnectivity_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/networkconnectivity/v1alpha1/BUILD.bazel d/google/cloud/networkconnectivity/v1alpha1/BUILD.bazel
--- c/google/cloud/networkconnectivity/v1alpha1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/networkconnectivity/v1alpha1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "networkconnectivity_proto",
+    srcs = [
+        "common.proto",
+        "hub.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "networkconnectivity_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/networkconnectivity/v1alpha1",
+    proto = ":networkconnectivity_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/networkmanagement/v1/BUILD.bazel d/google/cloud/networkmanagement/v1/BUILD.bazel
--- c/google/cloud/networkmanagement/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/networkmanagement/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "networkmanagement_proto",
+    srcs = [
+        "connectivity_test.proto",
+        "reachability.proto",
+        "trace.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "networkmanagement_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/networkmanagement/v1",
+    proto = ":networkmanagement_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/networkmanagement/v1beta1/BUILD.bazel d/google/cloud/networkmanagement/v1beta1/BUILD.bazel
--- c/google/cloud/networkmanagement/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/networkmanagement/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "networkmanagement_proto",
+    srcs = [
+        "connectivity_test.proto",
+        "reachability.proto",
+        "trace.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "networkmanagement_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/networkmanagement/v1beta1",
+    proto = ":networkmanagement_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/networksecurity/v1/BUILD.bazel d/google/cloud/networksecurity/v1/BUILD.bazel
--- c/google/cloud/networksecurity/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/networksecurity/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "networksecurity_proto",
+    srcs = [
+        "authorization_policy.proto",
+        "client_tls_policy.proto",
+        "common.proto",
+        "network_security.proto",
+        "server_tls_policy.proto",
+        "tls.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "networksecurity_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/networksecurity/v1",
+    proto = ":networksecurity_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/networksecurity/v1beta1/BUILD.bazel d/google/cloud/networksecurity/v1beta1/BUILD.bazel
--- c/google/cloud/networksecurity/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/networksecurity/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "networksecurity_proto",
+    srcs = [
+        "authorization_policy.proto",
+        "client_tls_policy.proto",
+        "common.proto",
+        "network_security.proto",
+        "server_tls_policy.proto",
+        "tls.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "networksecurity_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/networksecurity/v1beta1",
+    proto = ":networksecurity_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/networkservices/v1/BUILD.bazel d/google/cloud/networkservices/v1/BUILD.bazel
--- c/google/cloud/networkservices/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/networkservices/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,38 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "networkservices_proto",
+    srcs = [
+        "common.proto",
+        "endpoint_policy.proto",
+        "gateway.proto",
+        "grpc_route.proto",
+        "http_route.proto",
+        "mesh.proto",
+        "network_services.proto",
+        "service_binding.proto",
+        "tcp_route.proto",
+        "tls_route.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "networkservices_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/networkservices/v1",
+    proto = ":networkservices_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/networkservices/v1beta1/BUILD.bazel d/google/cloud/networkservices/v1beta1/BUILD.bazel
--- c/google/cloud/networkservices/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/networkservices/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "networkservices_proto",
+    srcs = [
+        "common.proto",
+        "endpoint_policy.proto",
+        "network_services.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "networkservices_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/networkservices/v1beta1",
+    proto = ":networkservices_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/notebooks/logging/v1/BUILD.bazel d/google/cloud/notebooks/logging/v1/BUILD.bazel
--- c/google/cloud/notebooks/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/notebooks/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,17 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["runtime_log.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/notebooks/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/notebooks/v1/BUILD.bazel d/google/cloud/notebooks/v1/BUILD.bazel
--- c/google/cloud/notebooks/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/notebooks/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,37 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "notebooks_proto",
+    srcs = [
+        "diagnostic_config.proto",
+        "environment.proto",
+        "event.proto",
+        "execution.proto",
+        "instance.proto",
+        "instance_config.proto",
+        "managed_service.proto",
+        "runtime.proto",
+        "schedule.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "notebooks_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/notebooks/v1",
+    proto = ":notebooks_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/notebooks/v1beta1/BUILD.bazel d/google/cloud/notebooks/v1beta1/BUILD.bazel
--- c/google/cloud/notebooks/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/notebooks/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "notebooks_proto",
+    srcs = [
+        "environment.proto",
+        "instance.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "notebooks_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/notebooks/v1beta1",
+    proto = ":notebooks_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/optimization/v1/BUILD.bazel d/google/cloud/optimization/v1/BUILD.bazel
--- c/google/cloud/optimization/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/optimization/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "optimization_proto",
+    srcs = [
+        "async_model.proto",
+        "fleet_routing.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "optimization_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/optimization/v1",
+    proto = ":optimization_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/cloud/orchestration/airflow/service/v1/BUILD.bazel d/google/cloud/orchestration/airflow/service/v1/BUILD.bazel
--- c/google/cloud/orchestration/airflow/service/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/orchestration/airflow/service/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "service_proto",
+    srcs = [
+        "environments.proto",
+        "image_versions.proto",
+        "operations.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:date_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "service_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/orchestration/airflow/service/v1",
+    proto = ":service_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:date_go_proto",
+    ],
+)
diff -urN c/google/cloud/orchestration/airflow/service/v1beta1/BUILD.bazel d/google/cloud/orchestration/airflow/service/v1beta1/BUILD.bazel
--- c/google/cloud/orchestration/airflow/service/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/orchestration/airflow/service/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "service_proto",
+    srcs = [
+        "environments.proto",
+        "image_versions.proto",
+        "operations.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:date_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "service_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/orchestration/airflow/service/v1beta1",
+    proto = ":service_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:date_go_proto",
+    ],
+)
diff -urN c/google/cloud/orgpolicy/v1/BUILD.bazel d/google/cloud/orgpolicy/v1/BUILD.bazel
--- c/google/cloud/orgpolicy/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/orgpolicy/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,16 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "orgpolicy_proto",
+    srcs = ["orgpolicy.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:timestamp_proto"],
+)
+
+go_proto_library(
+    name = "orgpolicy_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/orgpolicy/v1",
+    proto = ":orgpolicy_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/orgpolicy/v2/BUILD.bazel d/google/cloud/orgpolicy/v2/BUILD.bazel
--- c/google/cloud/orgpolicy/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/orgpolicy/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "orgpolicy_proto",
+    srcs = [
+        "constraint.proto",
+        "orgpolicy.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:expr_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "orgpolicy_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/orgpolicy/v2",
+    proto = ":orgpolicy_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:expr_go_proto",
+    ],
+)
diff -urN c/google/cloud/osconfig/agentendpoint/v1/BUILD.bazel d/google/cloud/osconfig/agentendpoint/v1/BUILD.bazel
--- c/google/cloud/osconfig/agentendpoint/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/osconfig/agentendpoint/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "agentendpoint_proto",
+    srcs = [
+        "agentendpoint.proto",
+        "config_common.proto",
+        "inventory.proto",
+        "os_policy.proto",
+        "patch_jobs.proto",
+        "tasks.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:date_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "agentendpoint_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/osconfig/agentendpoint/v1",
+    proto = ":agentendpoint_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:date_go_proto",
+    ],
+)
diff -urN c/google/cloud/osconfig/agentendpoint/v1beta/BUILD.bazel d/google/cloud/osconfig/agentendpoint/v1beta/BUILD.bazel
--- c/google/cloud/osconfig/agentendpoint/v1beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/osconfig/agentendpoint/v1beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,23 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "agentendpoint_proto",
+    srcs = [
+        "agentendpoint.proto",
+        "guest_policies.proto",
+        "patch_jobs.proto",
+        "tasks.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "agentendpoint_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/osconfig/agentendpoint/v1beta",
+    proto = ":agentendpoint_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/osconfig/logging/BUILD.bazel d/google/cloud/osconfig/logging/BUILD.bazel
--- c/google/cloud/osconfig/logging/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/osconfig/logging/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,16 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["patch_job_log.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:timestamp_proto"],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/osconfig/logging",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/osconfig/v1/BUILD.bazel d/google/cloud/osconfig/v1/BUILD.bazel
--- c/google/cloud/osconfig/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/osconfig/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,47 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "osconfig_proto",
+    srcs = [
+        "inventory.proto",
+        "os_policy.proto",
+        "os_policy_assignment_reports.proto",
+        "os_policy_assignments.proto",
+        "osconfig_common.proto",
+        "osconfig_service.proto",
+        "osconfig_zonal_service.proto",
+        "patch_deployments.proto",
+        "patch_jobs.proto",
+        "vulnerability.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:date_proto",
+        "//google/type:datetime_proto",
+        "//google/type:dayofweek_proto",
+        "//google/type:timeofday_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "osconfig_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/osconfig/v1",
+    proto = ":osconfig_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:date_go_proto",
+        "//google/type:datetime_go_proto",
+        "//google/type:dayofweek_go_proto",
+        "//google/type:timeofday_go_proto",
+    ],
+)
diff -urN c/google/cloud/osconfig/v1alpha/BUILD.bazel d/google/cloud/osconfig/v1alpha/BUILD.bazel
--- c/google/cloud/osconfig/v1alpha/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/osconfig/v1alpha/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,39 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "osconfig_proto",
+    srcs = [
+        "config_common.proto",
+        "instance_os_policies_compliance.proto",
+        "inventory.proto",
+        "os_policy.proto",
+        "os_policy_assignment_reports.proto",
+        "os_policy_assignments.proto",
+        "osconfig_common.proto",
+        "osconfig_zonal_service.proto",
+        "vulnerability.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:date_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "osconfig_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/osconfig/v1alpha",
+    proto = ":osconfig_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:date_go_proto",
+    ],
+)
diff -urN c/google/cloud/osconfig/v1beta/BUILD.bazel d/google/cloud/osconfig/v1beta/BUILD.bazel
--- c/google/cloud/osconfig/v1beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/osconfig/v1beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,38 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "osconfig_proto",
+    srcs = [
+        "guest_policies.proto",
+        "osconfig_common.proto",
+        "osconfig_service.proto",
+        "patch_deployments.proto",
+        "patch_jobs.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:datetime_proto",
+        "//google/type:dayofweek_proto",
+        "//google/type:timeofday_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "osconfig_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/osconfig/v1beta",
+    proto = ":osconfig_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:datetime_go_proto",
+        "//google/type:dayofweek_go_proto",
+        "//google/type:timeofday_go_proto",
+    ],
+)
diff -urN c/google/cloud/oslogin/common/BUILD.bazel d/google/cloud/oslogin/common/BUILD.bazel
--- c/google/cloud/oslogin/common/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/oslogin/common/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,17 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "common_proto",
+    srcs = ["common.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "common_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/oslogin/common",
+    proto = ":common_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/oslogin/v1/BUILD.bazel d/google/cloud/oslogin/v1/BUILD.bazel
--- c/google/cloud/oslogin/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/oslogin/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "oslogin_proto",
+    srcs = ["oslogin.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud/oslogin/common:common_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "oslogin_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/oslogin/v1",
+    proto = ":oslogin_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud/oslogin/common:common_go_proto",
+    ],
+)
diff -urN c/google/cloud/oslogin/v1alpha/BUILD.bazel d/google/cloud/oslogin/v1alpha/BUILD.bazel
--- c/google/cloud/oslogin/v1alpha/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/oslogin/v1alpha/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "oslogin_proto",
+    srcs = ["oslogin.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud/oslogin/common:common_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "oslogin_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/oslogin/v1alpha",
+    proto = ":oslogin_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud/oslogin/common:common_go_proto",
+    ],
+)
diff -urN c/google/cloud/oslogin/v1beta/BUILD.bazel d/google/cloud/oslogin/v1beta/BUILD.bazel
--- c/google/cloud/oslogin/v1beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/oslogin/v1beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "oslogin_proto",
+    srcs = ["oslogin.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud/oslogin/common:common_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "oslogin_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/oslogin/v1beta",
+    proto = ":oslogin_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud/oslogin/common:common_go_proto",
+    ],
+)
diff -urN c/google/cloud/paymentgateway/issuerswitch/v1/BUILD.bazel d/google/cloud/paymentgateway/issuerswitch/v1/BUILD.bazel
--- c/google/cloud/paymentgateway/issuerswitch/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/paymentgateway/issuerswitch/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,38 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "issuerswitch_proto",
+    srcs = [
+        "common_fields.proto",
+        "logs.proto",
+        "resolutions.proto",
+        "rules.proto",
+        "transactions.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/logging/type:ltype_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:date_proto",
+        "//google/type:money_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "issuerswitch_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/paymentgateway/issuerswitch/v1",
+    proto = ":issuerswitch_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/logging/type:ltype_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:date_go_proto",
+        "//google/type:money_go_proto",
+    ],
+)
diff -urN c/google/cloud/phishingprotection/v1beta1/BUILD.bazel d/google/cloud/phishingprotection/v1beta1/BUILD.bazel
--- c/google/cloud/phishingprotection/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/phishingprotection/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,18 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "phishingprotection_proto",
+    srcs = ["phishingprotection.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "phishingprotection_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/phishingprotection/v1beta1",
+    proto = ":phishingprotection_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/policytroubleshooter/v1/BUILD.bazel d/google/cloud/policytroubleshooter/v1/BUILD.bazel
--- c/google/cloud/policytroubleshooter/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/policytroubleshooter/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "policytroubleshooter_proto",
+    srcs = [
+        "checker.proto",
+        "explanations.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/type:expr_proto",
+    ],
+)
+
+go_proto_library(
+    name = "policytroubleshooter_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/policytroubleshooter/v1",
+    proto = ":policytroubleshooter_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/type:expr_go_proto",
+    ],
+)
diff -urN c/google/cloud/privatecatalog/v1beta1/BUILD.bazel d/google/cloud/privatecatalog/v1beta1/BUILD.bazel
--- c/google/cloud/privatecatalog/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/privatecatalog/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "privatecatalog_proto",
+    srcs = ["private_catalog.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "privatecatalog_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/privatecatalog/v1beta1",
+    proto = ":privatecatalog_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/pubsublite/v1/BUILD.bazel d/google/cloud/pubsublite/v1/BUILD.bazel
--- c/google/cloud/pubsublite/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/pubsublite/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,35 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "pubsublite_proto",
+    srcs = [
+        "admin.proto",
+        "common.proto",
+        "cursor.proto",
+        "publisher.proto",
+        "subscriber.proto",
+        "topic_stats.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "pubsublite_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/pubsublite/v1",
+    proto = ":pubsublite_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/recaptchaenterprise/v1/BUILD.bazel d/google/cloud/recaptchaenterprise/v1/BUILD.bazel
--- c/google/cloud/recaptchaenterprise/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/recaptchaenterprise/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,23 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "recaptchaenterprise_proto",
+    srcs = ["recaptchaenterprise.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "recaptchaenterprise_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/recaptchaenterprise/v1",
+    proto = ":recaptchaenterprise_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/recaptchaenterprise/v1beta1/BUILD.bazel d/google/cloud/recaptchaenterprise/v1beta1/BUILD.bazel
--- c/google/cloud/recaptchaenterprise/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/recaptchaenterprise/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "recaptchaenterprise_proto",
+    srcs = ["recaptchaenterprise.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "recaptchaenterprise_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/recaptchaenterprise/v1beta1",
+    proto = ":recaptchaenterprise_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/recommendationengine/v1beta1/BUILD.bazel d/google/cloud/recommendationengine/v1beta1/BUILD.bazel
--- c/google/cloud/recommendationengine/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/recommendationengine/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,42 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "recommendationengine_proto",
+    srcs = [
+        "catalog.proto",
+        "catalog_service.proto",
+        "common.proto",
+        "import.proto",
+        "prediction_apikey_registry_service.proto",
+        "prediction_service.proto",
+        "recommendationengine_resources.proto",
+        "user_event.proto",
+        "user_event_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:httpbody_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "recommendationengine_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/recommendationengine/v1beta1",
+    proto = ":recommendationengine_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:httpbody_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/recommender/logging/v1/BUILD.bazel d/google/cloud/recommender/logging/v1/BUILD.bazel
--- c/google/cloud/recommender/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/recommender/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,23 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["action_log.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud/recommender/v1:recommender_proto",
+    ],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/recommender/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud/recommender/v1:recommender_go_proto",
+    ],
+)
diff -urN c/google/cloud/recommender/logging/v1beta1/BUILD.bazel d/google/cloud/recommender/logging/v1beta1/BUILD.bazel
--- c/google/cloud/recommender/logging/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/recommender/logging/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,23 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["action_log.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud/recommender/v1beta1:recommender_proto",
+    ],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/recommender/logging/v1beta1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud/recommender/v1beta1:recommender_go_proto",
+    ],
+)
diff -urN c/google/cloud/recommender/v1/BUILD.bazel d/google/cloud/recommender/v1/BUILD.bazel
--- c/google/cloud/recommender/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/recommender/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,34 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "recommender_proto",
+    srcs = [
+        "insight.proto",
+        "insight_type_config.proto",
+        "recommendation.proto",
+        "recommender_config.proto",
+        "recommender_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:money_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "recommender_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/recommender/v1",
+    proto = ":recommender_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:money_go_proto",
+    ],
+)
diff -urN c/google/cloud/recommender/v1beta1/BUILD.bazel d/google/cloud/recommender/v1beta1/BUILD.bazel
--- c/google/cloud/recommender/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/recommender/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,34 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "recommender_proto",
+    srcs = [
+        "insight.proto",
+        "insight_type_config.proto",
+        "recommendation.proto",
+        "recommender_config.proto",
+        "recommender_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:money_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "recommender_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/recommender/v1beta1",
+    proto = ":recommender_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:money_go_proto",
+    ],
+)
diff -urN c/google/cloud/redis/v1/BUILD.bazel d/google/cloud/redis/v1/BUILD.bazel
--- c/google/cloud/redis/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/redis/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "redis_proto",
+    srcs = ["cloud_redis.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:dayofweek_proto",
+        "//google/type:timeofday_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "redis_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/redis/v1",
+    proto = ":redis_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:dayofweek_go_proto",
+        "//google/type:timeofday_go_proto",
+    ],
+)
diff -urN c/google/cloud/redis/v1beta1/BUILD.bazel d/google/cloud/redis/v1beta1/BUILD.bazel
--- c/google/cloud/redis/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/redis/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "redis_proto",
+    srcs = ["cloud_redis.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:dayofweek_proto",
+        "//google/type:timeofday_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "redis_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/redis/v1beta1",
+    proto = ":redis_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:dayofweek_go_proto",
+        "//google/type:timeofday_go_proto",
+    ],
+)
diff -urN c/google/cloud/resourcemanager/v2/BUILD.bazel d/google/cloud/resourcemanager/v2/BUILD.bazel
--- c/google/cloud/resourcemanager/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/resourcemanager/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "resourcemanager_proto",
+    srcs = ["folders.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "resourcemanager_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/resourcemanager/v2",
+    proto = ":resourcemanager_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/resourcemanager/v3/BUILD.bazel d/google/cloud/resourcemanager/v3/BUILD.bazel
--- c/google/cloud/resourcemanager/v3/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/resourcemanager/v3/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,35 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "resourcemanager_proto",
+    srcs = [
+        "folders.proto",
+        "organizations.proto",
+        "projects.proto",
+        "tag_bindings.proto",
+        "tag_keys.proto",
+        "tag_values.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "resourcemanager_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/resourcemanager/v3",
+    proto = ":resourcemanager_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/resourcesettings/v1/BUILD.bazel d/google/cloud/resourcesettings/v1/BUILD.bazel
--- c/google/cloud/resourcesettings/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/resourcesettings/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,18 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "resourcesettings_proto",
+    srcs = ["resource_settings.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "resourcesettings_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/resourcesettings/v1",
+    proto = ":resourcesettings_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/retail/logging/BUILD.bazel d/google/cloud/retail/logging/BUILD.bazel
--- c/google/cloud/retail/logging/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/retail/logging/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,20 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["error_log.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:struct_proto",
+    ],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/retail/logging",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/rpc:status_go_proto"],
+)
diff -urN c/google/cloud/retail/v2/BUILD.bazel d/google/cloud/retail/v2/BUILD.bazel
--- c/google/cloud/retail/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/retail/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,54 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "retail_proto",
+    srcs = [
+        "catalog.proto",
+        "catalog_service.proto",
+        "common.proto",
+        "completion_service.proto",
+        "control.proto",
+        "control_service.proto",
+        "import_config.proto",
+        "prediction_service.proto",
+        "product.proto",
+        "product_service.proto",
+        "promotion.proto",
+        "purge_config.proto",
+        "search_service.proto",
+        "serving_config.proto",
+        "serving_config_service.proto",
+        "user_event.proto",
+        "user_event_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:httpbody_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:date_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "retail_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/retail/v2",
+    proto = ":retail_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:httpbody_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:date_go_proto",
+    ],
+)
diff -urN c/google/cloud/retail/v2alpha/BUILD.bazel d/google/cloud/retail/v2alpha/BUILD.bazel
--- c/google/cloud/retail/v2alpha/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/retail/v2alpha/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,57 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "retail_proto",
+    srcs = [
+        "catalog.proto",
+        "catalog_service.proto",
+        "common.proto",
+        "completion_service.proto",
+        "control.proto",
+        "control_service.proto",
+        "export_config.proto",
+        "import_config.proto",
+        "model.proto",
+        "model_service.proto",
+        "prediction_service.proto",
+        "product.proto",
+        "product_service.proto",
+        "promotion.proto",
+        "purge_config.proto",
+        "search_service.proto",
+        "serving_config.proto",
+        "serving_config_service.proto",
+        "user_event.proto",
+        "user_event_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:httpbody_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:date_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "retail_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/retail/v2alpha",
+    proto = ":retail_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:httpbody_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:date_go_proto",
+    ],
+)
diff -urN c/google/cloud/retail/v2beta/BUILD.bazel d/google/cloud/retail/v2beta/BUILD.bazel
--- c/google/cloud/retail/v2beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/retail/v2beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,57 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "retail_proto",
+    srcs = [
+        "catalog.proto",
+        "catalog_service.proto",
+        "common.proto",
+        "completion_service.proto",
+        "control.proto",
+        "control_service.proto",
+        "export_config.proto",
+        "import_config.proto",
+        "model.proto",
+        "model_service.proto",
+        "prediction_service.proto",
+        "product.proto",
+        "product_service.proto",
+        "promotion.proto",
+        "purge_config.proto",
+        "search_service.proto",
+        "serving_config.proto",
+        "serving_config_service.proto",
+        "user_event.proto",
+        "user_event_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:httpbody_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:date_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "retail_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/retail/v2beta",
+    proto = ":retail_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:httpbody_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:date_go_proto",
+    ],
+)
diff -urN c/google/cloud/run/v2/BUILD.bazel d/google/cloud/run/v2/BUILD.bazel
--- c/google/cloud/run/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/run/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,45 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "run_proto",
+    srcs = [
+        "condition.proto",
+        "execution.proto",
+        "execution_template.proto",
+        "job.proto",
+        "k8s.min.proto",
+        "revision.proto",
+        "revision_template.proto",
+        "service.proto",
+        "task.proto",
+        "task_template.proto",
+        "traffic_target.proto",
+        "vendor_settings.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:api_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "run_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/run/v2",
+    proto = ":run_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:api_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/runtimeconfig/v1beta1/BUILD.bazel d/google/cloud/runtimeconfig/v1beta1/BUILD.bazel
--- c/google/cloud/runtimeconfig/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/runtimeconfig/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "runtimeconfig_proto",
+    srcs = [
+        "resources.proto",
+        "runtimeconfig.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "runtimeconfig_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/runtimeconfig/v1beta1",
+    proto = ":runtimeconfig_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/saasaccelerator/management/logs/v1/BUILD.bazel d/google/cloud/saasaccelerator/management/logs/v1/BUILD.bazel
--- c/google/cloud/saasaccelerator/management/logs/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/saasaccelerator/management/logs/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,19 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logs_proto",
+    srcs = [
+        "notification_service_payload.proto",
+        "saas_instance_payload.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:timestamp_proto"],
+)
+
+go_proto_library(
+    name = "logs_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/saasaccelerator/management/logs/v1",
+    proto = ":logs_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/scheduler/v1/BUILD.bazel d/google/cloud/scheduler/v1/BUILD.bazel
--- c/google/cloud/scheduler/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/scheduler/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "scheduler_proto",
+    srcs = [
+        "cloudscheduler.proto",
+        "job.proto",
+        "target.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "scheduler_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/scheduler/v1",
+    proto = ":scheduler_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/scheduler/v1beta1/BUILD.bazel d/google/cloud/scheduler/v1beta1/BUILD.bazel
--- c/google/cloud/scheduler/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/scheduler/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "scheduler_proto",
+    srcs = [
+        "cloudscheduler.proto",
+        "job.proto",
+        "target.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "scheduler_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/scheduler/v1beta1",
+    proto = ":scheduler_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/secretmanager/logging/v1/BUILD.bazel d/google/cloud/secretmanager/logging/v1/BUILD.bazel
--- c/google/cloud/secretmanager/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/secretmanager/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["secret_event.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/secretmanager/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/secretmanager/v1/BUILD.bazel d/google/cloud/secretmanager/v1/BUILD.bazel
--- c/google/cloud/secretmanager/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/secretmanager/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "secretmanager_proto",
+    srcs = [
+        "resources.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "secretmanager_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/secretmanager/v1",
+    proto = ":secretmanager_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/cloud/secrets/v1beta1/BUILD.bazel d/google/cloud/secrets/v1beta1/BUILD.bazel
--- c/google/cloud/secrets/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/secrets/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "secretmanager_proto",
+    srcs = [
+        "resources.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "secretmanager_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/secretmanager/v1beta1",
+    proto = ":secretmanager_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/cloud/security/privateca/v1/BUILD.bazel d/google/cloud/security/privateca/v1/BUILD.bazel
--- c/google/cloud/security/privateca/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/security/privateca/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "privateca_proto",
+    srcs = [
+        "resources.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:expr_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "privateca_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/security/privateca/v1",
+    proto = ":privateca_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:expr_go_proto",
+    ],
+)
diff -urN c/google/cloud/security/privateca/v1beta1/BUILD.bazel d/google/cloud/security/privateca/v1beta1/BUILD.bazel
--- c/google/cloud/security/privateca/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/security/privateca/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "privateca_proto",
+    srcs = [
+        "resources.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "privateca_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/security/privateca/v1beta1",
+    proto = ":privateca_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/security/publicca/v1beta1/BUILD.bazel d/google/cloud/security/publicca/v1beta1/BUILD.bazel
--- c/google/cloud/security/publicca/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/security/publicca/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "publicca_proto",
+    srcs = [
+        "resources.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "publicca_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/security/publicca/v1beta1",
+    proto = ":publicca_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/securitycenter/settings/v1beta1/BUILD.bazel d/google/cloud/securitycenter/settings/v1beta1/BUILD.bazel
--- c/google/cloud/securitycenter/settings/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/securitycenter/settings/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "settings_proto",
+    srcs = [
+        "billing_settings.proto",
+        "component_settings.proto",
+        "detector.proto",
+        "securitycenter_settings_service.proto",
+        "settings.proto",
+        "sink_settings.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "settings_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/securitycenter/settings/v1beta1",
+    proto = ":settings_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/securitycenter/v1/BUILD.bazel d/google/cloud/securitycenter/v1/BUILD.bazel
--- c/google/cloud/securitycenter/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/securitycenter/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,61 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "securitycenter_proto",
+    srcs = [
+        "access.proto",
+        "asset.proto",
+        "bigquery_export.proto",
+        "compliance.proto",
+        "connection.proto",
+        "contact_details.proto",
+        "container.proto",
+        "database.proto",
+        "exfiltration.proto",
+        "external_system.proto",
+        "file.proto",
+        "finding.proto",
+        "folder.proto",
+        "iam_binding.proto",
+        "indicator.proto",
+        "kubernetes.proto",
+        "label.proto",
+        "mitre_attack.proto",
+        "mute_config.proto",
+        "notification_config.proto",
+        "notification_message.proto",
+        "organization_settings.proto",
+        "process.proto",
+        "resource.proto",
+        "run_asset_discovery_response.proto",
+        "security_marks.proto",
+        "securitycenter_service.proto",
+        "source.proto",
+        "vulnerability.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "securitycenter_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/securitycenter/v1",
+    proto = ":securitycenter_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/securitycenter/v1beta1/BUILD.bazel d/google/cloud/securitycenter/v1beta1/BUILD.bazel
--- c/google/cloud/securitycenter/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/securitycenter/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,38 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "securitycenter_proto",
+    srcs = [
+        "asset.proto",
+        "finding.proto",
+        "organization_settings.proto",
+        "run_asset_discovery_response.proto",
+        "security_marks.proto",
+        "securitycenter_service.proto",
+        "source.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "securitycenter_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/securitycenter/v1beta1",
+    proto = ":securitycenter_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/securitycenter/v1p1beta1/BUILD.bazel d/google/cloud/securitycenter/v1p1beta1/BUILD.bazel
--- c/google/cloud/securitycenter/v1p1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/securitycenter/v1p1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,43 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "securitycenter_proto",
+    srcs = [
+        "asset.proto",
+        "finding.proto",
+        "folder.proto",
+        "notification_config.proto",
+        "notification_message.proto",
+        "organization_settings.proto",
+        "resource.proto",
+        "run_asset_discovery_response.proto",
+        "security_marks.proto",
+        "securitycenter_service.proto",
+        "source.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "securitycenter_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/securitycenter/v1p1beta1",
+    proto = ":securitycenter_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/sensitiveaction/logging/v1/BUILD.bazel d/google/cloud/sensitiveaction/logging/v1/BUILD.bazel
--- c/google/cloud/sensitiveaction/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/sensitiveaction/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,20 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["sensitive_action_payload.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/cloud/securitycenter/v1:securitycenter_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/sensitiveaction/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/cloud/securitycenter/v1:securitycenter_go_proto"],
+)
diff -urN c/google/cloud/servicedirectory/v1/BUILD.bazel d/google/cloud/servicedirectory/v1/BUILD.bazel
--- c/google/cloud/servicedirectory/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/servicedirectory/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "servicedirectory_proto",
+    srcs = [
+        "endpoint.proto",
+        "lookup_service.proto",
+        "namespace.proto",
+        "registration_service.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "servicedirectory_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/servicedirectory/v1",
+    proto = ":servicedirectory_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/cloud/servicedirectory/v1beta1/BUILD.bazel d/google/cloud/servicedirectory/v1beta1/BUILD.bazel
--- c/google/cloud/servicedirectory/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/servicedirectory/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "servicedirectory_proto",
+    srcs = [
+        "endpoint.proto",
+        "lookup_service.proto",
+        "namespace.proto",
+        "registration_service.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "servicedirectory_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/servicedirectory/v1beta1",
+    proto = ":servicedirectory_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/cloud/shell/v1/BUILD.bazel d/google/cloud/shell/v1/BUILD.bazel
--- c/google/cloud/shell/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/shell/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "shell_proto",
+    srcs = ["cloudshell.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "shell_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/shell/v1",
+    proto = ":shell_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/speech/v1/BUILD.bazel d/google/cloud/speech/v1/BUILD.bazel
--- c/google/cloud/speech/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/speech/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,35 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "speech_proto",
+    srcs = [
+        "cloud_speech.proto",
+        "cloud_speech_adaptation.proto",
+        "resource.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "speech_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/speech/v1",
+    proto = ":speech_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/speech/v1p1beta1/BUILD.bazel d/google/cloud/speech/v1p1beta1/BUILD.bazel
--- c/google/cloud/speech/v1p1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/speech/v1p1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,35 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "speech_proto",
+    srcs = [
+        "cloud_speech.proto",
+        "cloud_speech_adaptation.proto",
+        "resource.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "speech_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/speech/v1p1beta1",
+    proto = ":speech_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/speech/v2/BUILD.bazel d/google/cloud/speech/v2/BUILD.bazel
--- c/google/cloud/speech/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/speech/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "speech_proto",
+    srcs = ["cloud_speech.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "speech_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/speech/v2",
+    proto = ":speech_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/sql/v1/BUILD.bazel d/google/cloud/sql/v1/BUILD.bazel
--- c/google/cloud/sql/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/sql/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,34 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "sql_proto",
+    srcs = [
+        "cloud_sql_backup_runs.proto",
+        "cloud_sql_connect.proto",
+        "cloud_sql_databases.proto",
+        "cloud_sql_flags.proto",
+        "cloud_sql_instance_names.proto",
+        "cloud_sql_instances.proto",
+        "cloud_sql_operations.proto",
+        "cloud_sql_resources.proto",
+        "cloud_sql_ssl_certs.proto",
+        "cloud_sql_tiers.proto",
+        "cloud_sql_users.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "sql_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/sql/v1",
+    proto = ":sql_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/sql/v1beta4/BUILD.bazel d/google/cloud/sql/v1beta4/BUILD.bazel
--- c/google/cloud/sql/v1beta4/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/sql/v1beta4/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "sql_proto",
+    srcs = [
+        "cloud_sql.proto",
+        "cloud_sql_connect.proto",
+        "cloud_sql_resources.proto",
+        "cloud_sql_tiers.proto",
+        "cloud_sql_users.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "sql_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/sql/v1beta4",
+    proto = ":sql_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/storageinsights/v1/BUILD.bazel d/google/cloud/storageinsights/v1/BUILD.bazel
--- c/google/cloud/storageinsights/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/storageinsights/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "storageinsights_proto",
+    srcs = ["storageinsights.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "//google/type:date_proto",
+        "//google/type:datetime_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "storageinsights_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/storageinsights/v1",
+    proto = ":storageinsights_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:date_go_proto",
+        "//google/type:datetime_go_proto",
+    ],
+)
diff -urN c/google/cloud/stream/logging/v1/BUILD.bazel d/google/cloud/stream/logging/v1/BUILD.bazel
--- c/google/cloud/stream/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/stream/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,16 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["logging.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:timestamp_proto"],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/stream/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/support/BUILD.bazel d/google/cloud/support/BUILD.bazel
--- c/google/cloud/support/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/support/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,20 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "common_proto",
+    srcs = ["common.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "common_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/support/common",
+    proto = ":common_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/support/v1alpha1/BUILD.bazel d/google/cloud/support/v1alpha1/BUILD.bazel
--- c/google/cloud/support/v1alpha1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/support/v1alpha1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "support_proto",
+    srcs = ["cloud_support.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/cloud/support:common_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "support_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/support/v1alpha1",
+    proto = ":support_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/cloud/support:common_go_proto",
+    ],
+)
diff -urN c/google/cloud/talent/v4/BUILD.bazel d/google/cloud/talent/v4/BUILD.bazel
--- c/google/cloud/talent/v4/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/talent/v4/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,52 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "talent_proto",
+    srcs = [
+        "common.proto",
+        "company.proto",
+        "company_service.proto",
+        "completion_service.proto",
+        "event.proto",
+        "event_service.proto",
+        "filters.proto",
+        "histogram.proto",
+        "job.proto",
+        "job_service.proto",
+        "tenant.proto",
+        "tenant_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:latlng_proto",
+        "//google/type:money_proto",
+        "//google/type:postaladdress_proto",
+        "//google/type:timeofday_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "talent_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/talent/v4",
+    proto = ":talent_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:latlng_go_proto",
+        "//google/type:money_go_proto",
+        "//google/type:postaladdress_go_proto",
+        "//google/type:timeofday_go_proto",
+    ],
+)
diff -urN c/google/cloud/talent/v4beta1/BUILD.bazel d/google/cloud/talent/v4beta1/BUILD.bazel
--- c/google/cloud/talent/v4beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/talent/v4beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,53 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "talent_proto",
+    srcs = [
+        "batch.proto",
+        "common.proto",
+        "company.proto",
+        "company_service.proto",
+        "completion_service.proto",
+        "event.proto",
+        "event_service.proto",
+        "filters.proto",
+        "histogram.proto",
+        "job.proto",
+        "job_service.proto",
+        "tenant.proto",
+        "tenant_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:latlng_proto",
+        "//google/type:money_proto",
+        "//google/type:postaladdress_proto",
+        "//google/type:timeofday_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "talent_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/talent/v4beta1",
+    proto = ":talent_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:latlng_go_proto",
+        "//google/type:money_go_proto",
+        "//google/type:postaladdress_go_proto",
+        "//google/type:timeofday_go_proto",
+    ],
+)
diff -urN c/google/cloud/tasks/v2/BUILD.bazel d/google/cloud/tasks/v2/BUILD.bazel
--- c/google/cloud/tasks/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/tasks/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,35 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "tasks_proto",
+    srcs = [
+        "cloudtasks.proto",
+        "queue.proto",
+        "target.proto",
+        "task.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "tasks_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/tasks/v2",
+    proto = ":tasks_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/tasks/v2beta2/BUILD.bazel d/google/cloud/tasks/v2beta2/BUILD.bazel
--- c/google/cloud/tasks/v2beta2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/tasks/v2beta2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,36 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "tasks_proto",
+    srcs = [
+        "cloudtasks.proto",
+        "old_target.proto",
+        "queue.proto",
+        "target.proto",
+        "task.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "tasks_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/tasks/v2beta2",
+    proto = ":tasks_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/tasks/v2beta3/BUILD.bazel d/google/cloud/tasks/v2beta3/BUILD.bazel
--- c/google/cloud/tasks/v2beta3/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/tasks/v2beta3/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,35 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "tasks_proto",
+    srcs = [
+        "cloudtasks.proto",
+        "queue.proto",
+        "target.proto",
+        "task.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "tasks_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/tasks/v2beta3",
+    proto = ":tasks_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/texttospeech/v1/BUILD.bazel d/google/cloud/texttospeech/v1/BUILD.bazel
--- c/google/cloud/texttospeech/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/texttospeech/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,18 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "texttospeech_proto",
+    srcs = ["cloud_tts.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "texttospeech_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/texttospeech/v1",
+    proto = ":texttospeech_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/texttospeech/v1beta1/BUILD.bazel d/google/cloud/texttospeech/v1beta1/BUILD.bazel
--- c/google/cloud/texttospeech/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/texttospeech/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,18 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "texttospeech_proto",
+    srcs = ["cloud_tts.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_proto"],
+)
+
+go_proto_library(
+    name = "texttospeech_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/texttospeech/v1beta1",
+    proto = ":texttospeech_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/timeseriesinsights/v1/BUILD.bazel d/google/cloud/timeseriesinsights/v1/BUILD.bazel
--- c/google/cloud/timeseriesinsights/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/timeseriesinsights/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "timeseriesinsights_proto",
+    srcs = ["timeseries_insights.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "timeseriesinsights_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/timeseriesinsights/v1",
+    proto = ":timeseriesinsights_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/tpu/v1/BUILD.bazel d/google/cloud/tpu/v1/BUILD.bazel
--- c/google/cloud/tpu/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/tpu/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "tpu_proto",
+    srcs = ["cloud_tpu.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "tpu_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/tpu/v1",
+    proto = ":tpu_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/tpu/v2alpha1/BUILD.bazel d/google/cloud/tpu/v2alpha1/BUILD.bazel
--- c/google/cloud/tpu/v2alpha1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/tpu/v2alpha1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "tpu_proto",
+    srcs = ["cloud_tpu.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "tpu_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/tpu/v2alpha1",
+    proto = ":tpu_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/translate/v3/BUILD.bazel d/google/cloud/translate/v3/BUILD.bazel
--- c/google/cloud/translate/v3/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/translate/v3/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "translate_proto",
+    srcs = ["translation_service.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "translate_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/translate/v3",
+    proto = ":translate_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/translate/v3beta1/BUILD.bazel d/google/cloud/translate/v3beta1/BUILD.bazel
--- c/google/cloud/translate/v3beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/translate/v3beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "translate_proto",
+    srcs = ["translation_service.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "translate_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/translate/v3beta1",
+    proto = ":translate_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/video/livestream/logging/v1/BUILD.bazel d/google/cloud/video/livestream/logging/v1/BUILD.bazel
--- c/google/cloud/video/livestream/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/video/livestream/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,23 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["logs.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/cloud/video/livestream/v1:livestream_proto",
+        "//google/rpc:status_proto",
+    ],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/video/livestream/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/cloud/video/livestream/v1:livestream_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/video/livestream/v1/BUILD.bazel d/google/cloud/video/livestream/v1/BUILD.bazel
--- c/google/cloud/video/livestream/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/video/livestream/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,34 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "livestream_proto",
+    srcs = [
+        "outputs.proto",
+        "resources.proto",
+        "service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "livestream_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/video/livestream/v1",
+    proto = ":livestream_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/video/stitcher/v1/BUILD.bazel d/google/cloud/video/stitcher/v1/BUILD.bazel
--- c/google/cloud/video/stitcher/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/video/stitcher/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "stitcher_proto",
+    srcs = [
+        "ad_tag_details.proto",
+        "cdn_keys.proto",
+        "companions.proto",
+        "events.proto",
+        "sessions.proto",
+        "slates.proto",
+        "stitch_details.proto",
+        "video_stitcher_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+    ],
+)
+
+go_proto_library(
+    name = "stitcher_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/video/stitcher/v1",
+    proto = ":stitcher_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/video/transcoder/v1/BUILD.bazel d/google/cloud/video/transcoder/v1/BUILD.bazel
--- c/google/cloud/video/transcoder/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/video/transcoder/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "transcoder_proto",
+    srcs = [
+        "resources.proto",
+        "services.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "transcoder_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/video/transcoder/v1",
+    proto = ":transcoder_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/videointelligence/v1/BUILD.bazel d/google/cloud/videointelligence/v1/BUILD.bazel
--- c/google/cloud/videointelligence/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/videointelligence/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "videointelligence_proto",
+    srcs = ["video_intelligence.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "videointelligence_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/videointelligence/v1",
+    proto = ":videointelligence_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/videointelligence/v1beta2/BUILD.bazel d/google/cloud/videointelligence/v1beta2/BUILD.bazel
--- c/google/cloud/videointelligence/v1beta2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/videointelligence/v1beta2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "videointelligence_proto",
+    srcs = ["video_intelligence.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "videointelligence_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/videointelligence/v1beta2",
+    proto = ":videointelligence_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/videointelligence/v1p1beta1/BUILD.bazel d/google/cloud/videointelligence/v1p1beta1/BUILD.bazel
--- c/google/cloud/videointelligence/v1p1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/videointelligence/v1p1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "videointelligence_proto",
+    srcs = ["video_intelligence.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "videointelligence_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/videointelligence/v1p1beta1",
+    proto = ":videointelligence_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/videointelligence/v1p2beta1/BUILD.bazel d/google/cloud/videointelligence/v1p2beta1/BUILD.bazel
--- c/google/cloud/videointelligence/v1p2beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/videointelligence/v1p2beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "videointelligence_proto",
+    srcs = ["video_intelligence.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "videointelligence_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/videointelligence/v1p2beta1",
+    proto = ":videointelligence_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/videointelligence/v1p3beta1/BUILD.bazel d/google/cloud/videointelligence/v1p3beta1/BUILD.bazel
--- c/google/cloud/videointelligence/v1p3beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/videointelligence/v1p3beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "videointelligence_proto",
+    srcs = ["video_intelligence.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "videointelligence_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/videointelligence/v1p3beta1",
+    proto = ":videointelligence_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/vision/v1/BUILD.bazel d/google/cloud/vision/v1/BUILD.bazel
--- c/google/cloud/vision/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/vision/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,40 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "vision_proto",
+    srcs = [
+        "geometry.proto",
+        "image_annotator.proto",
+        "product_search.proto",
+        "product_search_service.proto",
+        "text_annotation.proto",
+        "web_detection.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:color_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "vision_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/vision/v1",
+    proto = ":vision_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:color_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/cloud/vision/v1p1beta1/BUILD.bazel d/google/cloud/vision/v1p1beta1/BUILD.bazel
--- c/google/cloud/vision/v1p1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/vision/v1p1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,33 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "vision_proto",
+    srcs = [
+        "geometry.proto",
+        "image_annotator.proto",
+        "text_annotation.proto",
+        "web_detection.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "//google/type:color_proto",
+        "//google/type:latlng_proto",
+    ],
+)
+
+go_proto_library(
+    name = "vision_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/vision/v1p1beta1",
+    proto = ":vision_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:color_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/cloud/vision/v1p2beta1/BUILD.bazel d/google/cloud/vision/v1p2beta1/BUILD.bazel
--- c/google/cloud/vision/v1p2beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/vision/v1p2beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,36 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "vision_proto",
+    srcs = [
+        "geometry.proto",
+        "image_annotator.proto",
+        "text_annotation.proto",
+        "web_detection.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:color_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "vision_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/vision/v1p2beta1",
+    proto = ":vision_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:color_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/cloud/vision/v1p3beta1/BUILD.bazel d/google/cloud/vision/v1p3beta1/BUILD.bazel
--- c/google/cloud/vision/v1p3beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/vision/v1p3beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,40 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "vision_proto",
+    srcs = [
+        "geometry.proto",
+        "image_annotator.proto",
+        "product_search.proto",
+        "product_search_service.proto",
+        "text_annotation.proto",
+        "web_detection.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:color_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "vision_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/vision/v1p3beta1",
+    proto = ":vision_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:color_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/cloud/vision/v1p4beta1/BUILD.bazel d/google/cloud/vision/v1p4beta1/BUILD.bazel
--- c/google/cloud/vision/v1p4beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/vision/v1p4beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,41 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "vision_proto",
+    srcs = [
+        "face.proto",
+        "geometry.proto",
+        "image_annotator.proto",
+        "product_search.proto",
+        "product_search_service.proto",
+        "text_annotation.proto",
+        "web_detection.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:color_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "vision_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/vision/v1p4beta1",
+    proto = ":vision_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:color_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/cloud/visionai/v1alpha1/BUILD.bazel d/google/cloud/visionai/v1alpha1/BUILD.bazel
--- c/google/cloud/visionai/v1alpha1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/visionai/v1alpha1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,46 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "visionai_proto",
+    srcs = [
+        "annotations.proto",
+        "common.proto",
+        "lva.proto",
+        "lva_resources.proto",
+        "lva_service.proto",
+        "platform.proto",
+        "streaming_resources.proto",
+        "streaming_service.proto",
+        "streams_resources.proto",
+        "streams_service.proto",
+        "warehouse.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:datetime_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "visionai_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/visionai/v1alpha1",
+    proto = ":visionai_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:datetime_go_proto",
+    ],
+)
diff -urN c/google/cloud/vmmigration/v1/BUILD.bazel d/google/cloud/vmmigration/v1/BUILD.bazel
--- c/google/cloud/vmmigration/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/vmmigration/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "vmmigration_proto",
+    srcs = ["vmmigration.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:errdetails_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "vmmigration_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/vmmigration/v1",
+    proto = ":vmmigration_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:errdetails_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/cloud/vmwareengine/v1/BUILD.bazel d/google/cloud/vmwareengine/v1/BUILD.bazel
--- c/google/cloud/vmwareengine/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/vmwareengine/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "vmwareengine_proto",
+    srcs = ["vmwareengine.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "vmwareengine_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/vmwareengine/v1",
+    proto = ":vmwareengine_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/vpcaccess/v1/BUILD.bazel d/google/cloud/vpcaccess/v1/BUILD.bazel
--- c/google/cloud/vpcaccess/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/vpcaccess/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "vpcaccess_proto",
+    srcs = ["vpc_access.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "vpcaccess_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/vpcaccess/v1",
+    proto = ":vpcaccess_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/webrisk/v1/BUILD.bazel d/google/cloud/webrisk/v1/BUILD.bazel
--- c/google/cloud/webrisk/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/webrisk/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "webrisk_proto",
+    srcs = ["webrisk.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "webrisk_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/webrisk/v1",
+    proto = ":webrisk_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/webrisk/v1beta1/BUILD.bazel d/google/cloud/webrisk/v1beta1/BUILD.bazel
--- c/google/cloud/webrisk/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/webrisk/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "webrisk_proto",
+    srcs = ["webrisk.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "webrisk_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/webrisk/v1beta1",
+    proto = ":webrisk_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/websecurityscanner/v1/BUILD.bazel d/google/cloud/websecurityscanner/v1/BUILD.bazel
--- c/google/cloud/websecurityscanner/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/websecurityscanner/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,35 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "websecurityscanner_proto",
+    srcs = [
+        "crawled_url.proto",
+        "finding.proto",
+        "finding_addon.proto",
+        "finding_type_stats.proto",
+        "scan_config.proto",
+        "scan_config_error.proto",
+        "scan_run.proto",
+        "scan_run_error_trace.proto",
+        "scan_run_log.proto",
+        "scan_run_warning_trace.proto",
+        "web_security_scanner.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "websecurityscanner_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/websecurityscanner/v1",
+    proto = ":websecurityscanner_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/websecurityscanner/v1alpha/BUILD.bazel d/google/cloud/websecurityscanner/v1alpha/BUILD.bazel
--- c/google/cloud/websecurityscanner/v1alpha/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/websecurityscanner/v1alpha/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "websecurityscanner_proto",
+    srcs = [
+        "crawled_url.proto",
+        "finding.proto",
+        "finding_addon.proto",
+        "finding_type_stats.proto",
+        "scan_config.proto",
+        "scan_run.proto",
+        "web_security_scanner.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "websecurityscanner_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/websecurityscanner/v1alpha",
+    proto = ":websecurityscanner_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/websecurityscanner/v1beta/BUILD.bazel d/google/cloud/websecurityscanner/v1beta/BUILD.bazel
--- c/google/cloud/websecurityscanner/v1beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/websecurityscanner/v1beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,34 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "websecurityscanner_proto",
+    srcs = [
+        "crawled_url.proto",
+        "finding.proto",
+        "finding_addon.proto",
+        "finding_type_stats.proto",
+        "scan_config.proto",
+        "scan_config_error.proto",
+        "scan_run.proto",
+        "scan_run_error_trace.proto",
+        "scan_run_warning_trace.proto",
+        "web_security_scanner.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "websecurityscanner_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/websecurityscanner/v1beta",
+    proto = ":websecurityscanner_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/workflows/executions/v1/BUILD.bazel d/google/cloud/workflows/executions/v1/BUILD.bazel
--- c/google/cloud/workflows/executions/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/workflows/executions/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "executions_proto",
+    srcs = ["executions.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "executions_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/workflows/executions/v1",
+    proto = ":executions_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/workflows/executions/v1beta/BUILD.bazel d/google/cloud/workflows/executions/v1beta/BUILD.bazel
--- c/google/cloud/workflows/executions/v1beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/workflows/executions/v1beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "executions_proto",
+    srcs = ["executions.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "executions_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/workflows/executions/v1beta",
+    proto = ":executions_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/cloud/workflows/type/BUILD.bazel d/google/cloud/workflows/type/BUILD.bazel
--- c/google/cloud/workflows/type/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/workflows/type/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,22 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "type_proto",
+    srcs = [
+        "engine_call.proto",
+        "executions_system.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "type_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/cloud/workflows/type",
+    proto = ":type_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/cloud/workflows/v1/BUILD.bazel d/google/cloud/workflows/v1/BUILD.bazel
--- c/google/cloud/workflows/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/workflows/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "workflows_proto",
+    srcs = ["workflows.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "workflows_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/workflows/v1",
+    proto = ":workflows_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/cloud/workflows/v1beta/BUILD.bazel d/google/cloud/workflows/v1beta/BUILD.bazel
--- c/google/cloud/workflows/v1beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/cloud/workflows/v1beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "workflows_proto",
+    srcs = ["workflows.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "workflows_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/cloud/workflows/v1beta",
+    proto = ":workflows_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/container/v1/BUILD.bazel d/google/container/v1/BUILD.bazel
--- c/google/container/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/container/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "container_proto",
+    srcs = ["cluster_service.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:code_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "container_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/container/v1",
+    proto = ":container_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:code_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/container/v1alpha1/BUILD.bazel d/google/container/v1alpha1/BUILD.bazel
--- c/google/container/v1alpha1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/container/v1alpha1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "container_proto",
+    srcs = ["cluster_service.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+    ],
+)
+
+go_proto_library(
+    name = "container_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/container/v1alpha1",
+    proto = ":container_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/container/v1beta1/BUILD.bazel d/google/container/v1beta1/BUILD.bazel
--- c/google/container/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/container/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "container_proto",
+    srcs = ["cluster_service.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:code_proto",
+        "//google/rpc:status_proto",
+        "//google/type:date_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "container_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/container/v1beta1",
+    proto = ":container_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:code_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:date_go_proto",
+    ],
+)
diff -urN c/google/dataflow/v1beta3/BUILD.bazel d/google/dataflow/v1beta3/BUILD.bazel
--- c/google/dataflow/v1beta3/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/dataflow/v1beta3/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,36 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "dataflow_proto",
+    srcs = [
+        "environment.proto",
+        "jobs.proto",
+        "messages.proto",
+        "metrics.proto",
+        "snapshots.proto",
+        "streaming.proto",
+        "templates.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "dataflow_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/dataflow/v1beta3",
+    proto = ":dataflow_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/datastore/admin/v1/BUILD.bazel d/google/datastore/admin/v1/BUILD.bazel
--- c/google/datastore/admin/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/datastore/admin/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "admin_proto",
+    srcs = [
+        "datastore_admin.proto",
+        "index.proto",
+        "migration.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "admin_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/datastore/admin/v1",
+    proto = ":admin_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/datastore/admin/v1beta1/BUILD.bazel d/google/datastore/admin/v1beta1/BUILD.bazel
--- c/google/datastore/admin/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/datastore/admin/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "admin_proto",
+    srcs = ["datastore_admin.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "admin_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/datastore/admin/v1beta1",
+    proto = ":admin_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/datastore/v1/BUILD.bazel d/google/datastore/v1/BUILD.bazel
--- c/google/datastore/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/datastore/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "datastore_proto",
+    srcs = [
+        "aggregation_result.proto",
+        "datastore.proto",
+        "entity.proto",
+        "query.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "datastore_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/datastore/v1",
+    proto = ":datastore_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/datastore/v1beta3/BUILD.bazel d/google/datastore/v1beta3/BUILD.bazel
--- c/google/datastore/v1beta3/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/datastore/v1beta3/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "datastore_proto",
+    srcs = [
+        "datastore.proto",
+        "entity.proto",
+        "query.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "datastore_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/datastore/v1beta3",
+    proto = ":datastore_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/devtools/artifactregistry/v1/BUILD.bazel d/google/devtools/artifactregistry/v1/BUILD.bazel
--- c/google/devtools/artifactregistry/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/artifactregistry/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,43 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "artifactregistry_proto",
+    srcs = [
+        "apt_artifact.proto",
+        "artifact.proto",
+        "file.proto",
+        "package.proto",
+        "repository.proto",
+        "service.proto",
+        "settings.proto",
+        "tag.proto",
+        "version.proto",
+        "yum_artifact.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "artifactregistry_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/devtools/artifactregistry/v1",
+    proto = ":artifactregistry_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/devtools/artifactregistry/v1beta2/BUILD.bazel d/google/devtools/artifactregistry/v1beta2/BUILD.bazel
--- c/google/devtools/artifactregistry/v1beta2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/artifactregistry/v1beta2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,42 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "artifactregistry_proto",
+    srcs = [
+        "apt_artifact.proto",
+        "file.proto",
+        "package.proto",
+        "repository.proto",
+        "service.proto",
+        "settings.proto",
+        "tag.proto",
+        "version.proto",
+        "yum_artifact.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "artifactregistry_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/devtools/artifactregistry/v1beta2",
+    proto = ":artifactregistry_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/devtools/build/v1/BUILD.bazel d/google/devtools/build/v1/BUILD.bazel
--- c/google/devtools/build/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/build/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "build_proto",
+    srcs = [
+        "build_events.proto",
+        "build_status.proto",
+        "publish_build_event.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "build_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/devtools/build/v1",
+    proto = ":build_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/devtools/cloudbuild/v1/BUILD.bazel d/google/devtools/cloudbuild/v1/BUILD.bazel
--- c/google/devtools/cloudbuild/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/cloudbuild/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "cloudbuild_proto",
+    srcs = ["cloudbuild.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:httpbody_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "cloudbuild_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/devtools/cloudbuild/v1",
+    proto = ":cloudbuild_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:httpbody_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/devtools/clouddebugger/v2/BUILD.bazel d/google/devtools/clouddebugger/v2/BUILD.bazel
--- c/google/devtools/clouddebugger/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/clouddebugger/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,31 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "clouddebugger_proto",
+    srcs = [
+        "controller.proto",
+        "data.proto",
+        "debugger.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/devtools/source/v1:source_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "clouddebugger_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/devtools/clouddebugger/v2",
+    proto = ":clouddebugger_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/devtools/source/v1:source_go_proto",
+    ],
+)
diff -urN c/google/devtools/clouderrorreporting/v1beta1/BUILD.bazel d/google/devtools/clouderrorreporting/v1beta1/BUILD.bazel
--- c/google/devtools/clouderrorreporting/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/clouderrorreporting/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "clouderrorreporting_proto",
+    srcs = [
+        "common.proto",
+        "error_group_service.proto",
+        "error_stats_service.proto",
+        "report_errors_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "clouderrorreporting_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/devtools/clouderrorreporting/v1beta1",
+    proto = ":clouderrorreporting_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/devtools/cloudprofiler/v2/BUILD.bazel d/google/devtools/cloudprofiler/v2/BUILD.bazel
--- c/google/devtools/cloudprofiler/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/cloudprofiler/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,22 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "cloudprofiler_proto",
+    srcs = ["profiler.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "cloudprofiler_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/devtools/cloudprofiler/v2",
+    proto = ":cloudprofiler_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/devtools/cloudtrace/v1/BUILD.bazel d/google/devtools/cloudtrace/v1/BUILD.bazel
--- c/google/devtools/cloudtrace/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/cloudtrace/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,22 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "cloudtrace_proto",
+    srcs = ["trace.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "cloudtrace_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/devtools/cloudtrace/v1",
+    proto = ":cloudtrace_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/devtools/cloudtrace/v2/BUILD.bazel d/google/devtools/cloudtrace/v2/BUILD.bazel
--- c/google/devtools/cloudtrace/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/cloudtrace/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "cloudtrace_proto",
+    srcs = [
+        "trace.proto",
+        "tracing.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "cloudtrace_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/devtools/cloudtrace/v2",
+    proto = ":cloudtrace_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/devtools/containeranalysis/v1/BUILD.bazel d/google/devtools/containeranalysis/v1/BUILD.bazel
--- c/google/devtools/containeranalysis/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/containeranalysis/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "containeranalysis_proto",
+    srcs = ["containeranalysis.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//grafeas/v1:grafeas_proto",
+    ],
+)
+
+go_proto_library(
+    name = "containeranalysis_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/devtools/containeranalysis/v1",
+    proto = ":containeranalysis_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//grafeas/v1:grafeas_go_proto",
+    ],
+)
diff -urN c/google/devtools/containeranalysis/v1beta1/BUILD.bazel d/google/devtools/containeranalysis/v1beta1/BUILD.bazel
--- c/google/devtools/containeranalysis/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/containeranalysis/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "containeranalysis_proto",
+    srcs = ["containeranalysis.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "containeranalysis_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/devtools/containeranalysis/v1beta1",
+    proto = ":containeranalysis_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/devtools/containeranalysis/v1beta1/attestation/BUILD.bazel d/google/devtools/containeranalysis/v1beta1/attestation/BUILD.bazel
--- c/google/devtools/containeranalysis/v1beta1/attestation/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/containeranalysis/v1beta1/attestation/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,17 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "attestation_proto",
+    srcs = ["attestation.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/devtools/containeranalysis/v1beta1/common:common_proto"],
+)
+
+go_proto_library(
+    name = "attestation_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/devtools/containeranalysis/v1beta1/attestation",
+    proto = ":attestation_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/devtools/containeranalysis/v1beta1/common:common_go_proto"],
+)
diff -urN c/google/devtools/containeranalysis/v1beta1/build/BUILD.bazel d/google/devtools/containeranalysis/v1beta1/build/BUILD.bazel
--- c/google/devtools/containeranalysis/v1beta1/build/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/containeranalysis/v1beta1/build/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,17 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "build_proto",
+    srcs = ["build.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/devtools/containeranalysis/v1beta1/provenance:provenance_proto"],
+)
+
+go_proto_library(
+    name = "build_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/devtools/containeranalysis/v1beta1/build",
+    proto = ":build_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/devtools/containeranalysis/v1beta1/provenance:provenance_go_proto"],
+)
diff -urN c/google/devtools/containeranalysis/v1beta1/common/BUILD.bazel d/google/devtools/containeranalysis/v1beta1/common/BUILD.bazel
--- c/google/devtools/containeranalysis/v1beta1/common/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/containeranalysis/v1beta1/common/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "common_proto",
+    srcs = ["common.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "common_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/devtools/containeranalysis/v1beta1/common",
+    proto = ":common_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/devtools/containeranalysis/v1beta1/cvss/BUILD.bazel d/google/devtools/containeranalysis/v1beta1/cvss/BUILD.bazel
--- c/google/devtools/containeranalysis/v1beta1/cvss/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/containeranalysis/v1beta1/cvss/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "cvss_proto",
+    srcs = ["cvss.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "cvss_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/devtools/containeranalysis/v1beta1/cvss",
+    proto = ":cvss_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/devtools/containeranalysis/v1beta1/deployment/BUILD.bazel d/google/devtools/containeranalysis/v1beta1/deployment/BUILD.bazel
--- c/google/devtools/containeranalysis/v1beta1/deployment/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/containeranalysis/v1beta1/deployment/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,16 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "deployment_proto",
+    srcs = ["deployment.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:timestamp_proto"],
+)
+
+go_proto_library(
+    name = "deployment_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/devtools/containeranalysis/v1beta1/deployment",
+    proto = ":deployment_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/devtools/containeranalysis/v1beta1/discovery/BUILD.bazel d/google/devtools/containeranalysis/v1beta1/discovery/BUILD.bazel
--- c/google/devtools/containeranalysis/v1beta1/discovery/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/containeranalysis/v1beta1/discovery/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,24 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "discovery_proto",
+    srcs = ["discovery.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/devtools/containeranalysis/v1beta1/common:common_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "discovery_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/devtools/containeranalysis/v1beta1/discovery",
+    proto = ":discovery_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/devtools/containeranalysis/v1beta1/common:common_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/devtools/containeranalysis/v1beta1/grafeas/BUILD.bazel d/google/devtools/containeranalysis/v1beta1/grafeas/BUILD.bazel
--- c/google/devtools/containeranalysis/v1beta1/grafeas/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/containeranalysis/v1beta1/grafeas/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,43 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "grafeas_proto",
+    srcs = ["grafeas.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/devtools/containeranalysis/v1beta1/attestation:attestation_proto",
+        "//google/devtools/containeranalysis/v1beta1/build:build_proto",
+        "//google/devtools/containeranalysis/v1beta1/common:common_proto",
+        "//google/devtools/containeranalysis/v1beta1/deployment:deployment_proto",
+        "//google/devtools/containeranalysis/v1beta1/discovery:discovery_proto",
+        "//google/devtools/containeranalysis/v1beta1/image:image_proto",
+        "//google/devtools/containeranalysis/v1beta1/package:package_proto",
+        "//google/devtools/containeranalysis/v1beta1/provenance:provenance_proto",
+        "//google/devtools/containeranalysis/v1beta1/vulnerability:vulnerability_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "grafeas_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/devtools/containeranalysis/v1beta1/grafeas",
+    proto = ":grafeas_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/devtools/containeranalysis/v1beta1/attestation:attestation_go_proto",
+        "//google/devtools/containeranalysis/v1beta1/build:build_go_proto",
+        "//google/devtools/containeranalysis/v1beta1/common:common_go_proto",
+        "//google/devtools/containeranalysis/v1beta1/deployment:deployment_go_proto",
+        "//google/devtools/containeranalysis/v1beta1/discovery:discovery_go_proto",
+        "//google/devtools/containeranalysis/v1beta1/image:image_go_proto",
+        "//google/devtools/containeranalysis/v1beta1/package:package_go_proto",
+        "//google/devtools/containeranalysis/v1beta1/provenance:provenance_go_proto",
+        "//google/devtools/containeranalysis/v1beta1/vulnerability:vulnerability_go_proto",
+    ],
+)
diff -urN c/google/devtools/containeranalysis/v1beta1/image/BUILD.bazel d/google/devtools/containeranalysis/v1beta1/image/BUILD.bazel
--- c/google/devtools/containeranalysis/v1beta1/image/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/containeranalysis/v1beta1/image/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "image_proto",
+    srcs = ["image.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "image_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/devtools/containeranalysis/v1beta1/image",
+    proto = ":image_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/devtools/containeranalysis/v1beta1/package/BUILD.bazel d/google/devtools/containeranalysis/v1beta1/package/BUILD.bazel
--- c/google/devtools/containeranalysis/v1beta1/package/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/containeranalysis/v1beta1/package/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "package_proto",
+    srcs = ["package.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "package_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/devtools/containeranalysis/v1beta1/package",
+    proto = ":package_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/devtools/containeranalysis/v1beta1/provenance/BUILD.bazel d/google/devtools/containeranalysis/v1beta1/provenance/BUILD.bazel
--- c/google/devtools/containeranalysis/v1beta1/provenance/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/containeranalysis/v1beta1/provenance/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,20 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "provenance_proto",
+    srcs = ["provenance.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/devtools/containeranalysis/v1beta1/source:source_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "provenance_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/devtools/containeranalysis/v1beta1/provenance",
+    proto = ":provenance_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/devtools/containeranalysis/v1beta1/source:source_go_proto"],
+)
diff -urN c/google/devtools/containeranalysis/v1beta1/source/BUILD.bazel d/google/devtools/containeranalysis/v1beta1/source/BUILD.bazel
--- c/google/devtools/containeranalysis/v1beta1/source/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/containeranalysis/v1beta1/source/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "source_proto",
+    srcs = ["source.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "source_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/devtools/containeranalysis/v1beta1/source",
+    proto = ":source_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/devtools/containeranalysis/v1beta1/vulnerability/BUILD.bazel d/google/devtools/containeranalysis/v1beta1/vulnerability/BUILD.bazel
--- c/google/devtools/containeranalysis/v1beta1/vulnerability/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/containeranalysis/v1beta1/vulnerability/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "vulnerability_proto",
+    srcs = ["vulnerability.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/devtools/containeranalysis/v1beta1/common:common_proto",
+        "//google/devtools/containeranalysis/v1beta1/cvss:cvss_proto",
+        "//google/devtools/containeranalysis/v1beta1/package:package_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "vulnerability_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/devtools/containeranalysis/v1beta1/vulnerability",
+    proto = ":vulnerability_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/devtools/containeranalysis/v1beta1/common:common_go_proto",
+        "//google/devtools/containeranalysis/v1beta1/cvss:cvss_go_proto",
+        "//google/devtools/containeranalysis/v1beta1/package:package_go_proto",
+    ],
+)
diff -urN c/google/devtools/remoteworkers/v1test2/BUILD.bazel d/google/devtools/remoteworkers/v1test2/BUILD.bazel
--- c/google/devtools/remoteworkers/v1test2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/remoteworkers/v1test2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "remoteworkers_proto",
+    srcs = [
+        "bots.proto",
+        "command.proto",
+        "worker.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "remoteworkers_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/devtools/remoteworkers/v1test2",
+    proto = ":remoteworkers_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/devtools/resultstore/v2/BUILD.bazel d/google/devtools/resultstore/v2/BUILD.bazel
--- c/google/devtools/resultstore/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/resultstore/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,43 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "resultstore_proto",
+    srcs = [
+        "action.proto",
+        "common.proto",
+        "configuration.proto",
+        "configured_target.proto",
+        "coverage.proto",
+        "coverage_summary.proto",
+        "download_metadata.proto",
+        "file.proto",
+        "file_processing_error.proto",
+        "file_set.proto",
+        "invocation.proto",
+        "resultstore_download.proto",
+        "resultstore_file_download.proto",
+        "resultstore_upload.proto",
+        "target.proto",
+        "test_suite.proto",
+        "upload_metadata.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "resultstore_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/devtools/resultstore/v2",
+    proto = ":resultstore_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/devtools/source/v1/BUILD.bazel d/google/devtools/source/v1/BUILD.bazel
--- c/google/devtools/source/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/source/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "source_proto",
+    srcs = ["source_context.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "source_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/devtools/source/v1",
+    proto = ":source_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/devtools/sourcerepo/v1/BUILD.bazel d/google/devtools/sourcerepo/v1/BUILD.bazel
--- c/google/devtools/sourcerepo/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/sourcerepo/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "sourcerepo_proto",
+    srcs = ["sourcerepo.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:empty_proto",
+    ],
+)
+
+go_proto_library(
+    name = "sourcerepo_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/devtools/sourcerepo/v1",
+    proto = ":sourcerepo_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/devtools/testing/v1/BUILD.bazel d/google/devtools/testing/v1/BUILD.bazel
--- c/google/devtools/testing/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/devtools/testing/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "testing_proto",
+    srcs = [
+        "application_details.proto",
+        "test_environment_discovery.proto",
+        "test_execution.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:date_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "testing_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/devtools/testing/v1",
+    proto = ":testing_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:date_go_proto",
+    ],
+)
diff -urN c/google/example/endpointsapis/v1/BUILD.bazel d/google/example/endpointsapis/v1/BUILD.bazel
--- c/google/example/endpointsapis/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/example/endpointsapis/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "v1_proto",
+    srcs = ["workspace.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+    ],
+)
+
+go_proto_library(
+    name = "v1_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/example/endpointsapis/v1",
+    proto = ":v1_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/example/library/v1/BUILD.bazel d/google/example/library/v1/BUILD.bazel
--- c/google/example/library/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/example/library/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,22 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "library_proto",
+    srcs = ["library.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "library_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/example/library/v1",
+    proto = ":library_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/firebase/fcm/connection/v1alpha1/BUILD.bazel d/google/firebase/fcm/connection/v1alpha1/BUILD.bazel
--- c/google/firebase/fcm/connection/v1alpha1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/firebase/fcm/connection/v1alpha1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "connection_proto",
+    srcs = ["connection_api.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "connection_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/firebase/fcm/connection/v1alpha1",
+    proto = ":connection_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/firestore/admin/v1/BUILD.bazel d/google/firestore/admin/v1/BUILD.bazel
--- c/google/firestore/admin/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/firestore/admin/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,34 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "admin_proto",
+    srcs = [
+        "database.proto",
+        "field.proto",
+        "firestore_admin.proto",
+        "index.proto",
+        "location.proto",
+        "operation.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "admin_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/firestore/admin/v1",
+    proto = ":admin_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/firestore/admin/v1beta1/BUILD.bazel d/google/firestore/admin/v1beta1/BUILD.bazel
--- c/google/firestore/admin/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/firestore/admin/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "admin_proto",
+    srcs = [
+        "firestore_admin.proto",
+        "index.proto",
+        "location.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "admin_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/firestore/admin/v1beta1",
+    proto = ":admin_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/firestore/admin/v1beta2/BUILD.bazel d/google/firestore/admin/v1beta2/BUILD.bazel
--- c/google/firestore/admin/v1beta2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/firestore/admin/v1beta2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "admin_proto",
+    srcs = [
+        "field.proto",
+        "firestore_admin.proto",
+        "index.proto",
+        "operation.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "admin_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/firestore/admin/v1beta2",
+    proto = ":admin_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/firestore/bundle/BUILD.bazel d/google/firestore/bundle/BUILD.bazel
--- c/google/firestore/bundle/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/firestore/bundle/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,20 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "firestore_proto",
+    srcs = ["bundle.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/firestore/v1:firestore_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "firestore_go_proto",
+    importpath = "google.golang.org/genproto/firestore/bundle",
+    proto = ":firestore_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/firestore/v1:firestore_go_proto"],
+)
diff -urN c/google/firestore/v1/BUILD.bazel d/google/firestore/v1/BUILD.bazel
--- c/google/firestore/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/firestore/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,37 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "firestore_proto",
+    srcs = [
+        "aggregation_result.proto",
+        "common.proto",
+        "document.proto",
+        "firestore.proto",
+        "query.proto",
+        "write.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "firestore_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/firestore/v1",
+    proto = ":firestore_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/firestore/v1beta1/BUILD.bazel d/google/firestore/v1beta1/BUILD.bazel
--- c/google/firestore/v1beta1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/firestore/v1beta1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,36 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "firestore_proto",
+    srcs = [
+        "common.proto",
+        "document.proto",
+        "firestore.proto",
+        "query.proto",
+        "write.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "firestore_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/firestore/v1beta1",
+    proto = ":firestore_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/genomics/v1/BUILD.bazel d/google/genomics/v1/BUILD.bazel
--- c/google/genomics/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/genomics/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,47 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "genomics_proto",
+    srcs = [
+        "annotations.proto",
+        "cigar.proto",
+        "datasets.proto",
+        "operations.proto",
+        "position.proto",
+        "range.proto",
+        "readalignment.proto",
+        "readgroup.proto",
+        "readgroupset.proto",
+        "reads.proto",
+        "references.proto",
+        "variants.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "genomics_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/genomics/v1",
+    proto = ":genomics_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/genomics/v1alpha2/BUILD.bazel d/google/genomics/v1alpha2/BUILD.bazel
--- c/google/genomics/v1alpha2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/genomics/v1alpha2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "genomics_proto",
+    srcs = ["pipelines.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:code_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "genomics_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/genomics/v1alpha2",
+    proto = ":genomics_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:code_go_proto",
+    ],
+)
diff -urN c/google/geo/type/BUILD.bazel d/google/geo/type/BUILD.bazel
--- c/google/geo/type/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/geo/type/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,17 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "viewport_proto",
+    srcs = ["viewport.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/type:latlng_proto"],
+)
+
+go_proto_library(
+    name = "viewport_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/geo/type/viewport",
+    proto = ":viewport_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/type:latlng_go_proto"],
+)
diff -urN c/google/home/enterprise/sdm/v1/BUILD.bazel d/google/home/enterprise/sdm/v1/BUILD.bazel
--- c/google/home/enterprise/sdm/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/home/enterprise/sdm/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "sdm_proto",
+    srcs = [
+        "device.proto",
+        "site.proto",
+        "smart_device_management_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:struct_proto",
+    ],
+)
+
+go_proto_library(
+    name = "sdm_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/home/enterprise/sdm/v1",
+    proto = ":sdm_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/home/graph/v1/BUILD.bazel d/google/home/graph/v1/BUILD.bazel
--- c/google/home/graph/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/home/graph/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "graph_proto",
+    srcs = [
+        "device.proto",
+        "homegraph.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:struct_proto",
+    ],
+)
+
+go_proto_library(
+    name = "graph_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/home/graph/v1",
+    proto = ":graph_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/iam/admin/v1/BUILD.bazel d/google/iam/admin/v1/BUILD.bazel
--- c/google/iam/admin/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/iam/admin/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "admin_proto",
+    srcs = [
+        "audit_data.proto",
+        "iam.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/type:expr_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "admin_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/iam/admin/v1",
+    proto = ":admin_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/type:expr_go_proto",
+    ],
+)
diff -urN c/google/iam/credentials/v1/BUILD.bazel d/google/iam/credentials/v1/BUILD.bazel
--- c/google/iam/credentials/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/iam/credentials/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "credentials_proto",
+    srcs = [
+        "common.proto",
+        "iamcredentials.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "credentials_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/iam/credentials/v1",
+    proto = ":credentials_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/iam/v1/BUILD.bazel d/google/iam/v1/BUILD.bazel
--- c/google/iam/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/iam/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "iam_proto",
+    srcs = [
+        "iam_policy.proto",
+        "options.proto",
+        "policy.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:expr_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "iam_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/iam/v1",
+    proto = ":iam_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:expr_go_proto",
+    ],
+)
diff -urN c/google/iam/v1/logging/BUILD.bazel d/google/iam/v1/logging/BUILD.bazel
--- c/google/iam/v1/logging/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/iam/v1/logging/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,17 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["audit_data.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["//google/iam/v1:iam_proto"],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/iam/v1/logging",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/iam/v1:iam_go_proto"],
+)
diff -urN c/google/iam/v1beta/BUILD.bazel d/google/iam/v1beta/BUILD.bazel
--- c/google/iam/v1beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/iam/v1beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "iam_proto",
+    srcs = ["workload_identity_pool.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "iam_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/iam/v1beta",
+    proto = ":iam_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/iam/v2/BUILD.bazel d/google/iam/v2/BUILD.bazel
--- c/google/iam/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/iam/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "iam_proto",
+    srcs = [
+        "deny.proto",
+        "policy.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:expr_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "iam_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/iam/v2",
+    proto = ":iam_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:expr_go_proto",
+    ],
+)
diff -urN c/google/iam/v2beta/BUILD.bazel d/google/iam/v2beta/BUILD.bazel
--- c/google/iam/v2beta/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/iam/v2beta/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "iam_proto",
+    srcs = [
+        "deny.proto",
+        "policy.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:expr_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "iam_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/iam/v2beta",
+    proto = ":iam_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:expr_go_proto",
+    ],
+)
diff -urN c/google/identity/accesscontextmanager/type/BUILD.bazel d/google/identity/accesscontextmanager/type/BUILD.bazel
--- c/google/identity/accesscontextmanager/type/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/identity/accesscontextmanager/type/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "type_proto",
+    srcs = ["device_resources.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "type_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/identity/accesscontextmanager/type",
+    proto = ":type_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/identity/accesscontextmanager/v1/BUILD.bazel d/google/identity/accesscontextmanager/v1/BUILD.bazel
--- c/google/identity/accesscontextmanager/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/identity/accesscontextmanager/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,38 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "accesscontextmanager_proto",
+    srcs = [
+        "access_context_manager.proto",
+        "access_level.proto",
+        "access_policy.proto",
+        "gcp_user_access_binding.proto",
+        "service_perimeter.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/identity/accesscontextmanager/type:type_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/type:expr_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "accesscontextmanager_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/identity/accesscontextmanager/v1",
+    proto = ":accesscontextmanager_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/identity/accesscontextmanager/type:type_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/type:expr_go_proto",
+    ],
+)
diff -urN c/google/logging/type/BUILD.bazel d/google/logging/type/BUILD.bazel
--- c/google/logging/type/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/logging/type/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,19 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "ltype_proto",
+    srcs = [
+        "http_request.proto",
+        "log_severity.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:duration_proto"],
+)
+
+go_proto_library(
+    name = "ltype_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/logging/type",
+    proto = ":ltype_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/logging/v2/BUILD.bazel d/google/logging/v2/BUILD.bazel
--- c/google/logging/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/logging/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,45 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = [
+        "log_entry.proto",
+        "logging.proto",
+        "logging_config.proto",
+        "logging_metrics.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:distribution_proto",
+        "//google/api:metric_proto",
+        "//google/api:monitoredres_proto",
+        "//google/logging/type:ltype_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/logging/v2",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:distribution_go_proto",
+        "//google/api:metric_go_proto",
+        "//google/api:monitoredres_go_proto",
+        "//google/logging/type:ltype_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/longrunning/BUILD.bazel d/google/longrunning/BUILD.bazel
--- c/google/longrunning/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/longrunning/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "longrunning_proto",
+    srcs = ["operations.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:descriptor_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+    ],
+)
+
+go_proto_library(
+    name = "longrunning_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/longrunning",
+    proto = ":longrunning_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/maps/addressvalidation/v1/BUILD.bazel d/google/maps/addressvalidation/v1/BUILD.bazel
--- c/google/maps/addressvalidation/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/maps/addressvalidation/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,34 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "addressvalidation_proto",
+    srcs = [
+        "address.proto",
+        "address_validation_service.proto",
+        "geocode.proto",
+        "metadata.proto",
+        "usps_data.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/geo/type:viewport_proto",
+        "//google/type:latlng_proto",
+        "//google/type:postaladdress_proto",
+    ],
+)
+
+go_proto_library(
+    name = "addressvalidation_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/maps/addressvalidation/v1",
+    proto = ":addressvalidation_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/geo/type:viewport_go_proto",
+        "//google/type:latlng_go_proto",
+        "//google/type:postaladdress_go_proto",
+    ],
+)
diff -urN c/google/maps/fleetengine/delivery/v1/BUILD.bazel d/google/maps/fleetengine/delivery/v1/BUILD.bazel
--- c/google/maps/fleetengine/delivery/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/maps/fleetengine/delivery/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,36 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "delivery_proto",
+    srcs = [
+        "common.proto",
+        "delivery_api.proto",
+        "delivery_vehicles.proto",
+        "header.proto",
+        "tasks.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/geo/type:viewport_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "delivery_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/maps/fleetengine/delivery/v1",
+    proto = ":delivery_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/geo/type:viewport_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/maps/fleetengine/v1/BUILD.bazel d/google/maps/fleetengine/v1/BUILD.bazel
--- c/google/maps/fleetengine/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/maps/fleetengine/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,37 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "fleetengine_proto",
+    srcs = [
+        "fleetengine.proto",
+        "header.proto",
+        "traffic.proto",
+        "trip_api.proto",
+        "trips.proto",
+        "vehicle_api.proto",
+        "vehicles.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "fleetengine_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/maps/fleetengine/v1",
+    proto = ":fleetengine_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/maps/mapsplatformdatasets/v1alpha/BUILD.bazel d/google/maps/mapsplatformdatasets/v1alpha/BUILD.bazel
--- c/google/maps/mapsplatformdatasets/v1alpha/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/maps/mapsplatformdatasets/v1alpha/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "mapsplatformdatasets_proto",
+    srcs = [
+        "data_source.proto",
+        "dataset.proto",
+        "maps_platform_datasets.proto",
+        "maps_platform_datasets_alpha_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "mapsplatformdatasets_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/maps/mapsplatformdatasets/v1alpha",
+    proto = ":mapsplatformdatasets_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/maps/playablelocations/v3/BUILD.bazel d/google/maps/playablelocations/v3/BUILD.bazel
--- c/google/maps/playablelocations/v3/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/maps/playablelocations/v3/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "playablelocations_proto",
+    srcs = [
+        "playablelocations.proto",
+        "resources.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/maps/playablelocations/v3/sample:sample_proto",
+        "//google/maps/unity:unity_proto",
+        "@com_google_protobuf//:duration_proto",
+    ],
+)
+
+go_proto_library(
+    name = "playablelocations_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/maps/playablelocations/v3",
+    proto = ":playablelocations_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/maps/playablelocations/v3/sample:sample_go_proto",
+        "//google/maps/unity:unity_go_proto",
+    ],
+)
diff -urN c/google/maps/playablelocations/v3/sample/BUILD.bazel d/google/maps/playablelocations/v3/sample/BUILD.bazel
--- c/google/maps/playablelocations/v3/sample/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/maps/playablelocations/v3/sample/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,24 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "sample_proto",
+    srcs = ["resources.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:field_mask_proto",
+    ],
+)
+
+go_proto_library(
+    name = "sample_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/maps/playablelocations/v3/sample",
+    proto = ":sample_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/maps/regionlookup/v1alpha/BUILD.bazel d/google/maps/regionlookup/v1alpha/BUILD.bazel
--- c/google/maps/regionlookup/v1alpha/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/maps/regionlookup/v1alpha/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "regionlookup_proto",
+    srcs = [
+        "region_identifier.proto",
+        "region_lookup_service.proto",
+        "region_match.proto",
+        "region_search_values.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:latlng_proto",
+    ],
+)
+
+go_proto_library(
+    name = "regionlookup_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/maps/regionlookup/v1alpha",
+    proto = ":regionlookup_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/maps/roads/v1op/BUILD.bazel d/google/maps/roads/v1op/BUILD.bazel
--- c/google/maps/roads/v1op/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/maps/roads/v1op/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,25 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "roads_proto",
+    srcs = ["roads.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "roads_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/maps/roads/v1op",
+    proto = ":roads_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/maps/routes/v1/BUILD.bazel d/google/maps/routes/v1/BUILD.bazel
--- c/google/maps/routes/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/maps/routes/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,49 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "routes_proto",
+    srcs = [
+        "compute_custom_routes_request.proto",
+        "compute_custom_routes_response.proto",
+        "compute_route_matrix_request.proto",
+        "compute_routes_request.proto",
+        "compute_routes_response.proto",
+        "custom_route.proto",
+        "fallback_info.proto",
+        "polyline.proto",
+        "route.proto",
+        "route_matrix_element.proto",
+        "route_service.proto",
+        "toll_passes.proto",
+        "vehicle_emission_type.proto",
+        "waypoint.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/geo/type:viewport_proto",
+        "//google/rpc:status_proto",
+        "//google/type:latlng_proto",
+        "//google/type:money_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "routes_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/maps/routes/v1",
+    proto = ":routes_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/geo/type:viewport_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:latlng_go_proto",
+        "//google/type:money_go_proto",
+    ],
+)
diff -urN c/google/maps/routes/v1alpha/BUILD.bazel d/google/maps/routes/v1alpha/BUILD.bazel
--- c/google/maps/routes/v1alpha/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/maps/routes/v1alpha/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,24 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "routes_proto",
+    srcs = ["route_service.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/maps/routes/v1:routes_proto",
+    ],
+)
+
+go_proto_library(
+    name = "routes_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/maps/routes/v1alpha",
+    proto = ":routes_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/maps/routes/v1:routes_go_proto",
+    ],
+)
diff -urN c/google/maps/routing/v2/BUILD.bazel d/google/maps/routing/v2/BUILD.bazel
--- c/google/maps/routing/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/maps/routing/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,53 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "routing_proto",
+    srcs = [
+        "fallback_info.proto",
+        "location.proto",
+        "maneuver.proto",
+        "navigation_instruction.proto",
+        "polyline.proto",
+        "route.proto",
+        "route_label.proto",
+        "route_modifiers.proto",
+        "route_travel_mode.proto",
+        "routes_service.proto",
+        "routing_preference.proto",
+        "speed_reading_interval.proto",
+        "toll_info.proto",
+        "toll_passes.proto",
+        "units.proto",
+        "vehicle_emission_type.proto",
+        "vehicle_info.proto",
+        "waypoint.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/geo/type:viewport_proto",
+        "//google/rpc:status_proto",
+        "//google/type:latlng_proto",
+        "//google/type:money_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "routing_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/maps/routing/v2",
+    proto = ":routing_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/geo/type:viewport_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:latlng_go_proto",
+        "//google/type:money_go_proto",
+    ],
+)
diff -urN c/google/maps/unity/BUILD.bazel d/google/maps/unity/BUILD.bazel
--- c/google/maps/unity/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/maps/unity/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "unity_proto",
+    srcs = ["clientinfo.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "unity_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/maps/unity",
+    proto = ":unity_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/monitoring/dashboard/v1/BUILD.bazel d/google/monitoring/dashboard/v1/BUILD.bazel
--- c/google/monitoring/dashboard/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/monitoring/dashboard/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,40 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "dashboard_proto",
+    srcs = [
+        "alertchart.proto",
+        "collapsible_group.proto",
+        "common.proto",
+        "dashboard.proto",
+        "dashboard_filter.proto",
+        "dashboards_service.proto",
+        "drilldowns.proto",
+        "layouts.proto",
+        "logs_panel.proto",
+        "metrics.proto",
+        "scorecard.proto",
+        "service.proto",
+        "table.proto",
+        "table_display_options.proto",
+        "text.proto",
+        "widget.proto",
+        "xychart.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+    ],
+)
+
+go_proto_library(
+    name = "dashboard_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/monitoring/dashboard/v1",
+    proto = ":dashboard_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/monitoring/metricsscope/v1/BUILD.bazel d/google/monitoring/metricsscope/v1/BUILD.bazel
--- c/google/monitoring/metricsscope/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/monitoring/metricsscope/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,28 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "metricsscope_proto",
+    srcs = [
+        "metrics_scope.proto",
+        "metrics_scopes.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "metricsscope_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/monitoring/metricsscope/v1",
+    proto = ":metricsscope_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/monitoring/v3/BUILD.bazel d/google/monitoring/v3/BUILD.bazel
--- c/google/monitoring/v3/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/monitoring/v3/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,59 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "monitoring_proto",
+    srcs = [
+        "alert.proto",
+        "alert_service.proto",
+        "common.proto",
+        "dropped_labels.proto",
+        "group.proto",
+        "group_service.proto",
+        "metric.proto",
+        "metric_service.proto",
+        "mutation_record.proto",
+        "notification.proto",
+        "notification_service.proto",
+        "query_service.proto",
+        "service.proto",
+        "service_service.proto",
+        "span_context.proto",
+        "uptime.proto",
+        "uptime_service.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/api:api_proto",
+        "//google/api:distribution_proto",
+        "//google/api:label_proto",
+        "//google/api:metric_proto",
+        "//google/api:monitoredres_proto",
+        "//google/rpc:status_proto",
+        "//google/type:calendarperiod_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "monitoring_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/monitoring/v3",
+    proto = ":monitoring_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/api:api_go_proto",
+        "//google/api:distribution_go_proto",
+        "//google/api:label_go_proto",
+        "//google/api:metric_go_proto",
+        "//google/api:monitoredres_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:calendarperiod_go_proto",
+    ],
+)
diff -urN c/google/networking/trafficdirector/type/BUILD.bazel d/google/networking/trafficdirector/type/BUILD.bazel
--- c/google/networking/trafficdirector/type/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/networking/trafficdirector/type/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "type_proto",
+    srcs = ["traffic_director_log_entry.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "type_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/networking/trafficdirector/type",
+    proto = ":type_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/partner/aistreams/v1alpha1/BUILD.bazel d/google/partner/aistreams/v1alpha1/BUILD.bazel
--- c/google/partner/aistreams/v1alpha1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/partner/aistreams/v1alpha1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,26 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "aistreams_proto",
+    srcs = ["aistreams.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "aistreams_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/partner/aistreams/v1alpha1",
+    proto = ":aistreams_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/privacy/dlp/v2/BUILD.bazel d/google/privacy/dlp/v2/BUILD.bazel
--- c/google/privacy/dlp/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/privacy/dlp/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,37 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "dlp_proto",
+    srcs = [
+        "dlp.proto",
+        "storage.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "//google/type:date_proto",
+        "//google/type:dayofweek_proto",
+        "//google/type:timeofday_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "dlp_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/privacy/dlp/v2",
+    proto = ":dlp_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:date_go_proto",
+        "//google/type:dayofweek_go_proto",
+        "//google/type:timeofday_go_proto",
+    ],
+)
diff -urN c/google/pubsub/v1/BUILD.bazel d/google/pubsub/v1/BUILD.bazel
--- c/google/pubsub/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/pubsub/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,27 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "pubsub_proto",
+    srcs = [
+        "pubsub.proto",
+        "schema.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "pubsub_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/pubsub/v1",
+    proto = ":pubsub_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/pubsub/v1beta2/BUILD.bazel d/google/pubsub/v1beta2/BUILD.bazel
--- c/google/pubsub/v1beta2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/pubsub/v1beta2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,17 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "pubsub_proto",
+    srcs = ["pubsub.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:empty_proto"],
+)
+
+go_proto_library(
+    name = "pubsub_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/pubsub/v1beta2",
+    proto = ":pubsub_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/rpc/BUILD.bazel d/google/rpc/BUILD.bazel
--- c/google/rpc/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/rpc/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,43 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "code_proto",
+    srcs = ["code.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "errdetails_proto",
+    srcs = ["error_details.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:duration_proto"],
+)
+
+proto_library(
+    name = "status_proto",
+    srcs = ["status.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:any_proto"],
+)
+
+go_proto_library(
+    name = "code_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/rpc/code",
+    proto = ":code_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "errdetails_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/rpc/errdetails",
+    proto = ":errdetails_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "status_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/rpc/status",
+    proto = ":status_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/rpc/context/BUILD.bazel d/google/rpc/context/BUILD.bazel
--- c/google/rpc/context/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/rpc/context/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,21 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "attribute_context_proto",
+    srcs = ["attribute_context.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "attribute_context_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/rpc/context/attribute_context",
+    proto = ":attribute_context_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/search/partnerdataingestion/logging/v1/BUILD.bazel d/google/search/partnerdataingestion/logging/v1/BUILD.bazel
--- c/google/search/partnerdataingestion/logging/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/search/partnerdataingestion/logging/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,15 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["platformlog.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/search/partnerdataingestion/logging/v1",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/spanner/admin/database/v1/BUILD.bazel d/google/spanner/admin/database/v1/BUILD.bazel
--- c/google/spanner/admin/database/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/spanner/admin/database/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,35 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "database_proto",
+    srcs = [
+        "backup.proto",
+        "common.proto",
+        "spanner_database_admin.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "database_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/spanner/admin/database/v1",
+    proto = ":database_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/spanner/admin/instance/v1/BUILD.bazel d/google/spanner/admin/instance/v1/BUILD.bazel
--- c/google/spanner/admin/instance/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/spanner/admin/instance/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,32 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "instance_proto",
+    srcs = [
+        "common.proto",
+        "spanner_instance_admin.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/longrunning:longrunning_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "instance_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/spanner/admin/instance/v1",
+    proto = ":instance_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+    ],
+)
diff -urN c/google/spanner/v1/BUILD.bazel d/google/spanner/v1/BUILD.bazel
--- c/google/spanner/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/spanner/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,37 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "spanner_proto",
+    srcs = [
+        "commit_response.proto",
+        "keys.proto",
+        "mutation.proto",
+        "query_plan.proto",
+        "result_set.proto",
+        "spanner.proto",
+        "transaction.proto",
+        "type.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "spanner_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/spanner/v1",
+    proto = ":spanner_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
diff -urN c/google/storage/v1/BUILD.bazel d/google/storage/v1/BUILD.bazel
--- c/google/storage/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/storage/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,29 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "storage_proto",
+    srcs = [
+        "storage.proto",
+        "storage_resources.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+        "@com_google_protobuf//:wrappers_proto",
+    ],
+)
+
+go_proto_library(
+    name = "storage_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/storage/v1",
+    proto = ":storage_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+    ],
+)
diff -urN c/google/storage/v2/BUILD.bazel d/google/storage/v2/BUILD.bazel
--- c/google/storage/v2/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/storage/v2/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,30 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "storage_proto",
+    srcs = ["storage.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/iam/v1:iam_proto",
+        "//google/type:date_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "storage_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/storage/v2",
+    proto = ":storage_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/iam/v1:iam_go_proto",
+        "//google/type:date_go_proto",
+    ],
+)
diff -urN c/google/storagetransfer/logging/BUILD.bazel d/google/storagetransfer/logging/BUILD.bazel
--- c/google/storagetransfer/logging/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/storagetransfer/logging/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,20 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "logging_proto",
+    srcs = ["transfer_activity_log.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "logging_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/storagetransfer/logging",
+    proto = ":logging_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/google/storagetransfer/v1/BUILD.bazel d/google/storagetransfer/v1/BUILD.bazel
--- c/google/storagetransfer/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/storagetransfer/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,37 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "storagetransfer_proto",
+    srcs = [
+        "transfer.proto",
+        "transfer_types.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:code_proto",
+        "//google/type:date_proto",
+        "//google/type:timeofday_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "storagetransfer_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/storagetransfer/v1",
+    proto = ":storagetransfer_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:code_go_proto",
+        "//google/type:date_go_proto",
+        "//google/type:timeofday_go_proto",
+    ],
+)
diff -urN c/google/streetview/publish/v1/BUILD.bazel d/google/streetview/publish/v1/BUILD.bazel
--- c/google/streetview/publish/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/streetview/publish/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,36 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "publish_proto",
+    srcs = [
+        "resources.proto",
+        "rpcmessages.proto",
+        "streetview_publish.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/longrunning:longrunning_proto",
+        "//google/rpc:status_proto",
+        "//google/type:latlng_proto",
+        "@com_google_protobuf//:duration_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "publish_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/streetview/publish/v1",
+    proto = ":publish_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/longrunning:longrunning_go_proto",
+        "//google/rpc:status_go_proto",
+        "//google/type:latlng_go_proto",
+    ],
+)
diff -urN c/google/type/BUILD.bazel d/google/type/BUILD.bazel
--- c/google/type/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/type/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,226 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "calendarperiod_proto",
+    srcs = ["calendar_period.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "color_proto",
+    srcs = ["color.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:wrappers_proto"],
+)
+
+proto_library(
+    name = "date_proto",
+    srcs = ["date.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "datetime_proto",
+    srcs = ["datetime.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:duration_proto"],
+)
+
+proto_library(
+    name = "dayofweek_proto",
+    srcs = ["dayofweek.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "decimal_proto",
+    srcs = ["decimal.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "expr_proto",
+    srcs = ["expr.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "fraction_proto",
+    srcs = ["fraction.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "interval_proto",
+    srcs = ["interval.proto"],
+    visibility = ["//visibility:public"],
+    deps = ["@com_google_protobuf//:timestamp_proto"],
+)
+
+proto_library(
+    name = "latlng_proto",
+    srcs = ["latlng.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "localized_text_proto",
+    srcs = ["localized_text.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "money_proto",
+    srcs = ["money.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "month_proto",
+    srcs = ["month.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "phone_number_proto",
+    srcs = ["phone_number.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "postaladdress_proto",
+    srcs = ["postal_address.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "quaternion_proto",
+    srcs = ["quaternion.proto"],
+    visibility = ["//visibility:public"],
+)
+
+proto_library(
+    name = "timeofday_proto",
+    srcs = ["timeofday.proto"],
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "calendarperiod_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/calendarperiod",
+    proto = ":calendarperiod_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "color_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/color",
+    proto = ":color_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "date_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/date",
+    proto = ":date_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "datetime_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/datetime",
+    proto = ":datetime_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "dayofweek_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/dayofweek",
+    proto = ":dayofweek_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "decimal_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/decimal",
+    proto = ":decimal_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "expr_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/expr",
+    proto = ":expr_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "fraction_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/fraction",
+    proto = ":fraction_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "interval_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/interval",
+    proto = ":interval_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "latlng_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/latlng",
+    proto = ":latlng_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "localized_text_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/localized_text",
+    proto = ":localized_text_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "money_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/money",
+    proto = ":money_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "month_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/month",
+    proto = ":month_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "phone_number_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/phone_number",
+    proto = ":phone_number_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "postaladdress_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/postaladdress",
+    proto = ":postaladdress_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "quaternion_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/quaternion",
+    proto = ":quaternion_proto",
+    visibility = ["//visibility:public"],
+)
+
+go_proto_library(
+    name = "timeofday_go_proto",
+    importpath = "google.golang.org/genproto/googleapis/type/timeofday",
+    proto = ":timeofday_proto",
+    visibility = ["//visibility:public"],
+)
diff -urN c/google/watcher/v1/BUILD.bazel d/google/watcher/v1/BUILD.bazel
--- c/google/watcher/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/google/watcher/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,22 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "watcher_proto",
+    srcs = ["watch.proto"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:empty_proto",
+    ],
+)
+
+go_proto_library(
+    name = "watcher_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/watcher/v1",
+    proto = ":watcher_proto",
+    visibility = ["//visibility:public"],
+    deps = ["//google/api:annotations_go_proto"],
+)
diff -urN c/grafeas/v1/BUILD.bazel d/grafeas/v1/BUILD.bazel
--- c/grafeas/v1/BUILD.bazel	1969-12-31 16:00:00
+++ d/grafeas/v1/BUILD.bazel	2000-01-01 00:00:00.000000000 -0000
@@ -0,0 +1,49 @@
+load("@rules_proto//proto:defs.bzl", "proto_library")
+load("@io_bazel_rules_go//proto:def.bzl", "go_proto_library")
+
+proto_library(
+    name = "grafeas_proto",
+    srcs = [
+        "attestation.proto",
+        "build.proto",
+        "common.proto",
+        "compliance.proto",
+        "cvss.proto",
+        "deployment.proto",
+        "discovery.proto",
+        "dsse_attestation.proto",
+        "grafeas.proto",
+        "image.proto",
+        "intoto_provenance.proto",
+        "intoto_statement.proto",
+        "package.proto",
+        "provenance.proto",
+        "severity.proto",
+        "slsa_provenance.proto",
+        "slsa_provenance_zero_two.proto",
+        "upgrade.proto",
+        "vulnerability.proto",
+    ],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_proto",
+        "//google/rpc:status_proto",
+        "@com_google_protobuf//:any_proto",
+        "@com_google_protobuf//:empty_proto",
+        "@com_google_protobuf//:field_mask_proto",
+        "@com_google_protobuf//:struct_proto",
+        "@com_google_protobuf//:timestamp_proto",
+    ],
+)
+
+go_proto_library(
+    name = "grafeas_go_proto",
+    compilers = ["@io_bazel_rules_go//proto:go_grpc"],
+    importpath = "google.golang.org/genproto/googleapis/grafeas/v1",
+    proto = ":grafeas_proto",
+    visibility = ["//visibility:public"],
+    deps = [
+        "//google/api:annotations_go_proto",
+        "//google/rpc:status_go_proto",
+    ],
+)
